2009-08-01 01:32  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg.c:

	GUI: エピローグを英語に対応

2009-07-31 20:07  bowkenken

	* src/menu.c:

	メニュー・パス関係の定数をマクロに修正

2009-07-31 20:01  bowkenken

	* ChangeLog, src/imenu.c, src/msg-eng.h, src/msg-jpn-sjis.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h:

	メニュー・パスのプロンプトを変更

2009-07-31 19:12  bowkenken

	* src/menu.c:

	メニュー・パスのコピペの範囲チェックを追加

2009-07-31 07:06  bowkenken

	* src/: menu-prot.h, menu.c:

	メニュー・パスのコピペでパスが繰り返し追加されるのを修正

2009-07-30 23:24  bowkenken

	* src/: draw.c, imenu.c:

	GUI: メニュー・パスのコマンドが入力できないのを修正

2009-07-30 22:37  bowkenken

	* src/: draw-prot.h, draw.c, menu-prot.h, menu.c:

	メニューのパスのコピペを実装

2009-07-30 21:16  bowkenken

	* src/: fight.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	攻撃時に属性をメッセージで表示する様にした

2009-07-30 20:47  bowkenken

	* ChangeLog, src/fx.c, src/gfile-tab.h, src/gfile-ver.h,
	src/msg-eng.h, src/msg-jpn-sjis.h, src/msg-jpn-utf8.h,
	src/msg-jpn.h, src/msg.h, src/spell-gen-tab.h, src/spell-kind.h,
	src/spell-tab.h, src/spell.c:

	「精霊送還」の呪文を実装

2009-07-26 05:59  bowkenken

	* configure, configure.in, src/config.h.in:

	ver.3.4.10 リリース

2009-07-26 05:51  bowkenken

	* src/lnl-dos/config-dos.h:

	ウィンドウズ対応

2009-07-26 05:47  bowkenken

	* src/: call.cpp, inc.h, msg.c:

	ウィンドウズ対応

2009-07-25 20:32  bowkenken

	* src/: fx.c, item.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	アイテムに名付ける時に別名のクリア方法を表示する様にした

2009-07-25 19:20  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/ending-space.c:

	バージョナップ ver.3.4.10

2009-07-25 18:42  bowkenken

	* src/fx.c:

	エフェクトの実行中にキャラクタが死ぬと暴走するのを修正

2009-07-24 19:10  bowkenken

	* src/: item.c, msg.c:

	言語のデフォルトの処理を調整

2009-07-24 01:22  bowkenken

	* src/: gf-save.c, gfile-ver.h, item.c:

	アイテムの別名のセーブ／ロードを実装

2009-07-24 00:54  bowkenken

	* src/: mnstr-gen-tab.h, mnstr-prot.h, mnstr.c, party.c:

	NPC が仲間か自身に回復呪文を掛けると敵に掛ってしまうのを修正

2009-07-23 22:16  bowkenken

	* src/town.c:

	寺院の割引きチェックが宿屋になっていたのを修正

2009-07-23 21:52  bowkenken

	* src/: chr.c, inc.h, pet.c, spell.c:

	階層移動などで使い魔の飼い主がリセットされてしまうのを修正

2009-07-23 21:05  bowkenken

	* src/town.c:

	耐性値の回復を風呂だけにした

2009-07-23 20:58  bowkenken

	* src/: chr-prot.h, chr.c, mnstr-act.c, mnstr-prot.h, mnstr.c,
	msg-eng.h, pet-prot.h, pet.c, spell.c:

	召喚獣の送還ターンのチェックを全モンスターに対して行う様にした

2009-07-21 01:35  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h, spell-gen-tab.h, spell.c, tmenu-tab.h:

	魔法データのミスを修正

2009-07-18 22:15  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn.h:

	GTK+: マップのツール・バーを調整

2009-07-18 22:01  bowkenken

	* src/: fx.c, spell-gen-tab.h, spell.c:

	精霊術の呪文の調整

2009-07-13 16:01  bowkenken

	* src/fight.c:

	床に向って射撃してもアイテムを消費しない様にした

2009-07-13 15:38  bowkenken

	* src/: msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, pet-prot.h,
	pet.c, request.c:

	依頼で仲間が加わる時に制限人数を超えると依頼が異常になるのを修正

2009-07-13 14:29  bowkenken

	* ChangeLog, sh/make-change-log:

	ChangeLog のフォーマットを調整

2009-07-13 02:27  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h, spell-gen-tab.h, spell-tab.h:

	抜け落ちていた呪文を追加

2009-07-12 20:45  bowkenken

	* ChangeLog:

	ver.3.4.9 リリース

2009-07-12 20:37  bowkenken

	* src/lnl-dos/config-dos.h:

	ウィンドウズ対応

2009-07-12 18:02  bowkenken

	* src/fight.c:

	キャラクタのいない位置への射撃に視界チェックを追加

2009-07-12 17:35  bowkenken

	* src/: chr.c, fight.c, mmenu.c:

	キャラクタのいない位置へ射撃できる様にした

2009-07-12 14:41  bowkenken

	* ChangeLog, src/gf-save.c, src/tmenu.c:

	ロード処理でのペットのループ回数の間違いを修正

2009-07-11 23:22  bowkenken

	* src/: gf-conf.c, gfile-prot.h, gfile-ver.h, imenu.c, menu.c:

	メニューのデフォルト項目へのマウスの自動移動の設定をセーブ可能にした

2009-07-11 22:56  bowkenken

	* src/: imenu-prot.h, imenu.c, inc.h, menu-prot.h, menu.c,
	mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	GTK+: メニューのデフォルト項目へのマウスの自動移動を仮実装

2009-07-11 12:42  bowkenken

	* src/town.c:

	風呂に入ると耐性値が回復する様にした

2009-07-04 18:19  bowkenken

	* src/: draw.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	GTK+: マップ・ウィンドウのツール・バーのボタンのラベルを変更

2009-07-04 17:01  bowkenken

	* src/: gf-save.c, inc.h, item-prot.h, item.c, party-prot.h,
	party.c, tmenu-prot.h, tmenu.c:

	メンバーを削除すると他のメンバーのアイテムが削除されてしまうのを修正

2009-07-04 10:24  bowkenken

	* src/: call-prot.h, call.cpp, inc.h, mmenu-prot.h, mmenu.c,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	識別の呪文でアイテム・リストが空の時の文字列を変更

2009-07-03 19:36  bowkenken

	* src/: draw.c, inc.h:

	GTK+: 各ウィンドウをキー入力に対応

2009-07-03 12:23  bowkenken

	* src/: draw-prot.h, draw.c, menu-prot.h, menu.c:

	メニューの撰択キーをアクセス・キーの入力に変換して記録する様にした

2009-07-03 07:29  bowkenken

	* src/: chr.c, mnstr-gen-tab.h, mnstr-prot.h, mnstr.c, request.c:

	モーミンのキャプモンが達成できないのを修正。 依頼の経験値が 1
	しか入らないのを修正。

2009-07-02 10:44  bowkenken

	* src/: inc.h, tmenu.c:

	スペース・バーで撰択に対応していない画面があるのをを修正

2009-07-02 09:21  bowkenken

	* src/: gf-save.c, item.c:

	空の宝箱を持っているとセーブ時に落るのを修正

2009-06-30 10:54  bowkenken

	* src/mnstr-gen-tab.h:

	バンシーの特殊技能を調整

2009-06-30 10:34  bowkenken

	* src/: mnstr-gen-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	一部のアンデッドに「恐怖」の特殊技能を持たせた

2009-06-30 09:53  bowkenken

	* src/: fx-prot.h, fx.c:

	「恐怖」のステータス異常になったら MP が徐々に減る様にした

2009-06-30 08:48  bowkenken

	* src/fx.c:

	「望み」の呪文の寄付金額を調整

2009-06-30 04:11  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	バージョナップ ver.3.4.9

2009-06-30 04:01  bowkenken

	* src/spell-gen-tab.h:

	祈りの修得レベルを調整

2009-06-28 08:34  bowkenken

	* src/: mmenu.c, spell-prot.h, spell.c:

	「戦闘」と「呪文」のメニューをキャンセルでメンバー撰択に戻れる様にした

2009-06-28 07:13  bowkenken

	* src/imenu.c:

	キーボード・マクロのコントロール・キーの扱いを修正

2009-06-28 06:46  bowkenken

	* src/fx.c:

	アイテムの個数が 0 の時は使用できない様に修正

2009-06-28 06:40  bowkenken

	* src/: item.c, spell.c:

	作戦の「連続実行」でアイテムが無くなっても使えてしまうのを修正

2009-06-27 23:47  bowkenken

	* src/: gf-save.c, gmain.c, item.c:

	メンバーを並び換えるとセーブ・データが壊れるのを修正

2009-06-27 01:58  bowkenken

	* ChangeLog, sh/all-prot, src/amenu-prot.h, src/amenu.c,
	src/chr-prot.h, src/chr.c, src/curs-prot.h, src/curs.c,
	src/draw-prot.h, src/draw.c, src/dun-prot.h, src/dun.c,
	src/ending-ep-prot.h, src/ending-ep.c, src/ending-space-prot.h,
	src/ending-space.c, src/fight-prot.h, src/fight.c, src/fx-prot.h,
	src/fx.c, src/gf-conf.c, src/gf-crsr.c, src/gf-gconf.c,
	src/gf-outmap.c, src/gf-replay.c, src/gf-save.c, src/gf-town.c,
	src/gfile-prot.h, src/gfile.c, src/gmain-prot.h, src/gmain.c,
	src/gmain.h, src/imenu-prot.h, src/imenu.c, src/inc.h,
	src/item-prot.h, src/item.c, src/key-item-prot.h, src/key-item.c,
	src/last-boss-prot.h, src/last-boss.c, src/main-dos-prot.h,
	src/main-dos.c, src/main-unix-prot.h, src/main-unix.c,
	src/map-event-prot.h, src/map-event.c, src/menu-prot.h, src/menu.c,
	src/misc-prot.h, src/misc.c, src/mmenu-prot.h, src/mmenu.c,
	src/mnstr-act-prot.h, src/mnstr-act.c, src/mnstr-prot.h,
	src/mnstr.c, src/msg-prot.h, src/msg.c, src/nest-flg-prot.h,
	src/nest-flg.c, src/party-prot.h, src/party.c, src/pet-prot.h,
	src/pet.c, src/replay-prot.h, src/replay.c, src/request-prot.h,
	src/request.c, src/scene-prot.h, src/scene.c, src/skill-prot.h,
	src/skill.c, src/spell-prot.h, src/spell.c, src/tmenu-prot.h,
	src/tmenu.c, src/town-prot.h, src/town.c, src/trap-prot.h,
	src/trap.c, src/turn-prot.h, src/turn.c:

	配列の範囲外書きこみのチェック機能を実装

2009-06-24 19:44  bowkenken

	* src/: last-boss.c, msg.c, lnl-dos/config-dos.h:

	ウィンドウズ対応

2009-06-24 11:44  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, gmain.c:

	GUI: 台詞ウィンドウにキャラクタ名を表示できる様にした

2009-06-23 21:56  bowkenken

	* src/: ending-space.c, ver.h:

	エンディングのラスボス画像の著作権を追加した

2009-06-23 18:00  bowkenken

	* src/mnstr-gen-tab.h:

	モンスターの強さを調整

2009-06-23 15:35  bowkenken

	* src/: msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	風呂ののぞきのメッセージを調整

2009-06-23 15:28  bowkenken

	* src/mnstr-gen-tab.h:

	中ボスの HP を調整

2009-06-23 14:50  bowkenken

	* src/: fx-prot.h, fx.c, imenu-prot.h, imenu.c, mmenu-tab.h,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	ウィザード・メニューに「帰還」を追加

2009-06-23 14:22  bowkenken

	* src/fx.c:

	「不死者退散」の呪文の強さを調整

2009-06-23 13:38  bowkenken

	* src/mnstr-gen-tab.h:

	ラスボスにステータス異常の耐性を追加した

2009-06-23 13:26  bowkenken

	* src/mnstr-gen-tab.h:

	ブラック・ユニコーンが回復能力を使えないのを修正

2009-06-23 12:23  bowkenken

	* src/: chr-prot.h, chr.c, chr.h, msg-jpn-sjis.h, spell.c:

	2x2 サイズ以上のモンスターが 1 度の爆風に複数回当らない様に修正

2009-06-23 11:36  bowkenken

	* src/: fx-prot.h, fx.c, imenu-prot.h, imenu.c, inc.h, mmenu-tab.h,
	msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, spell.c:

	ウィザード・メニューに「パーティ瞬間移動」を追加

2009-06-23 11:14  bowkenken

	* src/spell-gen-tab.h:

	「瞬間移動」の呪文を抵抗できる様にした

2009-06-23 11:02  bowkenken

	* src/: chr.c, chr.h, fx-prot.h, fx.c, gfile-tab.h, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, party.c, spell.c:

	「パーティ瞬間移動」と「脱出」の呪文にチャージ時間を加えた

2009-06-23 10:14  bowkenken

	* configure, src/mnstr-gen-tab.h, src/msg-eng.h:

	モンスターの強さを調整

2009-06-22 08:48  bowkenken

	* configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	バージョナップ

2009-06-22 00:33  bowkenken

	* src/spell.c:

	呪歌の範囲が「通常」の時はターゲットを指定しない様にした

2009-06-21 23:55  bowkenken

	* ChangeLog, Makefile.in, configure, configure.in, man/Makefile.in,
	src/Makefile.in, src/config.h.in, src/curs.h, src/inc.h, src/msg.c:

	UTF-8 でもカラー表示が出来る様にした

2009-06-21 22:47  bowkenken

	* src/: inc.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	GUI: メニューの選択項目に目印を描画する様にした

2009-06-21 21:39  bowkenken

	* src/: gf-save.c, gfile-prot.h, gfile.h, town.c:

	ロード後に店から出る条件を修正

2009-06-21 09:24  bowkenken

	* ChangeLog, src/fx.c, src/imenu.c, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/spell.c, src/town.c:

	店から出る時に乱数の種を変えない様にした。
	呪歌を通常の効果範囲で唱えると呪文として処理してしまうのを修正。

2009-06-06 21:29  bowkenken

	* src/: draw.c, last-boss.c:

	GUI: テキスト・モードでの XX の攻撃の描画を実装

2009-06-06 19:18  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/call.cpp, src/draw.c:

	UTF-8 対応

2009-06-06 17:04  bowkenken

	* src/: chr.c, mnstr-prot.h, mnstr.c, party-prot.h, party.c,
	pet-prot.h, pet.c:

	GUI: ロード時にペットが死んだ時の効果音が鳴るのを修正

2009-06-06 16:09  bowkenken

	* src/: draw.c, imenu.c:

	ペット・ショップの名前変更で入力バッファを初期化していなかったのを修正。
	UTF-8 でマップ・ヒントのモンスター名が途中で切れるのを修正。

2009-06-04 04:25  bowkenken

	* ChangeLog, configure, configure.in, lnl.spec, man/lnl-faq.jpn,
	man/lnl.jpn, src/call-prot.h, src/call.cpp, src/scene-prot.h,
	src/scene.c:

	GTK+: 効果音と BGM に GUI の排他処理を追加

2009-06-04 02:21  bowkenken

	* src/gmain.c:

	GUI: CUI モードで効果音と BGM を再生できる様にした

2009-06-01 22:47  bowkenken

	* src/: fight.c, spell.c, trap.c:

	GUI: モンスターが見えていない時は効果音を再生しない様に修正

2009-06-01 14:05  bowkenken

	* src/: amenu.c, amenu.h, chr.c, chr.h, draw.c, draw.h, dun.c,
	fight.c, fx.c, gf-save.c, imenu.c, item.c, item.h, menu-tab.h,
	menu.c, menu.h, mmenu.c, mnstr.c, party.c, request.c, request.h,
	skill.c, skill.h, spell.c, tmenu.c, town.c:

	ユニコードの文字数とバイト数を分るのを徹底した

2009-05-31 17:35  bowkenken

	* src/: last-boss.c, mnstr.c:

	GUI: XX の登場時の効果音を XEX の断末魔で上書きしない様に修正

2009-05-31 17:05  bowkenken

	* src/: amenu.c, chr.c, inc.h, mnstr.c:

	GUI: キャラクタが敵対者を見つけた時に効果音が再生しないのを修正

2009-05-31 16:23  bowkenken

	* src/: amenu.c, call-prot.h, call.cpp, chr-prot.h, chr.c,
	draw-prot.h, draw.c, dun.c, fight.c, fx.c, gmain.h, inc.h,
	key-item.c, last-boss-prot.h, last-boss.c, menu.c, mnstr-prot.h,
	mnstr.c, party.c, pet.c, request.c, sound-kind.h, spell-prot.h,
	spell.c, trap.c:

	GUI: 効果音を多数追加

2009-05-29 13:52  bowkenken

	* src/draw.c:

	GUI: メンバー・アンカーの描画を実装

2009-05-29 12:08  bowkenken

	* src/draw.c:

	GUI: サブ・カーソルの描画サイズをタイル版に対応

2009-05-29 11:02  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	「個別のアンカー」を「メンバー・アンカー」に呼称変更

2009-05-29 10:51  bowkenken

	* src/: draw.c, dun-prot.h, dun.c, imenu.c, mmenu.c, party-prot.h,
	party.c, party.h, town.c:

	メンバー・アンカーの描画を実装

2009-05-28 23:22  bowkenken

	* src/: call-prot.h, call.cpp, draw.c:

	GUI:
	タイル版とテキスト版でカーソルのサイズが違うと描画のゴミが出るのを修正

2009-05-28 17:44  bowkenken

	* src/: chr-prot.h, chr.c, inc.h:

	GUI: ターンの実行中はマウスのクリックを受け付けない様にした

2009-05-28 16:29  bowkenken

	* src/: dun-prot.h, dun.c, gf-save.c, gfile-prot.h, gfile-tab.h,
	gfile-ver.h, gfile.c, gfile.h, gmain.c, imenu.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, party-prot.h, party.c,
	tmenu.c, town.c:

	自動セーブの状況がロード時に再現できなかったのを修正

2009-05-27 15:26  bowkenken

	* src/: chr.c, chr.h, draw.c, fight.c, fx.c, gf-save.c, inc.h,
	mmenu.c, mnstr.c, msg-prot.h, msg.c, party.c, pet.c, pet.h,
	request.c, tmenu.c, trap.c:

	ユニコードの文字数とバイト数を分けて管理する様に修正

2009-05-27 12:32  bowkenken

	* src/fx.c:

	エフェクトに抵抗してもエフェクトが割り当てられたままになるのを修正

2009-05-26 18:39  bowkenken

	* lnl.spec, src/chr.c, src/fx.c, src/imenu-prot.h, src/imenu-tab.h,
	src/imenu.c, src/mmenu-prot.h, src/mmenu.c, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/party-prot.h,
	src/party.c, src/party.h, src/sound-kind.h, src/tmenu.c,
	src/town.c:

	アンカーを各メンバーに対して個別に設定できる様にした

2009-05-25 09:31  bowkenken

	* ChangeLog, configure, configure.in, lnl.spec, man/lnl-faq.jpn,
	man/lnl.jpn, src/draw.c, src/draw.h:

	視覚効果の描画後に画面にゴミが残るのを修正

2009-05-24 20:25  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/lnl-dos/config-dos.h:

	ver.3.4.4 リリース

2009-05-24 20:03  bowkenken

	* src/draw.c:

	DX: テキスト・モードでの視覚効果の描画を実装

2009-05-24 18:21  bowkenken

	* src/: draw-prot.h, draw.c, gf-conf.c, gfile-prot.h, gfile-ver.h:

	配列外への書きこみで壊れた設定ファイルをロード時に修復する様にした

2009-05-24 16:29  bowkenken

	* src/: gfile-prot.h, gfile.c, request.c:

	バイナリーのセーブ・ファイルのロード時にも行番号をカウントする様にした

2009-05-24 14:23  bowkenken

	* src/request.c:

	アイテム探索の依頼の目標アイテムをモンスターが落さないのを修正

2009-05-24 13:27  bowkenken

	* src/: fx.c, item-prot.h, item.c:

	RAF は錆びない様にした

2009-05-24 12:55  bowkenken

	* src/: msg-jpn-sjis.h, tmenu.c:

	Shift-JIS 変換

2009-05-24 12:52  bowkenken

	* src/: msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, tmenu.c:

	高レベルでミルクを注文すると特別メッセージを表示

2009-05-24 12:05  bowkenken

	* src/last-boss.c:

	GTK+: XX の平手打ちが描画されない

2009-05-24 01:23  bowkenken

	* src/gf-conf.c:

	設定ファイルの視覚効果のウェイトのエラー・チェックをゆるくした

2009-05-24 00:59  bowkenken

	* src/: draw.c, draw.h, gf-conf.c, mnstr.c, msg-t.h, request.c:

	メッセージのリング・バッファが一周する度に配列外に書き込むのを修正

2009-05-20 14:57  bowkenken

	* src/lnl-dos/config-dos.h:

	ウィンドウズ対応

2009-05-20 14:17  bowkenken

	* ChangeLog:

	ver.3.4.3 リリース

2009-05-20 13:50  bowkenken

	* src/class-dflt-tab.h:

	各クラスのデフォルトのスキルを 5 種類から 6 種類へ増やした

2009-05-20 13:36  bowkenken

	* src/amenu.c:

	「殲滅戦(追加)」の設定で「連続マーク」がオフになっていたのを修正

2009-05-20 13:10  bowkenken

	* ChangeLog, configure, configure.in, lnl.spec, man/lnl-faq.jpn,
	man/lnl.jpn:

	Fedora 10 でコンパイル

2009-05-20 11:50  bowkenken

	* src/gfile.c:

	LEX の先読みした文字の戻し忘れを修正

2009-05-20 11:36  bowkenken

	* Makefile.in, configure, man/Makefile.in, src/Makefile.in,
	src/gf-save.c, src/gfile-ver.h, src/gfile.c, src/gfile.h:

	セーブ・ファイルの 16 進数に 0x がついていなかったのを修正

2009-05-15 01:03  bowkenken

	* ChangeLog:

	バージョナップ

2009-05-14 18:27  bowkenken

	* src/lnl-dos/config-dos.h:

	ウィンドウズ対応

2009-05-14 17:32  bowkenken

	* src/: draw-tab.h, imenu.c:

	DX: キャラクタ・シートの画像ファイル選択を実装

2009-05-14 09:26  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/party.c, src/tmenu.c:

	デフォルトのメンバー画像を実装

2009-05-14 08:36  bowkenken

	* src/call.cpp:

	メモリーの解放チェックを入れた

2009-05-12 13:08  bowkenken

	* src/: draw-prot.h, draw.c, inc.h:

	GTK+: ステータス・ウィンドウの階層と時間の表示を実装

2009-05-12 10:47  bowkenken

	* src/: amenu.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	作戦に「退却だ」を追加

2009-05-12 10:30  bowkenken

	* src/: gf-conf.c, gfile-prot.h, gfile-ver.h, gmain.c, gmain.h:

	GUI: ウィンドウ座標の設定オプションをセーブ可能にした

2009-05-12 09:34  bowkenken

	* src/: gmain.c, gmain.h:

	ウィンドウの座標を設定しないオプションを追加

2009-04-11 20:49  bowkenken

	* src/tmenu.c:

	タバコ等を売るとアイテムはそのままで永久に金が手に入るのを修正

2009-04-11 20:28  bowkenken

	* src/draw.c:

	マジック・ナンバーをマクロにした

2009-04-11 20:00  bowkenken

	* src/: draw.c, request.c:

	メッセージが途中で切れて表示されるのを修正

2009-04-02 19:52  bowkenken

	* ChangeLog, configure, configure.in, lnl.spec, man/lnl-faq.jpn,
	man/lnl.jpn, src/gmain.c, src/gmain.h:

	GTK+: GNOME 以外でウィンドウが勝手に移動するのを修正。

2009-03-14 01:34  bowkenken

	* src/ending-ep.c:

	エンディングで CUI の描画をしない時にウェイトを入れた

2009-03-14 00:00  bowkenken

	* src/dun.c:

	ラスト・ステージへの階段の数を増やした

2009-03-13 22:24  bowkenken

	* src/ending-space.c:

	エンディングの描画範囲を調整

2009-03-13 18:34  bowkenken

	* src/mnstr-gen-tab.h:

	ラスボスの HP を調整

2009-03-12 04:27  bowkenken

	* ChangeLog, src/dun-tab.h:

	部屋のパターンを調整

2009-03-11 19:51  bowkenken

	* src/menu.c:

	GTK+: 数値入力ウィンドウが誤作動するのを修正

2009-03-11 02:01  bowkenken

	* src/: imenu.c, last-boss.c:

	ラスト・ステージで視覚効果のウェイトをリセットする様にした

2009-03-11 01:45  bowkenken

	* src/dun.c:

	GUI: 奈落が床として描画されてしまうのを修正

2009-03-11 01:18  bowkenken

	* src/: key-item.c, last-boss-prot.h, last-boss.c, mnstr.c:

	ラスボスの登場時に大型化してしまうのを修正

2009-03-10 22:05  bowkenken

	* src/draw.c:

	待ち時間無しのキー入力で入力の取りこぼしがあるのを修正

2009-03-10 21:46  bowkenken

	* src/: draw-prot.h, draw.c, gmain.c:

	待ち時間無しのキー入力を実装。 ミリ秒単位の時間待ちの DOS
	版を実装。

2009-03-10 20:51  bowkenken

	* src/msg-jpn-sjis.h:

	Shift-JIS 変換

2009-03-10 19:33  bowkenken

	* src/: chr.c, mnstr.c, party-prot.h, party.c:

	隱しドアの近くで探索を開始するとドアを発見できないのを修正

2009-03-10 18:10  bowkenken

	* src/dun.c:

	星界のマップのイベント文字を隱した

2009-03-10 18:06  bowkenken

	* src/: pet-prot.h, pet.c:

	初期パーティにペットを加えた

2009-03-10 17:49  bowkenken

	* src/mnstr-gen-tab.h:

	ヒドラのサイズを 2x2 にした

2009-03-04 21:01  bowkenken

	* src/town-tab.h:

	装備強化の巻物を店で売らない様にした

2009-03-04 17:12  bowkenken

	* src/: item-prot.h, item-scroll-tab.h, item.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, request-prot.h,
	request.c:

	依頼の報酬に装備強化の巻物をおまけで付ける様にした

2009-03-04 15:17  bowkenken

	* src/: item.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	アイテムの説明に武器の両手持ちを追加

2009-03-03 21:39  bowkenken

	* src/item.c:

	RAF の出現率を調整

2009-03-03 19:36  bowkenken

	* src/mnstr-gen-tab.h:

	モンスターの強さを微調整

2009-02-24 18:52  bowkenken

	* src/: draw.c, dun.c, dun.h, inc.h, last-boss.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	ステータスの階数の表示をラスボスに対応

2009-02-24 18:24  bowkenken

	* src/: dun-prot.h, dun-tab.h, dun.c, dun.h, last-boss.c, spell.c:

	ラスボスの階数の扱いを変更

2009-02-24 17:02  bowkenken

	* src/mnstr.c:

	中ボスに見つかった後に台詞を消す様にした

2009-02-24 16:54  bowkenken

	* src/item.c:

	装備強化の巻物で装備をランダムに決める処理を修正

2009-02-24 16:14  bowkenken

	* src/mnstr-gen-tab.h:

	インビジブル・ストーカーの HP を調整

2009-02-22 23:52  bowkenken

	* src/imenu-tab.h:

	色設定メニューの配列サイズが足りなかったのを修正

2009-02-22 23:00  bowkenken

	* src/dun.c:

	階段の生成でクリッピング処理を追加

2009-02-22 22:58  bowkenken

	* src/: dun-prot.h, dun.c:

	床を探してから中ボスの階段を生成する様にした

2009-02-22 20:09  bowkenken

	* src/lnl-dos/config-dos.h:

	ウィンドウズ対応

2009-02-22 19:36  bowkenken

	* src/: mnstr-gen-tab.h, mnstr-tab.h:

	モンスターの出現パターンを微調整

2009-02-20 20:56  bowkenken

	* ChangeLog, src/chr.c, src/last-boss.c:

	XX のコアが混乱などで、ふらつかない様にした

2009-02-20 16:21  bowkenken

	* src/: draw-prot.h, draw.c, spell.c:

	画面外のエフェクトにウェイトを入れない様にした

2009-02-19 14:26  bowkenken

	* src/: dun-tab.h, mnstr-kind.h:

	マップ・データ上で、中ボスの顔文字が間違っていたのを修正

2009-02-19 12:42  bowkenken

	* src/: amenu.c, draw-prot.h, draw.c, imenu.c, tmenu.c:

	キー・バッファへの追加処理を先頭と末尾で別関数に分けた

2009-02-19 10:55  bowkenken

	* src/item.c:

	正体不明のアイテムが生成されることがあるのを修正

2009-02-19 10:34  bowkenken

	* src/: tmenu-prot.h, tmenu.c:

	酒場のオーダーを選んだら次のメンバーにカーソルを移動する様にした

2009-02-19 09:28  bowkenken

	* src/: item-prot.h, item.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, spell-gen-tab.h, town.c:

	忍術の巻物に修得可能レベルを表示

2009-02-17 09:56  bowkenken

	* src/: chr.c, fight.c, gf-save.c, gfile-tab.h, gfile.c, item.c,
	last-boss.c, mnstr.c, skill.c, tmenu.c, town.c:

	ウィンドウズ対応

2009-02-17 07:34  bowkenken

	* src/town.c:

	ランダム・アーティファクトの値段を設定

2009-02-17 06:38  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	GTK+: ボタンのラベルを国際化

2009-02-16 17:08  bowkenken

	* src/: tmenu-prot.h, tmenu.c:

	DX: スキル・エディタのウィンドウを実装

2009-02-15 10:59  bowkenken

	* src/mmenu-tab.h:

	メニュー中のスペル・ミスを修正

2009-02-15 10:28  bowkenken

	* src/: chr.c, party-prot.h, party.c:

	経験値に種族ボーナスを加える様にした

2009-02-15 09:31  bowkenken

	* src/: chr.c, dun-prot.h, dun.c:

	「不可視感知」の呪文の効果が無くなっていたのを修正

2009-02-14 13:43  bowkenken

	* lnl.spec, src/call-prot.h, src/call.cpp, src/gf-conf.c,
	src/gfile-ver.h, src/inc.h, src/msg-eng.h, src/msg-jpn-utf8.h,
	src/msg-jpn.h, src/msg.h, src/skill.c, src/tmenu-prot.h,
	src/tmenu.c, src/win-kind.h:

	GTK+: スキル・エディタを実装

2009-02-12 17:37  bowkenken

	* src/: item-prot.h, item.c, tmenu.c:

	メンバーの並べ替えでアイテムが替らないのを修正

2009-02-12 15:45  bowkenken

	* src/skill.c:

	DX: キャラクタ・シートのスキルを実装

2009-02-09 17:07  bowkenken

	* src/: class-dflt-tab.h, draw.c, ending-space.c, ending-space.h:

	DX: ウィンドウズ対応

2009-02-07 09:35  bowkenken

	* src/: item-scroll-tab.h, item.h, town-tab.h:

	装備強化の巻物を調整

2009-02-07 07:32  bowkenken

	* src/dun-tab.h:

	マップの部屋のパターンを 100 階まで追加

2009-02-06 19:54  bowkenken

	* src/last-boss.c:

	ラスト・ステージ以外でも呪文制限が掛っていたのを修正

2009-02-06 11:15  bowkenken

	* src/: draw.c, pet.c:

	初期キャラクタのペットの名前を英語にした

2009-02-06 10:46  bowkenken

	* src/: draw.c, skill.c, skill.h:

	GTK+: キャラクタ・シートのスキルのヒントの表示を実装

2009-02-06 07:34  bowkenken

	* src/: draw.c, mnstr.c, msg-jpn-utf8.h, request.c, request.h:

	GTK+: 依頼が正しく表示されないのを修正

2009-02-06 06:09  bowkenken

	* src/: inc.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	GTK+: キャラクタ・シートのスキル・タブを実装

2009-02-06 03:44  bowkenken

	* src/: gf-save.c, inc.h:

	セーブ・ファイルのスキルのロードができないのを修正

2009-02-05 22:28  bowkenken

	* src/: last-boss-prot.h, last-boss-tab.h, last-boss.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, spell.c:

	ラスト・ステージで使える呪文に制限を設けた

2009-02-05 21:02  bowkenken

	* src/: gfile-tab.h, item-wpn-tab.h, item.h, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, party.c:

	盾スロットに二刀流の武器を装備可能にした

2009-02-04 03:12  bowkenken

	* src/gf-save.c:

	スキルのロードでエラーが出るのを修正

2009-02-04 01:41  bowkenken

	* src/: msg-jpn-sjis.h, tmenu.c:

	ミルクで笑われる確率を調整

2009-02-03 20:34  bowkenken

	* man/lnl-faq.jpn, src/abl-kind.h, src/chr.c, src/gf-save.c,
	src/gfile-prot.h, src/gfile-tab.h, src/gfile-ver.h, src/gfile.c,
	src/msg-eng.h, src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h:

	スキルのセーブ／ロードを実装

2009-02-03 08:13  bowkenken

	* src/: draw-prot.h, draw-tab.h, draw.c, fight.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, skill-prot.h, skill.c, skill.h:

	スキルのヒントの表示を実装

2009-02-03 04:30  bowkenken

	* src/: chr.c, skill.c:

	スキルの「とんずら」の効果を実装

2009-02-03 04:15  bowkenken

	* src/: Makefile.am, Makefile.in, last-boss.c:

	TRUE が true になっていたのを修正

2009-02-02 08:45  bowkenken

	* src/: gmain.c, mmenu-prot.h, mmenu.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, tmenu-prot.h, tmenu.c:

	ロード・メニューで「最初から始める」を選択可能にした

2009-02-02 07:21  bowkenken

	* src/: draw-tab.h, draw.c, draw.h, imenu-prot.h, imenu.c, menu.h,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	キャラクタ・シートのページ切り替え機能を設定可能にした

2009-02-01 23:50  bowkenken

	* src/: fx-prot.h, inc.h, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, spell-prot.h, spell.c:

	スキルのステータス耐性系の効果を実装

2009-02-01 21:24  bowkenken

	* src/fight.c:

	スキルのダメージ強化系の効果を攻撃呪文にも適用

2009-02-01 21:11  bowkenken

	* src/: chr-prot.h, chr.c, class-dflt-tab.h, fight.c,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, skill-prot.h, skill.c,
	town.c:

	スキルの耐性系の効果を実装。 スキルのダメージ強化系の効果を実装。

2009-02-01 19:22  bowkenken

	* src/: fight-prot.h, fight.c, misc-prot.h, misc.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	スキルの連続攻撃系の効果を実装

2009-01-31 20:25  bowkenken

	* ChangeLog, src/chr.h, src/mnstr-act.c, src/mnstr-gen-tab.h:

	戦闘前はラスボスを攻撃不可にした

2009-01-31 15:46  bowkenken

	* src/msg-jpn-sjis.h:

	Shift-JIS 対応

2009-01-31 15:43  bowkenken

	* src/: chr-prot.h, chr.c, draw.c, imenu.c, mmenu.c, mnstr-act.c,
	spell.c:

	スタティック変数をグローバル変数に保存

2009-01-31 13:26  bowkenken

	* src/: chr.c, fight.c, item.c, mnstr-gen-tab.h:

	モンスターが遠隔攻撃を出来ないのを修正

2009-01-31 12:21  bowkenken

	* src/chr.h:

	盲目時のふらつき率を調整

2009-01-31 11:21  bowkenken

	* src/: fight.c, mnstr.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	中ボスの発見時と倒した時に台詞を表示

2009-01-31 10:40  bowkenken

	* src/trap.c:

	宝箱のシュートの罠の修正方法を改善

2009-01-31 08:29  bowkenken

	* src/imenu.c:

	デバッグ・モードでない場合のウィザード・メニューの不可視フラグを外した

2009-01-31 08:07  bowkenken

	* src/: item.c, trap.c:

	宝箱のシュートの罠での不正落ちを修正

2009-01-31 07:44  bowkenken

	* src/item.c:

	RAF の出現率を調整

2009-01-31 07:09  bowkenken

	* src/skill.c:

	スキルの効果のエラー・チェックを追加

2009-01-31 06:49  bowkenken

	* src/: chr.c, draw.c, fight.c, inc.h, item.c, skill-prot.h,
	skill.c:

	スキルの戦闘系の効果を実装

2009-01-30 12:09  bowkenken

	* src/: inc.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h, skill-prot.h, skill-tab.h, skill.c, skill.h,
	tmenu-prot.h, tmenu-tab.h, tmenu.c:

	スキル・エディタのスキルの選択を実装

2009-01-30 08:54  bowkenken

	* src/: chr.c, draw-prot.h, draw.c, draw.h, inc.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, party.c,
	skill-prot.h, skill.c, tmenu-prot.h, tmenu-tab.h, tmenu.c:

	スキル・エディタの表示を実装

2009-01-29 19:00  bowkenken

	* src/: chr-prot.h, chr.c, mnstr-prot.h, mnstr.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	スキルに経験値が入る様にしてレベル・アップも実装

2009-01-29 12:38  bowkenken

	* src/: draw-tab.h, draw.c, draw.h, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h:

	ザウルスに合せて画面サイズを調整

2009-01-29 10:45  bowkenken

	* src/: draw-prot.h, draw.c, last-boss.c, mnstr.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, request.c:

	依頼の台詞表示に台詞ウィンドウも使用

2009-01-29 09:47  bowkenken

	* src/: msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	風呂場ののぞきのメッセージを変更

2009-01-29 09:38  bowkenken

	* src/: msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	装備部位の「マント」を「背中」に変更

2009-01-29 09:01  bowkenken

	* src/: fx.c, mnstr.c, msg-jpn-sjis.h, party.c:

	各モジュールをスキルに対応

2009-01-29 06:27  bowkenken

	* sh/skill-prot, src/Makefile.am, src/Makefile.in, src/chr.c,
	src/chr.h, src/class-dflt-tab.h, src/draw-tab.h, src/draw.c,
	src/draw.h, src/gmain.c, src/inc.h, src/menu.h, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/skill-prot.h,
	src/skill-tab.h, src/skill.c, src/skill.h, src/town-tab.h:

	キャラクタ・シートにスキルを表示

2009-01-26 03:20  bowkenken

	* ChangeLog, src/item.c:

	魔法の杖の使用回数を調整

2009-01-26 01:43  bowkenken

	* src/mnstr.c:

	中ボスを倒した時の星の雫のメッセージを台詞としても表示

2009-01-25 15:15  bowkenken

	* src/: fight.c, item-prot.h, item.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	RAF を破壊不能にした

2009-01-25 14:13  bowkenken

	* src/: ending-ep.c, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	GUI: エピローグの文字列をセンタリングして描画する様にした

2009-01-25 12:13  bowkenken

	* src/: last-boss-tab.h, last-boss.c:

	XX の親指の向きを修正

2009-01-25 08:34  bowkenken

	* configure, configure.in, src/config.h.in, src/curs.c,
	src/draw-prot.h, src/draw.c, src/gmain.c:

	GUI: CUI モードでない時はキー入力にウェイトを入れる様にした

2009-01-25 07:07  bowkenken

	* src/: chr.c, last-boss.c:

	ラスボスを倒したらシーンを切り換える様にした

2009-01-25 06:12  bowkenken

	* src/: call-prot.h, call.cpp, menu.c:

	GUI: 数値入力をキャンセル出来る様にした

2009-01-25 01:15  bowkenken

	* src/: last-boss-prot.h, last-boss.c:

	GUI: XX のアゴの開閉を実装

2009-01-24 22:51  bowkenken

	* src/: last-boss-prot.h, last-boss.c:

	GUI: XX の平手打ち攻撃を実装

2009-01-19 17:03  bowkenken

	* src/last-boss.c:

	GUI: XX の睡眠攻撃を実装

2009-01-19 16:41  bowkenken

	* src/last-boss.c:

	GUI: XX の毒攻撃を実装

2009-01-19 16:26  bowkenken

	* src/: last-boss.c, msg-jpn-sjis.h:

	GUI: XX の麻痺攻撃を実装

2009-01-19 15:09  bowkenken

	* src/: curs.c, curs.h, gf-conf.c, gfile-ver.h, imenu.c,
	last-boss.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	火水風土の属性の色を定義

2009-01-16 23:05  bowkenken

	* configure, configure.in, lnl.spec, src/last-boss-prot.h,
	src/last-boss.c:

	GUI: XX の水冷属性の攻撃を実装

2009-01-15 23:59  bowkenken

	* src/: last-boss.c, last-boss.h:

	GUI: XX の土酸属性の攻撃を実装

2009-01-15 23:35  bowkenken

	* src/last-boss.c:

	GUI: XX の風心属性の攻撃を実装

2009-01-15 19:10  bowkenken

	* src/: call-prot.h, call.cpp, draw-prot.h, draw.c, inc.h,
	last-boss.c, last-boss.h, msg-jpn-sjis.h:

	GUI: XX の火熱属性の攻撃を実装

2009-01-13 23:55  bowkenken

	* src/: fight.c, fight.h, inc.h, last-boss-prot.h, last-boss-tab.h,
	last-boss.c, mnstr-gen-tab.h, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	XX の平手打ち攻撃を実装

2009-01-13 14:16  bowkenken

	* src/: last-boss-prot.h, last-boss.c:

	XX の睡眠攻撃を実装

2009-01-13 00:22  bowkenken

	* src/: last-boss-prot.h, last-boss.c:

	XX の毒攻撃を実装

2009-01-12 21:23  bowkenken

	* src/: last-boss-prot.h, last-boss.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	XX の麻痺攻撃を実装

2009-01-11 22:00  bowkenken

	* src/: last-boss-prot.h, last-boss.c:

	XX の土酸属性の攻撃を実装

2009-01-11 14:46  bowkenken

	* src/: last-boss-prot.h, last-boss.c, mmenu-tab.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	XX の風心属性の攻撃を実装

2009-01-10 22:21  bowkenken

	* src/: last-boss-prot.h, last-boss.c, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	XX の水冷属性の攻撃を実装

2009-01-10 18:45  bowkenken

	* src/: chr.c, draw.c, inc.h, last-boss-prot.h, last-boss-tab.h,
	last-boss.c, spell.c:

	XX の火熱属性攻撃を実装

2009-01-09 19:13  bowkenken

	* src/chr.c:

	中間の間合いでも XX に遠隔攻撃が届く様にした

2009-01-09 18:46  bowkenken

	* src/: chr.c, dun-tab.h, fight.c, inc.h, item.c, last-boss-prot.h,
	last-boss.c, mmenu.c, mnstr-gen-tab.h, mnstr-kind.h, mnstr.c,
	mnstr.h:

	XX に対して攻撃を可能にした

2009-01-09 16:46  bowkenken

	* src/: chr.c, dun-prot.h, dun.c, last-boss-prot.h, last-boss.c,
	mnstr-gen-tab.h, msg-jpn-sjis.h, msg-jpn-utf8.h:

	XX のコアとなるモンスター・データを実装

2009-01-08 19:22  bowkenken

	* src/: dun-tab.h, fight.c, fight.h, gfile-tab.h, mnstr-gen-tab.h,
	mnstr-kind.h, mnstr-tab.h, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	全ステージの中ボスを実装

2009-01-08 14:41  bowkenken

	* src/: fight.c, item.c:

	「〜殺し」「〜防御」の効果量を微調整

2009-01-08 14:24  bowkenken

	* src/: imenu-prot.h, imenu.c, menu.c, tmenu.c:

	メニュー等の表示中にもバック・ログを操作可能にした

2009-01-08 13:57  bowkenken

	* src/: fx-prot.h, fx.c, item-prot.h, item.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	「望み」のアーティファクトを実装

2009-01-06 16:26  bowkenken

	* src/: gf-save.c, gfile-prot.h, gfile-tab.h, gfile-ver.h, gfile.c:

	RAF 装備のセーブ／ロードを実装

2009-01-06 15:32  bowkenken

	* src/: chr.c, item-randm-art-tab.h, item-randm-art.h, item.c:

	RAF 防具の「死亡耐性」を再実装

2009-01-06 14:55  bowkenken

	* src/: item-randm-art-tab.h, item-randm-art.h, item.c,
	mnstr-gen-tab.h:

	RAF 防具の効果の種類を調整

2009-01-06 14:26  bowkenken

	* src/: chr.c, mnstr-gen-tab.h:

	「盲目」中は「石化」しない様にした

2009-01-06 12:27  bowkenken

	* src/town-tab.h:

	店の売り物を微調整

2009-01-06 12:18  bowkenken

	* src/: chr.c, fight.c, fx-prot.h, fx.c, item-prot.h, item.c:

	RAF 防具の「耐性」の効果を実装

2009-01-05 21:34  bowkenken

	* src/fx.c:

	自然回復の時間を微調整

2009-01-05 21:10  bowkenken

	* src/: fight.c, fx-prot.h, fx.c, item-prot.h, item.c:

	RAF 防具の「HP ヒーリング」「MP ヒーリング」「EXP
	ヒーリング」の効果を実装

2009-01-05 16:40  bowkenken

	* src/: gfile-tab.h, gfile-ver.h, item-food-tab.h, item.h,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h,
	town-tab.h:

	酒場の食べ物を「かぶのスープ」に変更

2009-01-05 16:16  bowkenken

	* src/: item-randm-art.h, item.c:

	RAF 防具の効果の最大数を調整

2009-01-05 15:58  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	「アーマークラス」を「装甲値」に変更

2009-01-05 15:06  bowkenken

	* src/town-tab.h:

	錬金術の店の商品を見直し

2009-01-05 14:51  bowkenken

	* src/: fight.c, fx-prot.h, fx.c, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	RAF 武器の「EXP ドレイン」の効果を実装

2009-01-05 14:14  bowkenken

	* src/: fight.c, fx-prot.h, fx.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	RAF 武器の「MP ドレイン」の効果を実装

2009-01-05 11:51  bowkenken

	* src/: fight.c, fx-prot.h, fx.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	RAF 武器の HP ドレインの効果を実装

2009-01-04 16:36  bowkenken

	* src/: fight-prot.h, fight.c, fx-prot.h, fx.c, item-prot.h,
	item-randm-art-tab.h, item-randm-art.h, item.c:

	RAF 武器の「追加効果」の効果を実装

2009-01-04 13:29  bowkenken

	* src/spell.c:

	モンスターの呪文がペットに掛らないのを修正

2009-01-04 12:06  bowkenken

	* src/: fight-prot.h, fight.c:

	RAF 防具の「〜ガード」「〜ブロック」「〜プロテクト」の効果を実装

2009-01-04 11:32  bowkenken

	* src/: fight-prot.h, fight.c, item-prot.h, item.c:

	RAF 武器の「〜ベーン」「〜キラー」「〜スレイヤー」効果を実装

2009-01-04 09:24  bowkenken

	* ChangeLog, src/abl-kind.h, src/amenu-tab.h, src/amenu.c,
	src/amenu.h, src/call.cpp, src/chr.c, src/chr.h, src/class-tab.h,
	src/crsr-ptn.h, src/curs-def.h, src/curs.c, src/curs.h,
	src/draw-tab.h, src/draw.c, src/draw.h, src/dun-tab.h, src/dun.c,
	src/dun.h, src/ending-ep.c, src/ending-ep.h, src/ending-space.c,
	src/ending-space.h, src/extern.h, src/fight.c, src/fight.h,
	src/fx-menu-tab.h, src/fx.c, src/fx.h, src/gf-conf.c,
	src/gf-crsr.c, src/gf-gconf.c, src/gf-outmap.c, src/gf-replay.c,
	src/gf-save.c, src/gf-town.c, src/gfile-tab.h, src/gfile-ver.h,
	src/gfile.c, src/gfile.h, src/gmain.c, src/gmain.h,
	src/imenu-tab.h, src/imenu.c, src/inc.h, src/item-kind.h,
	src/item-randm-art-tab.h, src/item-randm-art.h, src/item-tab.h,
	src/item.c, src/item.h, src/joy-kind.h, src/key-item.c,
	src/key-item.h, src/last-boss-tab.h, src/last-boss.c,
	src/last-boss.h, src/main-dos.c, src/main-unix.c, src/map-event.c,
	src/map-event.h, src/menu-tab.h, src/menu.c, src/menu.h,
	src/misc.c, src/misc.h, src/mmenu-tab.h, src/mmenu.c,
	src/mnstr-act.c, src/mnstr-kind.h, src/mnstr-tab.h, src/mnstr.c,
	src/mnstr.h, src/msg-eng.h, src/msg-jpn-sjis.h, src/msg-jpn-utf8.h,
	src/msg-jpn.h, src/msg-t.h, src/msg.c, src/music-kind.h,
	src/nest-flg.c, src/nest-flg.h, src/party.c, src/party.h,
	src/pet.c, src/pet.h, src/replay.c, src/replay.h,
	src/request-tab.h, src/request.c, src/request.h, src/resi.h,
	src/rumor-tab.h, src/scene.c, src/scene.h, src/sound-kind.h,
	src/spell-kind.h, src/spell-tab.h, src/spell.c, src/spell.h,
	src/tmenu-tab.h, src/tmenu.c, src/town-tab.h, src/town.c,
	src/town.h, src/trap.c, src/trap.h, src/turn.c, src/turn.h,
	src/ver.h, src/vfx-kind.h, src/win-kind.h:

	あけましておめでとうございます

2009-01-03 18:00  bowkenken

	* src/: item-prot.h, item.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	防具の RAF のアイテム情報を表示できる様にした

2009-01-03 17:28  bowkenken

	* src/: item-prot.h, item.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	ランダム・アーティファクトのアイテム情報を表示できる様にした

2009-01-03 15:43  bowkenken

	* src/: item-prot.h, item-randm-art-tab.h, item-randm-art.h,
	item.c, item.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h:

	防具のランダム・アーティファクトを実装

2009-01-03 14:29  bowkenken

	* src/: draw-prot.h, draw.c, item-prot.h, item.c, item.h,
	mmenu-prot.h, mmenu-tab.h, mmenu.c, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	アイテムに別名を付られる様にした

2009-01-03 12:44  bowkenken

	* src/: item-prot.h, item-randm-art.h, item.c, item.h:

	ランダム・アーティファクトの効果をダブらせない様にチェックを実装

2008-12-28 23:58  bowkenken

	* src/: item-prot.h, item-randm-art.h, item.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h:

	ランダム・アーティファクトの識別名の表示を実装

2008-12-28 23:12  bowkenken

	* src/: Makefile.am, Makefile.in, item-prot.h,
	item-randm-art-tab.h, item-randm-art.h, item-tab.h, item.c, item.h:

	武器のランダム・アーティファクトのデータ構造を実装

2008-12-28 09:28  bowkenken

	* src/: gf-save.c, gfile-prot.h, gfile-tab.h, gfile-ver.h, gfile.c,
	gfile.h:

	星の雫のセーブ／ロード機能を実装

2008-12-27 11:19  bowkenken

	* src/: imenu-prot.h, imenu.c, key-item.c, mmenu-tab.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	重要アイテムの一覧メニューを実装

2008-12-27 10:48  bowkenken

	* src/: imenu.c, inc.h, key-item-prot.h, key-item.c, mnstr-prot.h,
	mnstr.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	中ボスが星の雫を落す様にした

2008-12-27 09:28  bowkenken

	* src/: dun.c, imenu.c, inc.h, key-item-prot.h, key-item.c,
	msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	星の雫が揃っていて星界へ突入できるかチェックする様にした

2008-12-27 08:21  bowkenken

	* sh/key-item-prot, src/Makefile.am, src/Makefile.in,
	src/ending-space.c, src/gmain.c, src/inc.h, src/key-item-prot.h,
	src/key-item.c, src/key-item.h, src/last-boss.c, src/msg-eng.h,
	src/msg-jpn-sjis.h, src/msg-jpn-utf8.h, src/msg-jpn.h:

	星の雫で起動装置が作動する様にした

2008-12-25 19:04  bowkenken

	* src/draw.c:

	弓矢等のエフェクトがフリーズするのを修正

2008-12-25 18:24  bowkenken

	* src/: ending-ep.c, ending-space.c:

	エンディング中にカーソル位置を画面の角にする

2008-12-25 18:11  bowkenken

	* src/: draw-prot.h, draw.c, gmain.c:

	エンディング中にキー操作で終了できる様にした

2008-12-25 17:40  bowkenken

	* src/: Makefile.am, Makefile.in, ending-ep.c, ending-space-prot.h,
	ending-space.c, ending-space.h, inc.h:

	エンディングのスタッフ・ロールを実装

2008-12-25 10:49  bowkenken

	* sh/ending-space-prot, src/Makefile.am, src/Makefile.in,
	src/draw-prot.h, src/draw.c, src/ending-ep-prot.h, src/ending-ep.c,
	src/ending-space-prot.h, src/ending-space.c, src/gmain.c,
	src/inc.h:

	エンディングの宇宙を実装

2008-12-22 09:11  bowkenken

	* sh/ending-ep-prot, src/Makefile.am, src/Makefile.in,
	src/ending-ep-prot.h, src/ending-ep.c, src/ending-ep.h,
	src/gmain.c, src/inc.h, src/msg-eng.h, src/msg-jpn-utf8.h,
	src/msg-jpn.h:

	エンディングのエピローグを実装

2008-12-22 03:54  bowkenken

	* src/: scene.c, scene.h, ver.h:

	GUI: エンディングのスタッフ・ロールを実装

2008-12-21 10:19  bowkenken

	* src/last-boss.c:

	DX: ラスボスのデモでマップのスクロールがおかしいのを修正

2008-12-21 09:49  bowkenken

	* src/: draw.c, last-boss.c:

	GUI: ラスボスのデモの描画を軽くした

2008-12-21 06:14  bowkenken

	* src/draw.c:

	DX: 視覚効果の描画

2008-12-18 12:12  bowkenken

	* ChangeLog, src/mnstr-gen-tab.h:

	モンスターの属性を 火<水<風<土<火 から 火<=>水 風<=>土 に変更

2008-12-18 09:38  bowkenken

	* src/draw.c:

	GUI: 波打つ数字のクリッピングを GUI に対応

2008-12-18 09:08  bowkenken

	* src/: draw-prot.h, draw.c:

	GUI: 視覚効果の描画のクリッピングを GUI に対応

2008-12-18 06:33  bowkenken

	* src/draw.c:

	GUI: 視覚効果のアニメーションを実装

2008-12-12 09:08  bowkenken

	* src/draw.c:

	GUI: 視覚効果の描画属性を実装

2008-12-12 08:33  bowkenken

	* ChangeLog, src/call-prot.h, src/call.cpp, src/draw-prot.h,
	src/draw.c, src/dun.h:

	GUI: 視覚効果の描画を実装

2008-11-24 16:47  bowkenken

	* src/: mnstr-act-prot.h, mnstr-act.c, mnstr-gen-tab.h,
	mnstr-kind.h, mnstr-tab.h:

	XX のモンスター・データのテーブルを設定

2008-11-24 15:12  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	ラスボスの台詞を調整

2008-10-23 04:30  bowkenken

	* src/: inc.h, last-boss-prot.h, last-boss.c:

	GUI: XX の頭の描画を実装

2008-10-21 23:11  bowkenken

	* src/: call-prot.h, call.cpp, imenu-prot.h, imenu.c, mmenu-tab.h,
	msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	GUI: 現在の BGM をもう一度再生するメニューを実装

2008-10-21 22:09  bowkenken

	* src/: last-boss-tab.h, last-boss.c:

	XX の手のパターンを作成

2008-10-21 21:06  bowkenken

	* src/: amenu.c, imenu.c, menu-prot.h, menu.c, tmenu.c:

	Yes/No メニューのタイトルをメッセージにも表示する様にした

2008-10-20 21:59  bowkenken

	* src/: last-boss-tab.h, last-boss.c:

	XX の顎のパターンを作成

2008-10-20 21:04  bowkenken

	* src/: last-boss-tab.h, last-boss.c:

	XX の前腕のパターンを作成

2008-10-19 22:12  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h:

	XEX の台詞を調整

2008-10-19 21:37  bowkenken

	* src/: last-boss-prot.h, last-boss.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, scene.h:

	XX の台詞を追加

2008-10-19 03:49  bowkenken

	* src/: last-boss-tab.h, last-boss.c:

	XX の上腕のパターンを作成

2008-10-19 00:35  bowkenken

	* src/last-boss-tab.h:

	XX のパターンを微調整

2008-10-19 00:10  bowkenken

	* src/dun-tab.h:

	星界でのパーティの出現位置を調整

2008-10-18 22:00  bowkenken

	* src/: last-boss-prot.h, last-boss-tab.h, last-boss.c,
	last-boss.h:

	XX のパーツを関節で接続できる様にした

2008-10-18 18:19  bowkenken

	* src/: last-boss-prot.h, last-boss-tab.h, last-boss.c:

	XX の体のパターンを作成

2008-10-18 16:16  bowkenken

	* src/: Makefile.am, Makefile.in, dun-prot.h, dun-tab.h, dun.c,
	inc.h, last-boss-prot.h, last-boss-tab.h, last-boss.c, last-boss.h:

	ラスボスの XX を描画できる様にした

2008-10-14 17:16  bowkenken

	* src/town.c:

	ソースにコメントを入れた

2008-10-14 08:12  bowkenken

	* src/: chr.c, inc.h, sound-kind.h, tmenu.c:

	GUI: 店とドアの SE を実装

2008-10-14 06:32  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, inc.h, sound-kind.h:

	GUI: 効果音の再生を実装

2008-10-14 03:25  bowkenken

	* src/: inc.h, mnstr-act.c:

	ラスボスのアクションを実装

2008-10-13 20:37  bowkenken

	* src/: imenu.c, last-boss-prot.h, last-boss.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	水系の地形のマップ・ヒントを表示できる様にした。
	床が崩れたらラスボスが死ぬ様にした。

2008-10-13 19:50  bowkenken

	* src/: dun.c, last-boss-prot.h, last-boss.c:

	XEX の溶岩出現のデモを実装

2008-10-13 19:11  bowkenken

	* src/: dun-prot.h, dun.c, dun.h:

	溶岩などの水系の地形を追加

2008-10-12 21:32  bowkenken

	* ChangeLog, src/call-prot.h, src/call.cpp, src/imenu.c,
	src/town.c:

	GUI:
	キー入力でのカーソル移動でマップがスクロール出来なくなっていたのを修正

2008-10-12 16:01  bowkenken

	* src/: dun.c, dun.h, last-boss.c, mnstr-act.c, party.c, town.c,
	trap.c:

	マップのフラグの「通行可」とは別に「視線が通る」を追加

2008-10-12 14:18  bowkenken

	* src/: dun-tab.h, last-boss-prot.h, last-boss.c, last-boss.h:

	GUI: XEX のエリア崩壊のデモを実装

2008-10-12 13:39  bowkenken

	* src/: last-boss-prot.h, last-boss.c, last-boss.h:

	XEX の床崩壊のデモを実装

2008-10-12 00:56  bowkenken

	* src/town.c:

	ソースにコメントを追加

2008-10-11 19:59  bowkenken

	* src/: last-boss-prot.h, last-boss.c, scene.h:

	XEX の地震のデモを実装

2008-10-11 17:42  bowkenken

	* src/draw.c:

	地震の忍術のエフェクトでマップの揺れを大きくした

2008-10-11 16:50  bowkenken

	* src/dun-tab.h:

	ラスボスの起動装置のマップ配置を調整

2008-10-11 16:40  bowkenken

	* src/: dun-tab.h, last-boss.c, last-boss.h:

	ラスボスのマップ・イベントのマーカーを調整

2008-10-11 15:37  bowkenken

	* src/last-boss.c:

	ラスボスの起動装置でゲートを開ける様にした

2008-10-11 15:22  bowkenken

	* src/: dun-tab.h, dun.c, last-boss-prot.h, last-boss.c,
	map-event.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	ラスボスの起動装置を作動できる様にした

2008-10-11 13:36  bowkenken

	* src/: dun-tab.h, dun.h:

	ラスボスのマップに起動装置を配置した

2008-10-11 12:18  bowkenken

	* src/last-boss.c:

	GUI: ラスボスのデモ前のスクロールに時間待ちを入れた

2008-10-10 18:56  bowkenken

	* src/last-boss.c:

	GUI: EXEL と EXELER の大型化のデモを実装

2008-10-10 18:23  bowkenken

	* src/: dun.c, last-boss-prot.h, last-boss.c, mnstr-gen-tab.h:

	GUI: EXEL と EXELER の登場シーンのデモを実装

2008-10-10 17:06  bowkenken

	* src/: last-boss-prot.h, last-boss.c, mnstr-act.c:

	EXELER の大型化のデモを実装

2008-10-10 16:49  bowkenken

	* src/: inc.h, last-boss-prot.h, last-boss.c:

	EXELER の登場シーンのデモを実装

2008-10-09 23:26  bowkenken

	* src/: chr.c, chr.h, last-boss-prot.h, last-boss.c, mnstr-act.c,
	mnstr.c:

	EXEL の大型化のデモを実装

2008-10-09 22:22  bowkenken

	* ChangeLog, configure, configure.in, lnl.spec, src/Makefile.am,
	src/Makefile.in, src/dun-tab.h, src/dun.c, src/last-boss.c,
	src/last-boss.h:

	EXEL の登場シーンのデモを実装

2008-10-09 18:34  bowkenken

	* src/: draw.c, gf-conf.c, imenu.c, last-boss.c, mnstr-act.c,
	mnstr.c:

	ウィンドウズ対応

2008-10-09 14:47  bowkenken

	* src/imenu.c:

	DX: キャラクタ・シートを編集する度に項目がリセットされるのを修正

2008-10-07 19:27  bowkenken

	* src/: chr.c, dun-prot.h, dun-tab.h, dun.c, inc.h,
	last-boss-prot.h, last-boss.c, last-boss.h, map-event.c,
	party-prot.h, party.c:

	ラスボスのマップ・イベントを実装

2008-10-07 17:29  bowkenken

	* sh/map-event-prot, src/Makefile.am, src/Makefile.in,
	src/dun-tab.h, src/dun.c, src/inc.h, src/last-boss-prot.h,
	src/last-boss.c, src/map-event-prot.h, src/map-event.c,
	src/map-event.h, src/mnstr-prot.h, src/mnstr.c, src/mnstr.h:

	マップ・イベント処理を実装

2008-10-07 11:59  bowkenken

	* src/: gmain.c, mmenu-prot.h, mmenu.c:

	デバッグ・モードで開始時にロード・メニューを表示する様にした

2008-10-07 11:34  bowkenken

	* src/: draw-prot.h, draw.c, last-boss.c:

	GUI: ラスボスのデモの処理を軽くした

2008-10-07 09:41  bowkenken

	* src/: chr-prot.h, chr.c, chr.h, draw.c, mnstr-act.c, mnstr.c,
	party.c:

	DX: ラスボスのデモを実装

2008-10-07 08:03  bowkenken

	* src/: inc.h, last-boss.c, scene.h:

	GUI: カットアウトをチラつかなくした

2008-10-07 06:14  bowkenken

	* src/dun.c:

	迷宮のマップ・データに店やゲート等を設定可能にした

2008-10-07 05:53  bowkenken

	* src/last-boss.c:

	カットインの表示位置を調整

2008-10-06 16:07  bowkenken

	* src/: draw-prot.h, draw.c, last-boss-prot.h, last-boss.c,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h,
	request.c:

	ラスボスのデモの台詞を実装

2008-10-06 05:09  bowkenken

	* src/inc.h:

	GUI: カットインをチラつかなくした

2008-10-06 03:39  bowkenken

	* sh/last-boss-prot, src/Makefile.am, src/Makefile.in,
	src/call-prot.h, src/call.cpp, src/chr-prot.h, src/chr.c,
	src/gmain.c, src/inc.h, src/last-boss-prot.h, src/last-boss.c,
	src/last-boss.h, src/scene.c, src/scene.h:

	ラスボスのデモのカットインを実装

2008-10-05 19:59  bowkenken

	* src/: mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h, scene.h:

	ラスボスのサブ・シーンに「遭遇」を追加

2008-10-05 15:58  bowkenken

	* src/: imenu-prot.h, imenu.c, mmenu-tab.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, scene.h:

	デバッグ・メニューからラスボス用のサブ・シーンを切り換えられる様にした

2008-10-05 15:02  bowkenken

	* src/: dun.c, scene-prot.h, scene.c, scene.h:

	ラスボス用のサブ・シーンを切り換えられる様にした

2008-10-04 20:07  bowkenken

	* configure, configure.in, src/chr-prot.h, src/chr.c, src/chr.h,
	src/mnstr-act.c, src/mnstr.c, src/party.c:

	GUI: ラスボスを描画できる様にした

2008-10-04 16:03  bowkenken

	* ChangeLog, src/chr-prot.h, src/chr.c, src/chr.h, src/dun.c,
	src/mnstr-act.c, src/mnstr-gen-tab.h, src/mnstr.c, src/party.c:

	ラスボスのサイズを切り換えられる様にした

2008-10-03 20:11  bowkenken

	* src/: dun-prot.h, dun.c, dun.h, mnstr-gen-tab.h:

	突入した階層によってラスボスの強さを自動的に設定する様にした

2008-10-03 19:37  bowkenken

	* src/: dun-prot.h, dun.c, mnstr-act-prot.h, mnstr-act.c,
	mnstr-gen-tab.h, mnstr-kind.h, mnstr-tab.h, mnstr.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	モンスター・データ・テーブルにラスボスを追加

2008-10-02 19:58  bowkenken

	* src/: dun-prot.h, dun.c:

	GUI: 奈落の地形を描画できる様にした

2008-10-02 18:21  bowkenken

	* src/: dun.c, dun.h, fx.c, imenu.c, item.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, town.c, trap.c:

	マップの地形に「奈落」を追加

2008-10-02 16:30  bowkenken

	* src/: imenu.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	ラスト・ステージへの階段でヒント機能を使える様にした

2008-10-02 14:56  bowkenken

	* src/mmenu-tab.h:

	アクセラレータ・キーの重複を修正

2008-09-29 16:47  bowkenken

	* src/music-kind.h:

	GUI: ラスト・ステージのマップを描画できる様にした

2008-09-28 20:09  bowkenken

	* src/: dun-prot.h, dun-tab.h, dun.c, dun.h, imenu-prot.h, imenu.c,
	mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	ラスト・ステージへの階段を実装した

2008-09-28 17:04  bowkenken

	* src/: dun-prot.h, dun-tab.h, dun.c, dun.h, imenu.c, mmenu-tab.h,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h,
	party-prot.h, party.c, scene.c, scene.h:

	デバッグ・メニューでラスボスのシーンへ切り換えられる様にした

2008-09-28 13:19  bowkenken

	* src/: dun-prot.h, dun-tab.h, dun.c:

	マップ上にラスボスの部屋を生成できる様にした

2008-09-28 12:25  bowkenken

	* src/: dun-tab.h, dun.h:

	ラスボスのマップ・データを作成した

2008-09-27 19:30  bowkenken

	* src/call.cpp:

	ウィンドウ・サイズのデータを CUI
	版でセーブしても初期化しない様にした

2008-09-27 15:59  bowkenken

	* src/party.c:

	ニコチン中毒のテストをテスト出来る様にした

2008-09-27 15:16  bowkenken

	* src/: draw-prot.h, draw.c, gmain.c, imenu-prot.h, imenu.c, inc.h,
	party.c:

	GUI: ジョイスティックでマップのスクロールが出来る様にした

2008-09-26 19:07  bowkenken

	* src/: call.cpp, gf-conf.c, gfile-prot.h, gfile-ver.h, gfile.h,
	inc.h:

	GUI: ジョイスティックの設定をセーブ／ロードできる様にした

2008-09-26 16:49  bowkenken

	* src/: call-prot.h, call.cpp, imenu-prot.h, imenu.c, mmenu-tab.h,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	GUI: 接続中のジョイスティックの中から１つを選択できる様にした

2008-09-26 14:41  bowkenken

	* src/: call-prot.h, call.cpp, imenu-prot.h, imenu.c, inc.h,
	mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	GUI: ジョイスティックの種類をメニューで切り替えられる様にした

2008-09-26 11:49  bowkenken

	* src/: Makefile.am, Makefile.in, joy-kind.h:

	GUI: ジョイスティックの REAL ARCADE PRO.3 に対応した

2008-09-25 21:23  bowkenken

	* src/: draw.h, imenu.c:

	GUI: ジョイスティックのボタンに対応した

2008-09-25 15:47  bowkenken

	* src/: imenu.c, inc.h:

	GUI: ジョイスティックに対応した

2008-09-23 12:22  bowkenken

	* ChangeLog, lnl.spec:

	ver.3.3.4 リリース

2008-09-23 09:27  bowkenken

	* src/town.c:

	店から出たらパーティの位置へマップをスクロールする様にした

2008-09-23 06:38  bowkenken

	* src/draw.c:

	DX: 1 行入力ウィンドウで日本語を入力できる様にした

2008-09-22 14:30  bowkenken

	* src/gmain.c:

	ゲーム・オーバー画面の負荷を少し減らした

2008-09-22 12:28  bowkenken

	* src/draw.c:

	コメントを微調整

2008-09-21 22:00  bowkenken

	* src/amenu.c:

	作戦のアイテム種別がコピー＆ペースト出来ていなかったのを修正

2008-09-21 16:03  bowkenken

	* src/draw.c:

	コメントを調整

2008-09-21 14:09  bowkenken

	* src/draw.c:

	sleep() の中で clock の時間が進まないのに対応

2008-09-21 09:58  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h, party-prot.h, party.c, tmenu-prot.h, tmenu-tab.h, tmenu.c:

	クラス・リストを上下に 1 つづつ並べ替えられる様にした

2008-09-21 09:41  bowkenken

	* src/: amenu-prot.h, amenu.c, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h, spell-prot.h, spell.c, tmenu-prot.h, tmenu-tab.h,
	tmenu.c:

	メンバー登録リストを上下に 1 つづつ並べ変えられる様にした

2008-09-21 08:54  bowkenken

	* ChangeLog, src/amenu-prot.h, src/amenu-tab.h, src/amenu.c,
	src/imenu-prot.h, src/imenu-tab.h, src/imenu.c, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h:

	作戦メニューを上下に 1 つづつ並べ変えられる様にした。
	ユーザ・メニューを上下に 1 つづつ並べ変えられる様にした。

2008-09-20 14:25  bowkenken

	* src/draw.c:

	選択するとウィンドウを開くメニューで、項目の末尾の「...」が表示されないのを修正

2008-09-20 10:20  bowkenken

	* src/party.c:

	GUI: マーク対象の指定時にアンカーが動いてしまうのを修正

2008-09-20 09:28  bowkenken

	* src/fight.c:

	魔法の掛った武器しか効かないモンスターの魔法チェックをゆるくした

2008-09-20 08:26  bowkenken

	* src/fx.c:

	全識別の効果で識別済のアイテムはメッセージを表示しない様にした

2008-09-20 06:15  bowkenken

	* src/: Makefile.am, Makefile.in, call-prot.h, call.cpp, inc.h,
	music-kind.h, tmenu.c:

	GTK+: 宿屋と寺院の効果音楽を実装

2008-09-19 20:38  bowkenken

	* src/scene.c:

	ボス戦のシーン切り替えチェックを高速化

2008-09-19 10:05  bowkenken

	* src/: inc.h, tmenu-prot.h, tmenu.c, town.c:

	GTK+: 店の BGM を実装

2008-09-19 08:51  bowkenken

	* src/: scene.c, scene.h:

	GTK+: ボス戦の BGM を実装

2008-09-19 08:32  bowkenken

	* src/: chr.c, inc.h, misc-prot.h, misc.c, scene-prot.h, scene.c,
	scene.h:

	GTK+: 戦闘中の BGM を実装

2008-09-16 16:42  bowkenken

	* src/: chr-prot.h, chr.c, chr.h, lnl-dos/config-dos.h:

	DX: キャラクタ・シートのステータス・タブを実装

2008-09-15 18:48  bowkenken

	* src/: chr-prot.h, chr.c:

	DX: キャラクタ・シートのレベル・タブを実装

2008-09-15 16:15  bowkenken

	* ChangeLog, src/ver.h:

	クレジットに写真家を追加

2008-09-15 07:39  bowkenken

	* src/inc.h:

	DX: ファイルを追加

2008-09-14 13:18  bowkenken

	* src/: draw-prot.h, draw.c, imenu-prot.h, imenu.c, inc.h:

	DX: キャラクタ・シートのアイテム・タブを実装

2008-09-14 02:37  bowkenken

	* src/: msg-jpn-utf8.h, ver.h:

	クレジットに楽曲制作者を追加

2008-09-14 02:14  bowkenken

	* src/: draw-prot.h, draw.c, imenu-prot.h, imenu.c:

	GTK+: キャラクタ・シートの編集可能チェックを実装

2008-09-14 00:20  bowkenken

	* src/: call-prot.h, call.cpp, draw-prot.h, draw.c, imenu-prot.h,
	imenu.c, inc.h:

	GTK+: キャラクタ・シートの編集機能を実装

2008-09-13 09:56  bowkenken

	* src/: inc.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	GTK+: キャラクタ・シートのステータス・タブを実装

2008-09-12 06:14  bowkenken

	* src/: call-prot.h, call.cpp, gmain.c, imenu.c, inc.h, msg-eng.h,
	msg-jpn.h, msg.h:

	GTK+: キャラクタ・シートのレベル・タブを実装

2008-09-11 08:09  bowkenken

	* src/: call-prot.h, call.cpp, gf-conf.c, gfile-ver.h, imenu.c,
	inc.h, win-kind.h:

	GUI: キャラクタ・シートのアイテム・タブを実装

2008-09-09 23:04  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h:

	店員のあいさつを英語に翻訳

2008-09-09 21:32  bowkenken

	* src/: mnstr-prot.h, mnstr-tab.h, mnstr.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	モンスターの登場パターンを各ステージに分けた

2008-09-08 17:38  bowkenken

	* src/: inc.h, scene.c, scene.h:

	GUI: エンディングの宇宙を実装

2008-09-08 10:20  bowkenken

	* src/: draw-prot.h, draw.c, gmain-prot.h, gmain.c, imenu-prot.h,
	imenu.c, inc.h, mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, scene.c, scene.h:

	ウィザード・メニューでシーンを切り換えられる様にした

2008-09-07 20:31  bowkenken

	* src/: curs.c, curs.h, draw.c, gfile.c, gmain.c, gmain.h, inc.h,
	menu.c:

	GNU Autotools のチェック方法を修正

2008-09-06 23:49  bowkenken

	* src/: call-prot.h, call.cpp, dun.c, dun.h, inc.h, scene.c:

	GUI: シーンに合せて BGM を切り換える様にした

2008-09-06 21:07  bowkenken

	* src/inc.h:

	GTK+: BGM 再生を実装

2008-09-06 07:57  bowkenken

	* src/: call.cpp, gmain-prot.h, gmain.c, inc.h, msg-jpn-utf8.h,
	party.c, scene.c, scene.h:

	GTK+: ゲーム・オーバー画面を実装

2008-09-04 18:25  bowkenken

	* src/inc.h:

	DX: クラス・エディタ・ウィンドウを実装

2008-09-04 14:32  bowkenken

	* src/inc.h:

	GTK+: クラス・エディタの機能を実装

2008-09-04 12:57  bowkenken

	* src/: call-prot.h, call.cpp, gf-conf.c, inc.h, msg-eng.h,
	msg-jpn.h, msg.h, tmenu.c, win-kind.h:

	GTK+: クラス・エディタのウィンドウを実装

2008-09-02 15:23  bowkenken

	* src/: call-prot.h, call.cpp, gmain.c:

	GUI: 著作権をウィンドウ上に表示できる様にした

2008-09-02 15:04  bowkenken

	* src/: gfile.c, gmain-prot.h, gmain.c, imenu.c:

	GUI モードでは、初回起動時の著作権表示をしないようにした

2008-09-02 13:59  bowkenken

	* src/amenu.c:

	作戦の空きスロットにペースト出来る様にした

2008-09-02 13:26  bowkenken

	* src/amenu.c:

	空きの作戦をソートできる様にした

2008-09-02 13:01  bowkenken

	* src/: amenu-prot.h, amenu-tab.h, amenu.c, gf-conf.c, gf-save.c,
	gfile-prot.h, gfile-ver.h, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	セーブ・ファイルをコンパクトにした

2008-09-01 23:50  bowkenken

	* src/inc.h:

	DX: リプレイ・ウィンドウを実装

2008-09-01 19:13  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	GTK+: リプレイ・ウィンドウのメッセージを国際化

2008-09-01 18:41  bowkenken

	* src/replay.c:

	GTK+: リプレイ・ウィンドウにキー・リストを表示できる様にした

2008-09-01 09:07  bowkenken

	* ChangeLog, src/call-prot.h, src/call.cpp, src/draw.c,
	src/gf-conf.c, src/gf-save.c, src/inc.h, src/replay-prot.h,
	src/replay.c, src/win-kind.h:

	GTK+: リプレイ・ウィンドウを実装

2008-08-31 21:20  bowkenken

	* src/: msg-jpn-sjis.h, msg-jpn-utf8.h, msg.h:

	DX: エラー・メッセージを国際化

2008-08-31 21:10  bowkenken

	* src/: msg-eng.h, msg-jpn.h:

	DX: エラー・メッセージを国際化

2008-08-31 19:38  bowkenken

	* src/: draw.c, imenu.c:

	DX: タイトル画面を別モジュールに分けた

2008-08-19 16:54  bowkenken

	* src/: draw.c, misc.h:

	π(パイ)の定義をヘッダに移動した

2008-08-19 13:17  bowkenken

	* src/inc.h:

	GTK+: タイトル画面を別モジュールに分けた

2008-08-18 18:57  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h:

	店の主人の名前を英語に翻訳した

2008-08-18 17:25  bowkenken

	* src/msg.c:

	デフォルトの言語をウィンドウズに対応

2008-08-18 10:17  bowkenken

	* src/gf-conf.c:

	ウィンドウ位置をロードすると不正落ちするのを修正した

2008-08-17 20:51  bowkenken

	* src/: call.cpp, gf-conf.c:

	ウィンドウの位置やサイズの管理をシンプルにした

2008-08-16 16:09  bowkenken

	* src/: call-prot.h, call.cpp, draw-prot.h, draw.c, gf-conf.c,
	gfile-ver.h, inc.h, win-kind.h:

	GTK+: 依頼ウィンドウを実装

2008-08-12 15:43  bowkenken

	* src/call.cpp:

	OS 毎の場合分けを出来るだけ一つにまとめた

2008-08-12 13:51  bowkenken

	* src/draw.c:

	フレーム・レートの計測待ちに sleep が使えるなら使用する様にした。
	コメントを微調整した。

2008-08-11 08:49  bowkenken

	* src/gfile.c:

	LEX のエラー・メッセージの一部を警告・メッセージに変更

2008-08-11 08:42  bowkenken

	* src/: draw-prot.h, draw.c, fx.c, gfile.c, mmenu.c:

	セーブ・ファイルの文字定数が壊れていても読み込める様にした

2008-08-11 07:02  bowkenken

	* src/: gf-save.c, gfile.c:

	顔文字が空になるバグで壊れたセーブ・ファイルをロード出来る様にした

2008-08-11 05:34  bowkenken

	* src/: gf-save.c, gfile-ver.h:

	「望み」の祈りのデータをセーブ出来る様にした

2008-08-11 02:30  bowkenken

	* src/town.c:

	ソースにコメントを一部追加

2008-08-10 14:49  bowkenken

	* src/: chr.h, dun.c, fx-prot.h, fx.c, mmenu-tab.h, mmenu.c,
	mnstr.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h, party.c, spell-prot.h, spell.c:

	魔法のランプを実装した。 「望み」の祈りを実装した。

2008-05-25 11:36  bowkenken

	* src/draw.c:

	DX: ウィンドウズ対応

2008-05-25 10:41  bowkenken

	* src/: call-prot.h, call.cpp, chr.c, curs-prot.h, curs.c, dun.c,
	gmain.c:

	GTK+: テキスト・モードを少し高速化

2008-05-20 23:07  bowkenken

	* src/fx-menu-tab.h:

	ファイルを追加

2008-05-19 23:55  bowkenken

	* src/: Makefile.am, Makefile.in, chr.c, chr.h, fx-prot.h, fx.c,
	fx.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h,
	spell-gen-tab.h, spell.c:

	「望み」の祈りの種類をメニューで選択できる様にした

2008-05-19 04:49  bowkenken

	* src/: fx.h, gfile-tab.h, item-light-tab.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, party.c:

	ハルマゲドンのランプのデータを追加設定した

2008-05-19 04:24  bowkenken

	* src/: fx.h, gf-save.c, gfile-prot.h, gfile-tab.h, gfile-ver.h,
	gfile.c, item-light-tab.h, item-prot.h, item.c, item.h, mmenu.c,
	msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h,
	party.c, town.c:

	魔法のランプの基礎になるアイテムのデータと処理を実装した

2008-05-19 00:00  bowkenken

	* src/: draw.c, gfile.c:

	突然メッセージが 1 行モードになってしまうのを修正した

2008-05-18 22:01  bowkenken

	* src/: chr-prot.h, chr.c:

	モンスターが少しだけ回り込み移動をする様にした

2008-05-18 04:02  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	spell.c, tmenu.c:

	呪文リストと街の寺院のメニューを UTF-8 に対応した

2008-05-18 03:29  bowkenken

	* src/: amenu.c, call.cpp, draw.c, fx.c, gf-conf.c, gf-outmap.c,
	gf-save.c, gfile.c, imenu.c, inc.h, item.c, menu.c, misc-prot.h,
	misc.c, mmenu.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.c, party.c, request.c, spell.c, tmenu.c, town.c,
	turn.c:

	文字コードが UTF-8 でも表示が崩れない様にした

2008-05-17 04:40  bowkenken

	* src/: curs.c, curs.h, draw.c, gf-conf.c, gfile-ver.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	メニューの選択されていない項目の色を設定可能した

2008-05-16 20:42  bowkenken

	* src/draw.c:

	GTK+: 忍術の「地震の術」の視覚効果を描画できる様にした

2008-05-16 20:31  bowkenken

	* ChangeLog, src/call-prot.h, src/call.cpp, src/draw-prot.h,
	src/draw.c, src/fx.c, src/menu.c, src/spell.c:

	GTK+: テキスト・モードで視覚効果を描画できる様にした

2008-05-16 04:58  bowkenken

	* src/: imenu-prot.h, imenu.c, mmenu-tab.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, turn.h:

	ウィザード・メニューの[ターンを進める]で時間と分単位でも進められる様にした

2008-05-15 23:58  bowkenken

	* src/: mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	メニューの[その他]を整理して[情報]を追加した

2008-05-15 05:42  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.c, msg.h:

	メッセージ・データが容量オーバーになったので複数のブロックに分割した

2008-05-13 20:39  bowkenken

	* src/: call-prot.h, call.cpp, gf-save.c:

	GTK+:
	セーブ・データのロード時に、メンバーのタイルをリロードする様にした

2008-05-13 15:21  bowkenken

	* src/: chr.c, gf-save.c, gfile-ver.h:

	GTK+:
	メンバーのタイル・セレクトでダブル・クリックして設定できる様にした

2008-05-13 09:52  bowkenken

	* ChangeLog, src/msg-jpn-sjis.h, src/town-ptn.xpm, src/town.c,
	src/turn-prot.h, src/turn.c:

	GUI: 街灯を描画できる様にした

2008-05-12 22:48  bowkenken

	* src/: fight.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	モンクの百烈拳のコンボ数を表示する。 ダメージの視覚効果は合計を 1
	回だけ描画する。

2008-05-12 21:43  bowkenken

	* src/: chr.h, draw-prot.h, draw.c, mnstr.c, party.c, spell.c:

	拡散／全体攻撃で呪文を掛けた時にダメージを一斉に描画する様にした

2008-05-12 07:51  bowkenken

	* src/: fight-prot.h, fight.c, mmenu.c:

	複数回攻撃ができるモンクの百烈拳を実装した

2008-05-12 04:57  bowkenken

	* configure, src/chr.c, src/chr.h, src/imenu-prot.h, src/imenu.c,
	src/mmenu-prot.h, src/mmenu-tab.h, src/mmenu.c, src/msg-eng.h,
	src/msg-jpn-sjis.h, src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h:

	ウィザード・メニューで能力値のレベルを編集できる様にした

2008-05-12 02:04  bowkenken

	* configure.in, man/lnl-faq.jpn, man/lnl.jpn, src/gmain.c:

	オプションの記述などを修整

2008-05-11 16:11  bowkenken

	* src/: Makefile.am, Makefile.in:

	ver.3.3.3 リリース

2008-05-11 15:30  bowkenken

	* src/call.cpp:

	DX: テキスト・モードが重いのを修正

2008-05-10 20:53  bowkenken

	* ChangeLog, man/lnl-faq.jpn, man/lnl.jpn:

	ver.3.3.3 リリース

2008-05-10 19:04  bowkenken

	* src/: call-prot.h, call.cpp:

	GTK+: 迷宮内でキャラクタの描画が更新されないのを修正

2008-05-10 18:43  bowkenken

	* src/: call-prot.h, call.cpp, chr.c, gf-save.c, gfile.c:

	バイナリーのセーブ・ファイルを読み込むとエラー終了するのを修正

2008-05-10 16:59  bowkenken

	* src/gf-save.c:

	古いコードを削除

2008-05-10 16:49  bowkenken

	* src/gf-save.c:

	行末が復帰文字だけだとセーブ・データ一覧のタイトル名がおかしくなるのを修正

2008-05-10 16:09  bowkenken

	* src/gfile.c:

	DOS 版のセーブ・ファイルの復帰改行が UNIX
	版で改行として読み込めなかったのを修正

2008-05-10 14:07  bowkenken

	* src/: gf-conf.c, gf-save.c, gfile.c, main-dos-prot.h:

	ウィンドウズ対応

2008-05-10 13:25  bowkenken

	* src/: fx.c, gf-save.c, gfile-prot.h, gfile-ver.h:

	能力値を増強すると効果が切れても元に戻らないのを修正
	(セーブ・データも対応)

2008-05-10 12:21  bowkenken

	* ChangeLog, src/dun-prot.h, src/dun.c, src/fight.c, src/fx.c:

	ドアを壊した時のメッセージをメンバーの場合だけ表示する様に修正

2008-05-09 21:58  bowkenken

	* src/: mnstr.c, msg-jpn-utf8.h:

	FALSE が小文字だったのを修正

2008-05-09 11:32  bowkenken

	* src/: chr-prot.h, chr.c, mnstr.c:

	GTK+:
	キャラクタの行動の結果による画面更新が、次のターンまで行われないのを修正

2008-05-08 20:19  bowkenken

	* src/mnstr.c:

	古いコードを削除

2008-05-08 19:12  bowkenken

	* src/town-ptn.xpm:

	街のマップの微調整

2008-05-07 16:31  bowkenken

	* sh/gfile-prot, src/Makefile.am, src/Makefile.in, src/fx.c,
	src/gf-conf.c, src/gf-crsr.c, src/gf-gconf.c, src/gf-outmap.c,
	src/gf-replay.c, src/gf-save.c, src/gf-town.c, src/gfile-prot.h,
	src/gfile.c, src/gfile.h, src/inc.h:

	ファイル処理を種類別にモジュール分割した

2008-05-05 21:43  bowkenken

	* src/: call-prot.h, call.cpp, draw-prot.h, draw-tab.h, draw.c,
	draw.h, imenu-prot.h, imenu.c, inc.h, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, scene.c, scene.h:

	GTK+: メンバーのタイル・セレクトで一覧表示できる様にした

2008-05-03 15:07  bowkenken

	* ChangeLog, src/imenu.c, src/msg-eng.h, src/msg-jpn-sjis.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h:

	マップのヒントで、窓とゲートをドアと区別して表示できる様にした

2008-05-03 11:14  bowkenken

	* src/: imenu-prot.h, imenu.c, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h:

	マップ・キャラクタのヒント文字列の生成と表示の処理を分けた

2008-05-03 00:56  bowkenken

	* src/: dun-prot.h, dun.c, dun.h, town-ptn.xpm:

	壁で囲まれたドアを窓として描画できる様にした

2008-05-02 21:34  bowkenken

	* src/gfile.c:

	設定ファイルのウィンドウ座標にマイナス値をセット出来る様にした

2008-05-02 20:59  bowkenken

	* src/inc.h:

	DX: ウィンドウの位置とサイズをセーブ／ロード出来る様にした

2008-05-02 16:44  bowkenken

	* src/gfile.c:

	自動セーブの時のスロット名を見てすぐ判る様に変える

2008-05-02 14:24  bowkenken

	* src/town-ptn.xpm:

	街のマップ・データを微調整

2008-05-02 13:32  bowkenken

	* src/: call-prot.h, call.cpp, gfile-prot.h, gfile.c, gfile.h,
	inc.h, win-kind.h:

	GTK+: ウィンドウの位置とサイズをセーブ／ロード出来る様にした

2008-05-01 09:00  bowkenken

	* src/draw.c:

	変数が初期化されない可能性があったのを修正

2008-05-01 08:44  bowkenken

	* src/: curs-def.h, curs.c:

	coLinux 対応

2008-05-01 07:07  bowkenken

	* configure, configure.in, src/config.h.in:

	coLinux 対応

2008-05-01 06:30  bowkenken

	* configure, configure.in, src/config.h.in, src/curs.h:

	coLinux に対応

2008-04-27 14:07  bowkenken

	* src/: mnstr-prot.h, mnstr.c, party.c:

	モンスターの出現パターンのループ数で取得経験値を修整する様にした

2008-04-27 07:29  bowkenken

	* src/: call-prot.h, call.cpp, draw.c:

	DX: キー入力処理にウェイトを入れて CPU 使用率を下げた

2008-04-26 08:46  bowkenken

	* src/: chr.c, mmenu.c, turn-prot.h, turn.c:

	GTK+: 夕焼けや夜などでマップの色を変化させる様にした

2008-04-26 02:23  bowkenken

	* src/draw.c:

	キャラクタの明かりでゴミが描画されるのを修正

2008-04-26 00:52  bowkenken

	* src/party.c:

	アンカーのキャンセルで方向がキャンセルできないのを修正

2008-04-25 13:41  bowkenken

	* src/town-ptn.xpm:

	街のマップ・データを新版のオート・タイルに合わせて微調整した

2008-04-25 13:10  bowkenken

	* src/: call.cpp, gfile.c, ver.h:

	GUI: 壁と屋根のオート・タイルの形式に別バージョンを追加

2008-04-20 04:48  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h:

	ツール・チップのメッセージを詳しくした

2008-04-19 08:05  bowkenken

	* src/: menu.c, menu.h:

	GUI: マウスのプレスとリリースにマクロを割り当てられる様にした

2008-04-19 03:33  bowkenken

	* src/: draw.c, gmain.c:

	DX: ダブル・クリックに機能を割り当てられる様にした

2008-04-19 01:06  bowkenken

	* src/: draw.c, menu.c, menu.h, mmenu.c, party-prot.h, party.c,
	party.h:

	アンカーの直前の向きを記憶できる様にした

2008-04-17 08:01  bowkenken

	* src/menu.c:

	メニューのデフォルト項目を無効にしてしまったのを修正

2008-04-17 06:24  bowkenken

	* src/gmain.c:

	GUI から CUI 専用の処理を呼んでいたのを修正

2008-04-17 01:12  bowkenken

	* sh/all-prot, src/amenu-prot.h, src/amenu.c, src/chr-prot.h,
	src/chr.c, src/curs-prot.h, src/curs.c, src/draw-prot.h,
	src/draw.c, src/dun-prot.h, src/dun.c, src/fight-prot.h,
	src/fight.c, src/fx-prot.h, src/fx.c, src/gfile-prot.h,
	src/gfile.c, src/gmain-prot.h, src/gmain.c, src/imenu-prot.h,
	src/imenu.c, src/inc.h, src/item-prot.h, src/item.c,
	src/main-dos.c, src/main-unix-prot.h, src/main-unix.c,
	src/menu-prot.h, src/menu.c, src/misc-prot.h, src/misc.c,
	src/mmenu-prot.h, src/mmenu.c, src/mnstr-act-prot.h,
	src/mnstr-act.c, src/mnstr-prot.h, src/mnstr.c, src/msg-prot.h,
	src/msg.c, src/nest-flg-prot.h, src/nest-flg.c, src/party-prot.h,
	src/party.c, src/pet-prot.h, src/pet.c, src/replay-prot.h,
	src/replay.c, src/request-prot.h, src/request.c, src/scene-prot.h,
	src/scene.c, src/spell-prot.h, src/spell.c, src/tmenu-prot.h,
	src/tmenu.c, src/town-prot.h, src/town.c, src/trap-prot.h,
	src/trap.c, src/turn-prot.h, src/turn.c:

	各関数内のスタティック変数をリセット出来る様にして、リプレイの再現性を高めた

2008-04-13 00:03  bowkenken

	* src/: amenu-prot.h, amenu.c, inc.h, trap-prot.h, trap.c:

	作戦で罠をターゲットに出来る様にした

2008-04-12 22:07  bowkenken

	* src/amenu.c:

	作戦メニューで使わない項目を不可視にするのでなく、逆に使う項目を有効にする様にした

2008-04-12 21:21  bowkenken

	* src/: amenu-tab.h, amenu.c, amenu.h, gfile-tab.h, gfile-ver.h,
	item-prot.h, item.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h:

	作戦の条件に「識別済」と「未識別」を追加

2008-04-11 20:48  bowkenken

	* src/: dun-prot.h, dun.c, trap.c:

	中ボスのいる階層にはシュートの罠を作らない様にした

2008-04-11 20:26  bowkenken

	* sh/prot, src/inc.h, src/msg-eng.h, src/msg-jpn-sjis.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/request.c,
	src/town-prot.h, src/town.c:

	店に入った時にあいさつのメッセージを表示する様にした

2008-04-11 17:48  bowkenken

	* src/: dun-prot.h, dun.c, msg-eng.h, town-prot.h, town.c:

	街にある迷宮への階段を大きくして目立つ様にした

2008-04-10 18:06  bowkenken

	* src/: chr.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h,
	msg-jpn.h, party.c:

	経験値の取得メッセージをカンマ・フォーマットにした

2008-04-10 17:48  bowkenken

	* src/draw.c:

	キャラクタ・シートの所持金をカンマ・フォーマットにした

2008-04-09 20:35  bowkenken

	* configure, configure.in, lnl.spec, src/draw-prot.h, src/draw.c,
	src/imenu-prot.h, src/imenu.c:

	連続実行キーをトグル動作で切り替わる様にした

2008-04-09 15:03  bowkenken

	* ChangeLog, src/call.cpp, src/draw.c, src/draw.h,
	src/imenu-prot.h, src/imenu.c, src/msg-eng.h, src/msg-jpn-sjis.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/replay.c,
	src/tmenu.c, src/town.c:

	宿屋に泊る時に空きのメンバーの宿代まで払おうとしてエラーが出るのを修正

2008-04-08 18:01  bowkenken

	* src/call.cpp:

	DX: 描画を高速化

2008-04-07 19:51  bowkenken

	* src/draw.c:

	メンバーの編集で顔文字を入力するとデータが壊れるのを修正

2008-04-06 17:00  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/chr.c, src/draw.c, src/fight.c, src/fx.c, src/gfile-ver.h,
	src/gfile.c, src/imenu.c, src/item.c, src/mmenu.c, src/spell.c,
	src/lnl-dos/config-dos.h:

	アイテム処理の NULL ポインタのチェックを追加した

2008-04-03 23:22  bowkenken

	* ChangeLog, lnl.spec:

	ver.3.3.1 リリース

2008-04-03 23:02  bowkenken

	* src/main-dos.c:

	dows: バージョナップ

2008-04-03 22:11  bowkenken

	* src/: main-dos-prot.h, main-dos.c:

	dows: バージョナップ

2008-04-03 22:04  bowkenken

	* src/lnl-dos/config-dos.h:

	dows: バージョナップ

2008-04-03 20:48  bowkenken

	* src/ver.h:

	著作権の表示年を 2008 年に変更

2008-04-03 19:27  bowkenken

	* src/msg-jpn-sjis.h:

	Shift-JIS 用のメッセージを変換

2008-04-03 18:15  bowkenken

	* src/: gfile-prot.h, gfile-ver.h, gfile.c:

	画面サイズの設定をセーブ／ロードできる様にした

2008-04-03 17:17  bowkenken

	* ChangeLog, src/curs-prot.h, src/curs.c, src/curs.h,
	src/imenu-prot.h, src/imenu.c, src/mmenu-tab.h, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h:

	画面サイズを手動で設定できる様にした

2008-03-26 07:27  bowkenken

	* ChangeLog, src/msg-eng.h, src/msg-jpn-utf8.h, src/msg-jpn.h,
	src/party-prot.h, src/party.c:

	テレポートや階層の上下で、パーティが壁の中に出現しない様にした

2008-02-15 08:41  bowkenken

	* src/: draw.c, menu-prot.h, menu.c:

	キーボード・マクロの中ではメニューのデフォルト項目を無視する様にした

2008-02-14 17:44  bowkenken

	* src/: fight.c, fx.c, fx.h, gfile-tab.h, item-scroll-tab.h,
	item.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h, spell-gen-tab.h, spell-kind.h, spell-tab.h, spell.c:

	体術系の忍術を追加

2008-02-14 11:58  bowkenken

	* src/: draw.c, spell-gen-tab.h, spell.c, spell.h:

	忍術の消費 HP を調整。 台風の忍術のエフェクトを調整。

2008-02-12 17:18  bowkenken

	* src/chr.c:

	C で関数の先頭以外で変数を宣言していたのを修正

2008-02-07 07:23  bowkenken

	* man/lnl-faq.jpn, src/chr.c:

	GUI: 描画を高速化

2008-02-06 04:55  bowkenken

	* src/: mnstr-prot.h, mnstr-tab.h, mnstr.c:

	モンスターの出現階層のパターンをループさせた

2008-02-05 08:08  bowkenken

	* src/mnstr-gen-tab.h:

	金銀銅ドラゴンのブレスの属性を入れ替えた

2008-02-04 13:59  bowkenken

	* src/imenu.c:

	罠が識別済みの場合は、ヒント機能で名前を表示するようにした

2008-02-04 13:37  bowkenken

	* src/town-tab.h:

	装備強化の巻物を店で売らないようにした

2008-02-04 13:27  bowkenken

	* src/msg.c:

	指定された言語がサポート外の場合は英語にする

2008-02-01 05:24  bowkenken

	* ChangeLog, configure, configure.in, man/lnl-faq.jpn, man/lnl.jpn,
	src/gmain.c, src/menu.c:

	マウスの左右プレスを入れ替えた。 マニュアルのバージョナップ。
	小文字の -v オプションでもバージョンを表示する様にした。

2008-01-11 18:12  bowkenken

	* ChangeLog, src/abl-kind.h, src/amenu-tab.h, src/amenu.c,
	src/amenu.h, src/call.cpp, src/chr.c, src/chr.h, src/class-tab.h,
	src/crsr-ptn.h, src/curs-def.h, src/curs.c, src/curs.h,
	src/draw-tab.h, src/draw.c, src/draw.h, src/dun-tab.h, src/dun.c,
	src/dun.h, src/extern.h, src/fight.c, src/fight.h, src/fx.c,
	src/fx.h, src/gfile-tab.h, src/gfile-ver.h, src/gfile.c,
	src/gfile.h, src/gmain.c, src/gmain.h, src/imenu-tab.h,
	src/imenu.c, src/inc.h, src/item-kind.h, src/item-tab.h,
	src/item.c, src/item.h, src/main-dos.c, src/main-unix.c,
	src/menu-tab.h, src/menu.c, src/menu.h, src/misc.c, src/misc.h,
	src/mmenu-tab.h, src/mmenu.c, src/mnstr-act.c, src/mnstr-kind.h,
	src/mnstr-tab.h, src/mnstr.c, src/mnstr.h, src/msg-eng.h,
	src/msg-jpn-sjis.h, src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg-t.h,
	src/msg.c, src/nest-flg.c, src/nest-flg.h, src/party.c,
	src/party.h, src/pet.c, src/pet.h, src/replay.c, src/replay.h,
	src/request-tab.h, src/request.c, src/request.h, src/resi.h,
	src/rumor-tab.h, src/scene.c, src/scene.h, src/spell-kind.h,
	src/spell-tab.h, src/spell.c, src/spell.h, src/tmenu-tab.h,
	src/tmenu.c, src/town-tab.h, src/town.c, src/town.h, src/trap.c,
	src/trap.h, src/turn.c, src/turn.h, src/ver.h, src/vfx-kind.h:

	明けましておめでとうございます。今年もよろしくお願いします。

2008-01-11 06:24  bowkenken

	* src/msg-jpn-sjis.h:

	メッセージの shift-JIS 版を生成し忘れていた

2007-12-25 22:46  bowkenken

	* ChangeLog:

	ver.3.3.0 リリース

2007-12-25 15:38  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	ver.3.3.0 リリース

2007-12-25 02:38  bowkenken

	* Makefile.in, configure, man/Makefile.in, src/Makefile.in,
	src/config.h.in, src/item-prot.h, src/item.c, src/ver.h:

	アイテムの識別で、なるべく不正落ちしない様に修正

2007-12-25 01:36  bowkenken

	* src/: call.cpp, gmain.c, inc.h, misc.h:

	DX: 不正落ちが頻繁に起きるのを修正

2007-12-16 11:09  bowkenken

	* src/: gfile.c, inc.h:

	GTK+: グラフィック・モードを選択して設定できる様にした

2007-12-15 17:18  bowkenken

	* src/: imenu.c, menu-prot.h, menu.c:

	GUI:
	マーク対象の選択中もマウスで「決定/キャンセル」が出来る様にした

2007-12-15 10:58  bowkenken

	* src/: call.cpp, gfile.c, inc.h, msg-jpn-utf8.h:

	GUI のタイル設定の処理を CUI 側から隠した

2007-12-15 08:24  bowkenken

	* ChangeLog, src/call-prot.h, src/call.cpp, src/chr.c,
	src/gfile-prot.h, src/gfile-ver.h, src/gfile.c, src/inc.h,
	src/msg-eng.h, src/msg-jpn.h, src/msg.h, src/tmenu.c:

	タイル選択の設定ファイルをロードできる様にした

2007-12-13 20:15  bowkenken

	* configure, configure.in, lnl.spec, src/lnl-dos/config-dos.h:

	バージョナップ

2007-12-13 19:49  bowkenken

	* src/inc.h:

	GTK+: タイル選択のディレクトリ検索を実装

2007-12-12 10:03  bowkenken

	* src/draw.c:

	GUI: マップの描画を高速化

2007-12-11 22:14  bowkenken

	* src/inc.h:

	DX: タイトル画面に背景画像を描画

2007-12-10 15:52  bowkenken

	* Makefile.in, man/Makefile.in, sh/scene-prot, src/Makefile.am,
	src/Makefile.in, src/gmain.c, src/inc.h, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/scene-prot.h,
	src/scene.c, src/scene.h:

	タイトル画面に画像を描画する様にした

2007-12-10 00:24  bowkenken

	* src/msg-def-sub:

	メッセージ定義スクリプトを C++ に対応

2007-12-09 02:46  bowkenken

	* ChangeLog, src/town-ptn.xpm:

	街のマップを微調整

2007-12-08 09:57  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, inc.h:

	DX: ステータス・ウィンドウを実装

2007-12-06 07:22  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, trap.c:

	DX: GUI のテキスト・モードを実装

2007-12-06 00:49  bowkenken

	* src/inc.h:

	DX: クローズ・ボタンで終了確認をする様にした

2007-12-05 22:20  bowkenken

	* src/: call.cpp, menu.c, misc-prot.h, misc.c, msg.h:

	コンマ・フォーマットから数値への変換を実装

2007-12-03 14:10  bowkenken

	* src/: call-prot.h, call.cpp, menu.c:

	ウィンドウズのファイルを追加

2007-12-03 12:22  bowkenken

	* src/: call.cpp, draw.c, inc.h:

	DX: 1 行入力ウィンドウを実装。 Windows
	版のファイルを追加。

2007-11-28 09:36  bowkenken

	* src/: call-prot.h, call.cpp, menu.c, menu.h:

	数値入力の GUI と CUI を連動させた

2007-11-20 13:56  bowkenken

	* src/imenu.c:

	<z> <x> <c> <v> のキーでも、キャラクタ・シートを操作できる様にした

2007-11-20 13:41  bowkenken

	* ChangeLog, src/draw.c, src/imenu-prot.h, src/imenu.c,
	src/item-prot.h, src/menu.h, src/msg-eng.h, src/msg-jpn-utf8.h,
	src/msg-jpn.h, src/msg.h, src/tmenu.c:

	キャラクタ・シートのキー割り当てを変更

2007-11-17 16:48  bowkenken

	* src/call.cpp:

	DX: メニュー・ウィンドウを表示できる様にした

2007-11-13 03:23  bowkenken

	* src/: gmain.c, item.c:

	DX: ゲームの終了後のメモリー・リークを減らした

2007-11-12 19:12  bowkenken

	* src/: call.cpp, inc.h:

	DX: メッセージのカラー等の描画属性を実装

2007-11-12 13:12  bowkenken

	* src/call.cpp:

	DX: メッセージ・ウィンドウを実装

2007-11-09 20:46  bowkenken

	* src/spell.c:

	聖域に祈り以外が通用するか内部的に設定できる様にした

2007-11-09 20:26  bowkenken

	* src/: inc.h, msg.h:

	DX: メッセージの管理ヘッダを C と C++
	から参照できる様にした

2007-11-09 17:03  bowkenken

	* src/: chr.c, draw.c:

	テキスト・モード時はキャラクタをソートしない様にした

2007-11-09 15:49  bowkenken

	* src/curs.c:

	カーソルの移動に範囲チェックを追加

2007-11-08 22:13  bowkenken

	* ChangeLog, src/draw.c, src/menu.h, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.c, src/msg.h:

	文字コードが UTF-8 の時にメニューの表示がくずれるのを一部修正

2007-11-08 12:42  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, gmain-prot.h, gmain.c,
	gmain.h:

	GTK+: GUI のテキスト表示モードを実装

2007-11-06 12:17  bowkenken

	* src/: party.c, trap.c, trap.h, ver.h:

	タイル・データを差し替えた

2007-11-05 20:05  bowkenken

	* src/: msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	アクションの「投げる」を「射撃」に変更

2007-11-05 19:16  bowkenken

	* ChangeLog, src/fx.c, src/trap.c, src/trap.h:

	パターンがタイル・サイズより少しはみ出ても描画できる様にした

2007-11-04 22:42  bowkenken

	* src/inc.h:

	DirectX 版で、マップの初期位置を正しくした

2007-11-04 21:46  bowkenken

	* src/: call.cpp, imenu.c, inc.h, msg.h:

	DirectX 版で、マップ・ウィンドウにスクロール・バーをつけた

2007-11-03 06:03  bowkenken

	* ChangeLog, src/draw.c, src/inc.h, src/menu-prot.h, src/menu.c:

	マウス・ホイールのキーがバッファにたまらない様にした

2007-11-03 03:23  bowkenken

	* src/: draw-prot.h, draw.c, imenu-prot.h, imenu.c, menu.h,
	mmenu-tab.h, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	<:>
	キーの後にメニュー・パスを入力でメニューを直接実行できる様にした

2007-11-01 19:23  bowkenken

	* src/: imenu-prot.h, imenu-tab.h, imenu.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h:

	マウス・ホイールでのスクロールを仮実装

2007-11-01 11:23  bowkenken

	* src/: menu.c, ver.h:

	マウスのプレス&クリックのキー割り当てを一部変更。
	バージョン表示のゴミを減らした。

2007-11-01 07:59  bowkenken

	* src/: main-unix-prot.h, main-unix.c, menu-tab.h, menu.c:

	ファンクション・キーのメニューを複数ページにした

2007-10-31 01:32  bowkenken

	* ChangeLog, src/inc.h:

	GTK+ 版で BMP の抜き色を自動設定する様にした

2007-10-30 21:20  bowkenken

	* src/call.cpp:

	DirectX 版で、BMP
	の読み込み時に画像の抜き色を自動設定する様にした

2007-10-30 14:53  bowkenken

	* src/: call-prot.h, call.cpp, gmain.c, inc.h:

	DirectX 版で、CUI 側のスレッドから終了できる様にした。
	DirectX 版で、ファイルの検索を MFC から Win32API
	に変更したら動いた。

2007-10-29 21:53  bowkenken

	* src/gmain.h:

	DirectX 版で、マップの描画と更新の排他制御をする様にした

2007-10-29 09:20  bowkenken

	* src/: call.cpp, gmain.h, inc.h:

	Windows 版で、キャラクタ等の描画位置がずれていたのを修正

2007-10-28 11:46  bowkenken

	* src/: call.cpp, gmain.h, inc.h:

	Windows 版で、マップをとりあえず描画できる様にした

2007-10-26 16:53  bowkenken

	* src/: draw-prot.h, draw.c:

	キー・バッファをクリアしない設定の場合、連続実行が出来ないのを修正

2007-10-26 15:50  bowkenken

	* src/call.cpp:

	Windows 対応

2007-10-26 14:32  bowkenken

	* src/: call.cpp, menu-tab.h, menu.c, menu.h:

	マウス・ホイールの対応準備

2007-10-25 10:26  bowkenken

	* src/: draw.c, imenu-prot.h, imenu.c:

	DOS 版で連続実行が機能していなかったのを修正

2007-10-25 08:40  bowkenken

	* src/inc.h:

	Windows対応

2007-10-24 07:45  bowkenken

	* Makefile.in, configure, man/Makefile.in, src/gmain.h, src/inc.h,
	src/msg.h:

	Windows 対応

2007-10-24 00:27  bowkenken

	* src/: gmain.h, inc.h:

	Windows 対応

2007-10-23 23:26  bowkenken

	* src/: gmain.h, inc.h:

	Windows 対応

2007-10-23 21:26  bowkenken

	* src/inc.h:

	Windows 対応

2007-10-23 20:29  bowkenken

	* src/: gmain.h, inc.h:

	Windows 対応

2007-10-23 19:46  bowkenken

	* src/: gmain.h, inc.h:

	マクロ D_WIN を D_DOWS に変更

2007-10-20 10:20  bowkenken

	* src/draw.c:

	DOS のキー入力時の CPU 使用率を減らした

2007-10-20 08:10  bowkenken

	* src/gmain.c:

	オプションの文字が使用法と違っていたのを修正

2007-10-20 06:32  bowkenken

	* src/: call-prot.h, call.cpp, draw-prot.h, draw.c, mmenu.c,
	msg-eng.h:

	マップ・ウィンドウの描画を高速化

2007-06-12 16:40  bowkenken

	* src/: dun.c, item-prot.h, item.c:

	アイテムのガーベージ・コレクションを微調整

2007-06-12 08:20  bowkenken

	* src/: chr-prot.h, chr.c, fight.c, fx.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h:

	アビリティから値への変換の記述を少し簡素にした

2007-06-11 23:05  bowkenken

	* src/: fight-prot.h, fight.c, fx.c, item-prot.h, item.c, spell.c:

	戦闘のバランスを調整

2007-06-11 18:41  bowkenken

	* src/: draw.c, draw.h:

	メニューの描画位置が画面の中心より微妙にずれていたので修正

2007-06-11 17:57  bowkenken

	* src/: msg-jpn-utf8.h, msg-jpn.h:

	依頼を引き受けたのが PC か NPC か見分けやすくした

2007-06-11 17:25  bowkenken

	* src/: chr-prot.h, chr.c, draw.c, dun.c, fight.c, fx.c, gfile.c,
	item.c, mmenu.c, mnstr.c, party.c, pet-prot.h, pet.c, spell.c,
	town.c, trap.c:

	キャラクタがメンバーかどうかのチェックを関数にした

2007-06-11 14:56  bowkenken

	* src/: chr.c, chr.h, fx.c, mnstr.c, pet.c:

	キャラクタがペットかどうかの判定を少し速くした

2007-06-11 13:42  bowkenken

	* src/: chr.c, msg.c:

	識別子に "id" を使わない様にした

2007-06-11 10:38  bowkenken

	* man/lnl.jpn, src/draw-prot.h, src/draw.c, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h:

	<^> + <A> のキー入力を <Ctrl> + <A> として解釈する様にした。
	英語に翻訳。

2007-06-09 06:52  bowkenken

	* src/mnstr.c:

	モンスターのガーベージ・コレクションにペットが巻き込まれるのを修正

2007-06-09 06:48  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	バージョナップ

2007-06-08 18:54  bowkenken

	* ChangeLog:

	ver.3.1.11

2007-06-08 18:45  bowkenken

	* src/draw.c:

	Windows 対応

2007-06-08 18:38  bowkenken

	* src/lnl-dos/config-dos.h:

	Windows 対応

2007-06-08 18:34  bowkenken

	* src/draw.c:

	変数の定義位置が間違っていたのを修正

2007-06-08 18:24  bowkenken

	* ChangeLog:

	ver.3.1.11 公開準備

2007-06-08 18:18  bowkenken

	* src/chr.c:

	街の門から出られない旨のメッセージの量を減らした

2007-06-08 17:13  bowkenken

	* src/: msg-jpn-sjis.h, replay.c:

	SJIS メッセージの更新

2007-06-08 16:08  bowkenken

	* src/: imenu-tab.h, mmenu-tab.h, replay.c:

	GUI 版でリプレイの再生時に 1 クリックで 2 コマ送ってしまうのを修正

2007-06-08 07:58  bowkenken

	* src/: draw.c, inc.h, menu.h, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h, msg.h, party.c, replay.c:

	リプレイ再生の中止キーの判定を修正。
	リプレイ再生中にマウスが動いてもコマ送りをしない様にした。

2007-06-08 02:40  bowkenken

	* src/draw.c:

	GUI モードでリプレイの再生後に終了キーのチェックが終らないのを修正

2007-06-08 01:38  bowkenken

	* src/: call.cpp, draw-prot.h, draw.c, imenu-prot.h, imenu-tab.h,
	imenu.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	マウス・カーソルの動きをリプレイに記録できる様にした

2007-06-07 16:15  bowkenken

	* src/: msg-eng.h, msg-jpn.h:

	メッセージの「スペース・キー」を「スペース・バー」に修正

2007-06-07 16:10  bowkenken

	* man/lnl-faq.jpn:

	マニュアルを更新

2007-06-07 11:29  bowkenken

	* src/: chr.c, dun.c, party-prot.h, party.c:

	ロード・セーブでパーティにメンバーがいない状態になった時のチェックを追加

2007-06-07 11:09  bowkenken

	* src/: chr.c, dun-prot.h, dun.c, gmain.c, imenu.c, mmenu-prot.h,
	mmenu-tab.h, mmenu.c, party-prot.h, party.c, tmenu-prot.h,
	tmenu-tab.h, tmenu.c, town-prot.h, town.c:

	リプレイの再現を少し安定させた

2007-06-06 06:56  bowkenken

	* src/menu.h:

	FPS 系のキーでメニュー・カーソルを動かせる様にした

2007-06-05 18:22  bowkenken

	* play-lnl/lnl-mac.command:

	マック用実行スクリプトの名前を修正

2007-06-05 16:33  bowkenken

	* src/: amenu.c, amenu.h, draw.c:

	作戦のタイトルの長さを詳細とヒントに別けて扱うようにした

2007-06-05 14:56  bowkenken

	* man/lnl-faq.jpn, man/lnl.jpn, src/gfile-prot.h, src/gfile.c,
	src/gmain.c, src/imenu-tab.h, src/inc.h, src/mmenu-tab.h,
	src/mmenu.c:

	キー配置を調整。
	ゲーム・データをセーブしてもバグ・レポートに影響しない様にした。

2007-06-03 14:10  bowkenken

	* src/gfile.c:

	セーブ・データのヘッダのバージョン・チェックを少しきつくした

2007-06-03 13:37  bowkenken

	* src/: gfile-prot.h, gfile.c, gfile.h, imenu-prot.h, imenu.c,
	inc.h, mmenu-tab.h, mmenu.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h,
	msg.h, replay.c, replay.h:

	バグ・レポート機能を実装

2007-06-03 08:06  bowkenken

	* src/: draw.c, replay.c:

	リプレイの再生時のコマンド・リストを正しく描画する様に修正

2007-06-02 07:55  bowkenken

	* ChangeLog, src/tmenu.c:

	魔法を使えなくてもマジック・ギルドに入れる様に変更。

2007-06-01 10:08  bowkenken

	* src/: fx.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, party.h,
	spell-gen-tab.h, spell-kind.h, spell-tab.h, spell.c, spell.h:

	呪文の効果範囲に 2 倍効果を追加

2007-06-01 06:24  bowkenken

	* src/: gmain.c, gmain.h, mmenu-tab.h, mmenu.c:

	メンバー間でアイテムを受け渡す時にターンを消費しない様に変更

2007-06-01 03:35  bowkenken

	* configure, src/pet-prot.h, src/pet.c:

	飼主がパーティから抜けると、ペットの行動がおかしくなるのを修正

2007-05-30 06:06  bowkenken

	* configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	バージョナップ

2007-05-30 05:47  bowkenken

	* src/: item-armor-tab.h, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h:

	土と風のドラゴン・スケール・アーマの属性を入れ換えた

2007-05-29 04:33  bowkenken

	* src/: amenu.c, amenu.h, menu.h:

	作戦名が長すぎるとメニューが落ちるのを修正

2007-05-29 02:11  bowkenken

	* ChangeLog, src/amenu-prot.h, src/amenu.c, src/chr.c, src/inc.h,
	src/party.c, src/tmenu.c:

	メンバーを削除したり並べ換えたりしても作戦が並べ換わらないのを修正。
	作戦の連続マークをオンにするとアイテムを落してもすぐ拾ってしまうのを修正。

2007-05-26 21:17  bowkenken

	* src/: chr.c, fx.c, msg-jpn-utf8.h, msg-jpn.h, pet-prot.h, pet.c:

	召還獣が死んだら自動的に送還してメモリーから消す様にした

2007-05-23 05:53  bowkenken

	* src/chr.c:

	魔法等のセービング・ロールを成功しやすくした

2007-05-21 21:26  bowkenken

	* ChangeLog, data/item-wpn-tab.csv, src/item-wpn-tab.h:

	ブージをハンド・アックスに変更

2007-05-21 14:40  bowkenken

	* src/dun.c:

	中ボスの出現階層を固定ではなくローテーションする様に変更

2007-05-21 14:01  bowkenken

	* src/chr.c:

	セービング・ロールを攻撃側が成功しやすくした

2007-05-21 00:54  bowkenken

	* src/fight.c:

	攻撃を当りやすくした。呪文のダメージを増やした。

2007-05-21 00:17  bowkenken

	* src/: mmenu-prot.h, mmenu.c:

	識別の呪文でアイテムを持っていない PC
	がいるとメニューが落ちるのを修正

2007-05-20 23:42  bowkenken

	* src/party.c:

	PC を削除するとリストの最後の PC
	の呪文習得フラグがおかしくなるのを修正

2007-05-16 18:37  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/dun.c, src/gfile-prot.h, src/gfile-ver.h, src/gfile.c,
	src/item.c, src/msg-eng.h, src/msg-jpn-utf8.h, src/msg-jpn.h,
	src/msg.h, src/party.c, src/tmenu-prot.h, src/tmenu-tab.h,
	src/tmenu.c, src/town-prot.h, src/town.c:

	薬と巻物の識別フラグをセーブする様にした

2007-05-13 11:28  bowkenken

	* play-lnl/lnl-mac.sh:

	Mac OS X

2007-05-12 18:58  bowkenken

	* src/replay.c:

	ドーズ対応

2007-05-12 18:52  bowkenken

	* ChangeLog, src/spell.c:

	ドーズ対応

2007-05-12 18:20  bowkenken

	* src/: dun-prot.h, dun.c, gfile.c, gmain.h, imenu.c, mmenu.c,
	replay.c, tmenu.c:

	リリース準備

2007-05-11 09:42  bowkenken

	* src/: amenu-tab.h, amenu.c, amenu.h, gfile-tab.h, mnstr-prot.h,
	mnstr.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h, party-prot.h,
	party.c:

	作戦で「HP/MP」の「少ない/多い」キャラクタをマーク出来る様にした

2007-05-10 20:56  bowkenken

	* src/amenu-tab.h:

	作戦のメニュー配列の要素数が足りていなかったのを修正

2007-05-10 18:09  bowkenken

	* src/: amenu-tab.h, amenu.c, draw.c:

	作戦のアイテム種類別の設定が並べ換え出来なかったのを修正

2007-05-06 06:16  bowkenken

	* src/: amenu-prot.h, amenu.c, chr.c, gfile.c, gmain.c, imenu.c,
	mmenu.c, party-prot.h, party.c, replay.c, tmenu.c, town-prot.h,
	town.c:

	新規キャラを創ろうとすると作戦名が初期化されてしまうのを修正
	リプレイが再現されないのを修正中。

2007-04-01 06:16  bowkenken

	* src/: draw-prot.h, draw.c, gfile-prot.h, gfile-ver.h, gfile.c,
	imenu-prot.h, imenu.c, inc.h, misc-prot.h, misc.c, mmenu-tab.h,
	mmenu.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h,
	replay-prot.h, replay.c, replay.h, tmenu-prot.h, tmenu.c, trap.c:

	リプレイを仮実装。
	敵がテレポート・パーティにかかってもメンバーが飛ばない様に修正

2007-03-28 12:10  bowkenken

	* Makefile.in, configure, configure.in, man/Makefile.in,
	src/Makefile.am, src/Makefile.in:

	マックのユニバーサル・バイナリー対応

2007-03-28 11:51  bowkenken

	* .cvsignore, man/.cvsignore, sh/.cvsignore, src/.cvsignore,
	src/lnl-dos/.cvsignore, play-lnl/.cvsignore:

	マック対応

2007-03-28 08:34  bowkenken

	* src/: gmain.c, spell.c:

	呪文の習得フラグの初期化の順番がおかしくなったエンバグを修正

2007-03-28 08:24  bowkenken

	* src/: draw.c, gmain.c, party.c, spell-prot.h, spell.c, tmenu.c:

	メンバーの削除や並べ換えをしても呪文の習得フラグが移動しないのを修正

2007-03-24 14:01  bowkenken

	* src/: draw.c, mmenu-tab.h:

	リプレイのセーブにショート・カットを設定

2007-03-24 12:35  bowkenken

	* src/replay.c:

	自動セーブで通常のリプレイのスロット番号を上書きしていたのを修正

2007-03-24 12:12  bowkenken

	* src/: gfile-prot.h, gfile.c, inc.h, replay-prot.h, replay.c,
	replay.h:

	通常のリプレイの記録と自動の記録を完全に分けた

2007-03-23 12:52  bowkenken

	* src/chr.c:

	必要経験値を調整

2007-03-23 12:21  bowkenken

	* ChangeLog, src/gfile-prot.h, src/gfile.c, src/gmain.c,
	src/imenu-prot.h, src/imenu.c, src/mmenu-tab.h, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/replay-prot.h,
	src/replay.c:

	リプレイのセーブを実装

2007-03-23 08:30  bowkenken

	* Makefile.am, Makefile.in, sh/replay-prot, src/Makefile.am,
	src/Makefile.in, src/draw.c, src/gfile-prot.h, src/gfile-ver.h,
	src/gfile.c, src/gmain.c, src/inc.h, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg.h, src/replay-prot.h,
	src/replay.c, src/replay.h:

	リプレイの記録機能を実装

2007-03-22 16:21  bowkenken

	* src/: gfile-prot.h, gfile-ver.h, gfile.c, mmenu.c, msg-eng.h,
	msg-jpn-utf8.h, msg-jpn.h, msg.h, spell.c:

	設定ファイルを単一の lnl.conf から個別の conf??.txt へ全移行

2007-03-20 19:10  bowkenken

	* src/gmain.c:

	ウィンドウズ対応

2007-03-20 12:04  bowkenken

	* src/mnstr-gen-tab.h:

	さび系の敵が「防具の保護の巻物」を落す様に設定

2007-03-20 09:34  bowkenken

	* src/: amenu.h, gfile-ver.h, gfile.c:

	作戦のスロット数を 50 にした

2007-03-20 08:23  bowkenken

	* src/: draw.c, gfile-prot.h, gfile.c:

	コントロール・コードとクォートをそれぞれのエスケープ処理に別けた

2007-03-20 04:58  bowkenken

	* src/gfile.c:

	コントロール・コードをエスケープする処理が対応不足だったのを修正

2007-03-19 21:45  bowkenken

	* src/: mmenu.c, party.c, party.h:

	アンカーの向きを相対座標でなく東西南北で表わす様にした

2007-03-19 19:03  bowkenken

	* src/mmenu.c:

	同じ場所にアンカーを打った時 90 度づつ向きを回転させる様にした

2007-03-19 18:11  bowkenken

	* src/: spell.c, trap.c, trap.h:

	視界外のモンスターが魔法や罠に掛かってもメッセージを表示しない様にした

2007-03-19 17:17  bowkenken

	* src/msg-jpn-utf8.h:

	マック対応

2007-03-19 17:12  bowkenken

	* src/: msg-cv-utf8, msg-jpn-utf8.h:

	マック対応

2007-03-19 17:04  bowkenken

	* src/msg-cv-utf8:

	マック対応

2007-03-19 16:25  bowkenken

	* src/gmain.c:

	デフォルトでキー・バッファをクリアする設定にした

2007-03-19 16:12  bowkenken

	* src/msg-def-sub:

	マック対応

2007-03-19 16:01  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	ヴァージョナップ ver.3.1.9

2007-03-19 15:49  bowkenken

	* src/: gmain.c, gmain.h, msg.c:

	コマンド・ライン・オプションでロケールを設定出来る様にした

2007-03-18 15:41  bowkenken

	* ChangeLog, lnl.spec, src/Makefile.am, src/Makefile.in:

	ヴァージョナップ ver.3.1.8

2007-03-18 14:45  bowkenken

	* src/: draw-prot.h, draw.c, fx.c, spell.c:

	DOS 版で爆風がブランクで描画されてしまうのを修正

2007-03-18 12:06  bowkenken

	* src/: chr.c, chr.h, menu.h:

	HP と MP の値を 2 倍に戻した

2007-03-18 08:38  bowkenken

	* sh/make-change-log, src/dun.c:

	罠を敵の色、聖域を NPC の色で描画する様にした

2007-03-18 08:07  bowkenken

	* ChangeLog, sh/make-change-log, src/spell.c:

	敵が見えていなくても呪文の座標指定があっていれば当る様にした

2007-03-18 07:28  bowkenken

	* src/: amenu.c, amenu.h:

	作戦のスロット数を増やして複数ページにした

2007-03-18 06:57  bowkenken

	* src/: dun.c, gfile-prot.h, gfile-ver.h, gfile.c, gfile.h,
	gmain.c, inc.h, mmenu-prot.h, mmenu.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn.h, msg.h:

	迷宮の階層を移動する直前に自動セーブするようにした

2007-03-16 13:10  bowkenken

	* src/: draw-prot.h, draw.c, menu.h:

	キーボード・マクロのトリガー・キーを変更可能にした

2007-03-13 03:39  bowkenken

	* src/: draw.c, msg-jpn-sjis.h, msg.c:

	クラス等の名前入力が出来なくなったの修正。
	メッセージの定義チェックが間違っていたのを修正。

2007-03-12 05:49  bowkenken

	* src/: draw-tab.h, draw.c, draw.h, imenu.c, msg-eng.h, msg-jpn.h,
	msg.h:

	キャラクタ・シートに「前のページ」のメニュー項目を入れた

2007-03-12 05:27  bowkenken

	* src/: draw-tab.h, draw.c, draw.h, imenu.c, inc.h, item-prot.h,
	item.c, item.h, menu.h:

	キャラクタ・シートにアイテムと装備の一覧を表示する様にした

2007-03-11 04:42  bowkenken

	* configure, src/request.c, src/ver.h:

	観光の依頼でモンスターを倒しても達成できないのを修正

2007-03-02 15:33  bowkenken

	* configure.in, man/lnl-faq.jpn, man/lnl.jpn:

	バージョナップ

2007-03-02 14:32  bowkenken

	* src/main-dos-prot.h:

	ウィンドウズ対応

2007-03-02 14:25  bowkenken

	* src/gmain-prot.h:

	ウィンドウズ用修正

2007-03-02 14:19  bowkenken

	* src/: gmain.c, main-dos-prot.h, main-dos.c, lnl-dos/lnl-dos.cpp:

	ウィンドウズ用 ver.3.1.7 リリース

2007-03-02 08:30  bowkenken

	* Makefile.am, Makefile.in, man/lnl.jpn, src/party.c:

	ver.3.1.7 リリース

2007-03-02 00:50  bowkenken

	* play-lnl/lnl-english, play-lnl/lnl-english-mono,
	play-lnl/lnl-eucjp, play-lnl/lnl-eucjp-mono, play-lnl/lnl-utf-8,
	play-lnl/lnl-utf-8-mono, src/lnl-ja_JP.UTF-8.sh,
	src/lnl-ja_JP.eucJP.sh, src/lnl.sh:

	実行用スクリプトを用意

2007-03-01 23:00  bowkenken

	* ChangeLog, src/party.c:

	メンバーの画像に背景色を追加

2007-03-01 07:33  bowkenken

	* src/: menu.c, mmenu.c:

	マークを設定後、メニューが完全に閉じないのを修正

2007-03-01 06:40  bowkenken

	* src/: item-prot.h, item.c, item.h, tmenu.c, town.c:

	アイテムのガーベージ・コレクションを実装

2007-02-28 23:23  bowkenken

	* src/: fx.c, spell-gen-tab.h:

	「明りを貯める」呪文の数と消費 MP を微調整

2007-02-28 16:10  bowkenken

	* src/mmenu.c:

	マークでアンカーを設定する時、右ドラッグで向きを指定できる様にした

2007-02-26 11:07  bowkenken

	* src/: msg-eng.h, msg-jpn.h:

	ボタンのラベルを微調整

2007-02-25 22:16  bowkenken

	* AUTHORS, src/menu.c, src/msg-eng.h, src/msg-jpn.h, src/msg.h:

	メニューを全て閉じるキー操作を実装

2007-02-25 11:12  bowkenken

	* src/gmain.c:

	使用法にオプションの引数の記述が抜けていたのを修正

2007-02-25 10:58  bowkenken

	* src/: draw-prot.h, draw.c, gmain.c, inc.h:

	連続実行コマンドを微妙に高速化

2007-02-23 14:31  bowkenken

	* src/: call.cpp, inc.h, town-ptn.xpm:

	WideStudio 版の復活

2007-02-21 14:24  bowkenken

	* src/: amenu.c, call-prot.h, call.cpp, draw-prot.h, draw.c,
	gfile.c, imenu.c, inc.h, msg-eng.h, msg-jpn.h, msg.h:

	1 行入力ウィンドウを実装

2007-02-20 11:48  bowkenken

	* src/call.cpp:

	連続実行のコマンドで GUI の表示がおかしくなるのを修正

2007-02-20 10:57  bowkenken

	* src/menu.c:

	ファンクション・キーのショートカットのチェックを修正

2007-02-19 17:42  bowkenken

	* src/: draw-prot.h, draw.c:

	キャラクタを 1 ターンに何度も描画しない様にした

2007-02-19 07:49  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, dun.c, party.c,
	xlnl/call-prot.h:

	キャラクタの描画を高速化

2007-02-12 01:39  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/ver.h:

	バージョナップ 3.1.7

2007-02-12 01:27  bowkenken

	* ChangeLog, src/dun-prot.h, src/dun.c:

	作戦でドアが開けられないのを修正

2007-02-11 13:34  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	ver.3.1.6 リリース

2007-02-11 12:42  bowkenken

	* src/: amenu.c, chr.c, inc.h:

	連続マークを設定して敵を倒すとターゲットがおかしくなるのを修正

2007-02-07 05:11  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, inc.h, xlnl/call-prot.h:

	関数が戻り値を返さない場合があったのを修正

2007-02-07 02:59  bowkenken

	* ChangeLog, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	ver.3.1.5 リリース

2007-02-07 02:30  bowkenken

	* ChangeLog, src/chr.c, src/mnstr-prot.h, src/mnstr.c, src/party.c:

	ペットに経験値回復の呪文を使うとレベルが初期値に戻るのを修正。
	能力値増強の指輪を装備して経験値が入るとレベルダウンするのを修正。

2007-02-06 19:53  bowkenken

	* src/: call.cpp, mnstr-gen-tab.h, mnstr-kind.h, ver.h:

	サキュバスとインキュバスを悪魔に分類した

2007-02-06 17:19  bowkenken

	* src/: call-prot.h, call.cpp, chr.c, inc.h, mnstr.c, party.c,
	xlnl/call-prot.h:

	キャラクタの描画を少し高速化

2007-02-05 08:09  bowkenken

	* src/curs.c:

	デフォルトの文字属性を初期化していなかったのを修正

2007-02-05 07:57  bowkenken

	* src/: chr.c, curs.c, draw.c:

	GUI のみのモード時、メッセージに色がつかないのを修正

2007-02-05 03:50  bowkenken

	* src/: gmain.c, inc.h, main-dos.c, main-unix.c:

	メイン処理を１ヶ所にまとめた

2007-02-05 02:41  bowkenken

	* src/: call.cpp, gmain.c, gmain.h, main-unix.c:

	画像の拡大率をオプションで設定できる様にした

2007-02-04 21:37  bowkenken

	* src/call.cpp:

	あけましておめでとう

2007-02-04 20:34  bowkenken

	* src/call.cpp:

	GTK+ 版のステータス・ウィンドウを実装

2007-02-03 09:10  bowkenken

	* src/: chr.h, gfile.c, gfile.h, inc.h, mnstr.c, party.c:

	メンバーの画像を内部的に設定できる様にした

2007-02-03 04:45  bowkenken

	* src/: draw-tab.h, draw.h:

	キャラクタ・シートのクラス名の位置を調整

2007-02-03 02:25  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, xlnl/call-prot.h:

	キャラクタのパターンが大きいと絵が欠けたりゴミが残るのを修正

2007-02-02 23:09  bowkenken

	* src/: draw.c, imenu.c, menu.c, mmenu.c, tmenu.c:

	メニューではない特殊な選択機能を実行キーでキャンセル出来る様にした

2007-02-01 15:49  bowkenken

	* README-DOS, src/call.cpp, src/curs-prot.h, src/curs.c,
	src/draw-prot.h, src/draw.c, src/ver.h:

	GUI 版の修正

2007-01-27 14:47  bowkenken

	* src/ver.h:

	クレジットに Whitecat 氏を追加

2007-01-27 14:09  bowkenken

	* src/: call-prot.h, call.cpp, inc.h, main-unix.c,
	xlnl/call-prot.h:

	GUI 用オプションを追加

2007-01-26 00:47  bowkenken

	* ChangeLog, configure, configure.in, man/lnl-faq.jpn, man/lnl.jpn,
	src/request-prot.h, src/request.c:

	依頼の階層をメンバーの到達階までにする

2007-01-17 03:37  bowkenken

	* src/party.c:

	クラスを新規に追加すると、末尾への並び換えがおかしくなるの修正

2007-01-17 03:26  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	バージョンナップ

2007-01-17 03:22  bowkenken

	* src/chr.c:

	クラスの設定値により経験値が入らない場合が有るエンバグを修正

2007-01-14 02:14  bowkenken

	* src/party.c:

	新メンバーが宿代くらいなら貰うのを拒否しない様にした

2007-01-14 01:06  bowkenken

	* configure, configure.in, lnl.spec, src/party.c:

	新メンバーが仲良くなる時間を 4 時間に微調整

2007-01-12 02:31  bowkenken

	* src/: abl-kind.h, amenu-tab.h, amenu.c, amenu.h, chr.c, chr.h,
	class-tab.h, crsr-ptn.h, curs-def.h, curs.c, curs.h, draw-tab.h,
	draw.c, draw.h, dun-tab.h, dun.c, dun.h, extern.h, fight.c,
	fight.h, fx.c, fx.h, gfile-tab.h, gfile-ver.h, gfile.c, gfile.h,
	gmain.c, gmain.h, imenu-tab.h, imenu.c, inc.h, item-kind.h,
	item-tab.h, item.c, item.h, main-dos.c, main-unix.c, menu-tab.h,
	menu.c, menu.h, misc.c, misc.h, mmenu-tab.h, mmenu.c, mnstr-act.c,
	mnstr-kind.h, mnstr-tab.h, mnstr.c, mnstr.h, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn.h, msg-t.h, msg.c, nest-flg.c, nest-flg.h,
	party.c, party.h, pet.c, pet.h, request-tab.h, request.c,
	request.h, resi.h, rumor-tab.h, spell-kind.h, spell-tab.h, spell.c,
	spell.h, tmenu-tab.h, tmenu.c, town-tab.h, town.c, town.h, trap.c,
	trap.h, turn.c, turn.h, ver.h, vfx-kind.h:

	あけましておめでとうございます

2007-01-12 00:17  bowkenken

	* ChangeLog:

	ver 3.1.3 リリース

2007-01-11 23:43  bowkenken

	* src/: chr.c, fx.c:

	メンバーの編集画面でフリーズするのを修正

2006-12-02 12:31  bowkenken

	* src/: lnl-ja_JP.UTF-8.sh, lnl-ja_JP.eucJP.sh:

	ゲームの実行スクリプトをロケール毎に分けた

2006-10-12 17:14  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h:

	英語に翻訳

2006-10-10 09:14  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	英語に翻訳

2006-10-09 12:22  bowkenken

	* ChangeLog, man/lnl-faq.jpn, man/lnl.jpn, src/msg-eng.h,
	src/msg-jpn-sjis.h:

	マニュアルを微調整。メッセージを英語に翻訳。

2006-10-08 08:31  bowkenken

	* src/: msg-eng.h, msg-jpn.h:

	英語に翻訳

2006-09-27 03:12  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, fx.c, imenu.c, inc.h,
	main-dos.c, main-unix-prot.h, main-unix.c, menu-prot.h, menu.c,
	mmenu.c, tmenu.c, xlnl/call-prot.h:

	GTK+ 対応

2006-09-24 04:06  bowkenken

	* src/: call-prot.h, call.cpp, draw-prot.h, draw.c, draw.h,
	xlnl/call-prot.h:

	xlnl の修正

2006-09-20 18:46  bowkenken

	* src/mnstr-gen-tab.h:

	エレメンタルの色を風が緑、土が黄に入れ換えた

2006-09-20 18:35  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h, rumor-tab.h:

	酒場の噂話を追加

2006-09-20 15:09  bowkenken

	* src/gfile.c:

	ロード時に作戦メニューのマクロが実行されてしまうのを修正

2006-09-20 14:23  bowkenken

	* src/: amenu.c, imenu.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn.h,
	msg.h:

	マクロを割り当てたらメッセージを出す様にした

2006-09-20 13:39  bowkenken

	* src/: amenu-prot.h, amenu-tab.h, amenu.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn.h, msg.h:

	記録したマクロを作戦メニューに割り当てられる様にした

2006-09-20 12:16  bowkenken

	* src/: imenu-prot.h, imenu-tab.h, imenu.c, msg-eng.h,
	msg-jpn-sjis.h, msg-jpn.h, msg.h:

	記録したマクロをユーザ・メニューに割り当てられる様にした

2006-09-20 11:23  bowkenken

	* src/: imenu.c, menu-tab.h, menu.c, msg-eng.h, msg-jpn-sjis.h,
	msg-jpn.h, msg.h:

	記録したマクロをファンクション・キーに割り当てられる様にする

2006-09-20 11:03  bowkenken

	* src/: imenu-prot.h, imenu.c, menu-prot.h, menu-tab.h, menu.c,
	mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	ファンクション・キー関係をマクロと呼んでいたので名前を新しくした

2006-09-20 10:10  bowkenken

	* src/: curs.c, draw-prot.h, draw.c, imenu-prot.h, imenu.c,
	mmenu-tab.h, msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	記録したマクロをキーに割り当てられる様にした

2006-09-19 14:56  bowkenken

	* src/fx.c:

	他者変身の魔法が切れても、メンバーの顔文字が元に戻らないのを修正

2006-09-19 14:41  bowkenken

	* src/: gfile-tab.h, gfile-ver.h:

	「他者変身」の魔法をセーブ出来る様にした

2006-09-19 14:13  bowkenken

	* src/trap.c:

	聖域に入っても「罠を作動させなかった」等のメッセージを出さない

2006-09-19 13:35  bowkenken

	* src/: chr.c, dun.c, dun.h, inc.h, mnstr.c, party.c, pet.c:

	マップ配列にキャラクタのポインタを追加して検索を高速化した

2006-09-19 11:30  bowkenken

	* data/spell-gen-tab.csv, src/chr.h, src/dun-prot.h, src/dun.c,
	src/fx-prot.h, src/fx.c, src/fx.h, src/mnstr-prot.h, src/mnstr.c,
	src/msg-eng.h, src/msg-jpn-sjis.h, src/msg-jpn.h, src/msg.h,
	src/party-prot.h, src/party.c, src/spell-gen-tab.h, src/spell.c:

	他者変身の呪文を実装した

2006-09-19 07:52  bowkenken

	* configure, src/spell.c:

	静寂の呪文が掛かった直後のターンに呪文が使えたのを修正

2006-09-18 10:59  bowkenken

	* configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn:

	バージョナップ

2006-09-18 10:55  bowkenken

	* src/fx.c:

	エフェクトの効果時間を微調整

2006-09-18 10:48  bowkenken

	* src/: fx-prot.h, fx.c, fx.h, mnstr.c, spell-prot.h, spell.c:

	エフェクトの効果時間の設定を他のモジュールから隠蔽した

2006-09-17 23:54  bowkenken

	* ChangeLog, src/lnl-dos/config-dos.h:

	ウィンドウズ版 ver.3.1.2

2006-09-17 23:42  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	ver.3.1.2 リリース

2006-09-17 23:35  bowkenken

	* ChangeLog, src/fight.c:

	モンスターが餌に食い付いたかチェックする時に落ちるのを修正

2006-09-17 23:03  bowkenken

	* src/: fight.c, fx.c, spell.c, trap-prot.h, trap.c, trap.h:

	罠に掛かるとゲームが落ちるのを修正

2006-09-17 18:49  bowkenken

	* src/: fx.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	呪文反射の魔法のメッセージを出す様にした

2006-09-17 18:22  bowkenken

	* configure, configure.in, lnl.spec, src/fx.c, src/fx.h,
	src/gfile-tab.h, src/gfile-ver.h, src/spell-prot.h, src/spell.c:

	呪文反射の魔法を実装した

2006-09-16 10:59  bowkenken

	* src/mnstr.c:

	依頼目標の発見メッセージが連続で表示されていたのを修正

2006-09-16 10:27  bowkenken

	* src/item.c:

	矢が外れた時、二重に消費してしまうのを修正

2006-09-16 10:10  bowkenken

	* ChangeLog, src/fight.c, src/fx-prot.h, src/fx.c, src/item.h,
	src/msg-eng.h, src/msg-jpn-sjis.h, src/msg-jpn.h, src/msg.h:

	モンスターに餌を投げ与えられる様にした

2006-09-15 21:02  bowkenken

	* lnl.spec, src/Makefile.am, src/Makefile.in:

	ver.3.1.1 リリース

2006-09-15 20:15  bowkenken

	* src/gfile.c:

	デバッグ時にセーブ番号が正しくインクリメントされないのを修正

2006-09-15 20:07  bowkenken

	* src/gfile.c:

	セーブ時にセーブ番号を 2 回インクリメントするエンバグを修正

2006-09-15 19:40  bowkenken

	* src/msg.c:

	Windows 対応

2006-09-15 18:38  bowkenken

	* src/: inc.h, item.h, trap.c:

	罠部屋にアイテムを多めに置く様にした

2006-09-15 13:08  bowkenken

	* ChangeLog, src/mnstr-tab.h, src/msg-jpn-sjis.h:

	モンスターの出現階層を微調整

2006-09-12 10:25  bowkenken

	* src/: gfile-prot.h, gfile.c, imenu.c, town-prot.h, town.c:

	メニューでマップ・データを初期化しても、
	ゲームを再実行するまで影響が出ない様にした

2006-09-12 09:45  bowkenken

	* src/mnstr.c:

	モンスターを 1 度でも発見すると
	発見フラグが立ちっ放しになるエンバグを修正

2006-09-12 08:46  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	メニューからの設定ファイルの初期化についての記述を追加

2006-09-12 08:23  bowkenken

	* src/: gfile-prot.h, gfile.c, imenu.c:

	設定ファイルをメニューから初期化できる様にした

2006-09-12 07:59  bowkenken

	* src/: draw.c, draw.h, gfile-prot.h, gfile.c, imenu-prot.h,
	imenu.c, mmenu-tab.h, msg-eng.h, msg-jpn.h, msg.h, town-prot.h,
	town.c:

	マップ・ファイルをメニューから初期化できるようにした

2006-09-12 06:42  bowkenken

	* src/: mmenu-tab.h, msg-eng.h, msg-jpn.h, msg.h:

	画面の設定関係のメニューを整理した

2006-09-11 13:01  bowkenken

	* src/: msg-def-sub, msg.h:

	メッセージ ID の enum 型を long でなく int に修正

2006-09-11 12:57  bowkenken

	* src/: msg-def-sub, msg.h:

	VC++ のバージョンによって enum の最大項目数に制限があるのを回避

2006-09-11 08:53  bowkenken

	* src/: chr.c, chr.h, fx-prot.h, fx.c, mnstr-gen-tab.h, mnstr.c,
	party.c, spell.c, tmenu.c, trap.h, lnl-dos/config-dos.h:

	敵がエナジー・ドレインを使ったら、
	倒した後に経験値が回復する様にした

2006-09-10 05:50  bowkenken

	* configure, configure.in, man/lnl-faq.jpn, man/lnl.jpn,
	src/gfile-prot.h, src/gfile.c:

	セーブ・データの不具合チェック用にバイナリー・セーブと同時に
	テキスト・セーブもする様にした

2006-09-09 06:17  bowkenken

	* src/: chr.c, chr.h, fx.c, inc.h, mnstr.c, party.c, trap.c,
	trap.h:

	罠の上を歩いても罠が発動しなくなっていたのを修正

2006-09-09 03:26  bowkenken

	* src/: msg-eng.h, msg-jpn-sjis.h, msg-jpn.h:

	1 行入力のプロンプトを少し見やすくした

2006-09-09 02:58  bowkenken

	* src/: amenu-prot.h, amenu-tab.h, amenu.c, draw-prot.h,
	draw-tab.h, draw.c, msg-eng.h, msg-jpn-sjis.h, msg-jpn.h, msg.h:

	作戦メニューの名前を編集出来る様にした

2006-09-09 00:55  bowkenken

	* src/: tmenu.c, town-prot.h, town.c:

	レストランで酒場の噂話が表示されていたのを修正

2006-09-08 05:43  bowkenken

	* src/draw.c:

	curses の反転属性が使えなくても、
	数値入力メニューの選択項目が見て判る様にした

2006-09-07 11:05  bowkenken

	* ChangeLog:

	MS-Windows の Cygwin 上で動く様にした

2006-09-07 10:31  bowkenken

	* src/: gmain.c, main-unix.c:

	キー・バッファのクリアが無効で curses を使わない設定だと 1
	文字づつキー入力出来なかったのを修正

2006-09-07 09:30  bowkenken

	* src/: inc.h, misc-prot.h, misc.c, msg-jpn-sjis.h, msg-prot.h,
	msg-t.h, msg.c:

	メッセージのロケールをシフト JIS に対応させた

2006-09-07 08:04  bowkenken

	* sh/main-dos-prot, src/gfile.c, src/gmain.c, src/gmain.h,
	src/main-dos-prot.h, src/main-dos.c, src/main-unix-prot.h,
	src/main-unix.c, src/menu.c, src/mmenu.c:

	キー・バッファ・クリアの設定で、
	設定ファイルよりオプションの方を優先する様に修正

2006-09-06 05:58  bowkenken

	* src/lnl.sh:

	起動スクリプトに引数が渡せなかったのを修正

2006-09-06 00:40  bowkenken

	* src/draw.c:

	戦闘時のエフェクトの待ち時間を微調整

2006-09-05 23:30  bowkenken

	* Makefile.in, man/Makefile.in, src/Makefile.am, src/Makefile.in,
	src/draw.c, src/main-unix.c, src/msg-eng.h:

	Fedora Core 5 に対応

2006-08-21 16:36  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, tmenu.c, town.c:

	酒場の客の台詞を女性のものも用意した

2006-08-21 16:23  bowkenken

	* src/tmenu.c:

	酒場でミルクを註文して笑われる確率をレベルによって決める様にした

2006-08-21 03:56  bowkenken

	* src/: gfile-ver.h, gfile.c:

	セーブしてロードすると依頼の NPC と別れられなくなるのを修正

2006-08-20 21:18  bowkenken

	* src/: gfile.c, pet.c, request.c:

	依頼で救助した NPC をペット・ショップに預けるとおかしくなるのを修正

2006-08-20 18:42  bowkenken

	* src/: gfile-ver.h, gfile.c, inc.h, mnstr.c, msg-eng.h, msg-jpn.h,
	msg.h, request-prot.h, request.c:

	依頼の目標を発見した時に、台詞を表示する様にした

2006-08-19 16:06  bowkenken

	* src/msg-eng.h:

	メッセージの一部を英語に翻訳

2006-08-19 08:41  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h:

	マップの実行ボタンのラベルをメッセージ型にした

2006-08-18 17:00  bowkenken

	* ChangeLog, lnl.spec, src/Makefile.am, src/Makefile.in,
	src/call-prot.h, src/call.cpp, src/imenu.c, src/xlnl/call-prot.h:

	マップ・ウィンドウに実行ボタンと連続実行ボタンをのせた

2006-08-17 19:59  bowkenken

	* src/: msg-eng.h, town-ptn.xpm:

	一部のメッセージを英語に翻訳。 街のマップのレイアウトを変更。

2006-08-17 09:22  bowkenken

	* src/draw.c:

	マップ・ウィンドウで連続実行のコマンドがキャンセルできなかったのを修正

2006-08-17 08:41  bowkenken

	* src/: draw.c, imenu-prot.h, imenu.c, inc.h, mmenu-tab.h,
	msg-eng.h, msg-jpn.h, msg.h:

	連続的にターンを実行するコマンドを用意した

2006-08-16 13:44  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h:

	メニューのページ数を表示する様にした

2006-08-15 06:53  bowkenken

	* src/call.cpp:

	GTK+ に対応したソースを WideStudio でコンパイル

2006-08-14 05:02  bowkenken

	* src/menu.c:

	テン・キーまわりをファンクション・キーでなく直接キー割り当てした

2006-08-12 13:22  bowkenken

	* src/: mmenu.c, spell.c:

	メンバーをポイントしていなくても呪文リストを出せる様にした

2006-08-12 13:05  bowkenken

	* src/mmenu.c:

	メンバーをポイントせずにアイテム・リストを出せる様にした

2006-08-12 12:22  bowkenken

	* src/draw.c:

	マップ・カーソルのゴミを減らした

2006-08-12 11:40  bowkenken

	* src/: draw.c, imenu.c, mmenu.c:

	マップ・カーソルの描画のゴミを減らした

2006-08-11 11:16  bowkenken

	* src/gfile.c:

	設定ファイルのバージョンが古いと、作戦メニューの名前がバージョナップ
	出来なかったのを修正

2006-08-11 09:43  bowkenken

	* src/: amenu.c, gfile.c, inc.h, misc-prot.h, misc.c, msg-eng.h,
	msg-jpn.h:

	作戦名を詳細とヒントに分けた

2006-08-11 06:33  bowkenken

	* src/: amenu-prot.h, amenu.c, chr.c, curs.c, draw.c, fight.c,
	fx.c, gfile-prot.h, gfile-ver.h, gfile.c, imenu.c, menu.c, misc.c,
	mmenu.c, mnstr.c, party.c, request.c, tmenu.c, trap.c:

	標準ライブラリの strncpy でコピー元の文字列が文字数より長いと
	末尾にヌル文字がつかないのを回避した

2006-08-11 02:16  bowkenken

	* configure, configure.in, man/lnl-faq.jpn, man/lnl.jpn:

	ver. 3.0.x 系と ver. 3.1.x 系にブランチ

2006-08-11 01:06  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	テンキーとカーソルまわりのキーの変更

2006-08-11 00:57  bowkenken

	* src/mmenu-tab.h:

	テンキーまわりのショートカットをファンクションキーをはさまずに
	直接呼ぶようにした

2006-08-10 06:09  bowkenken

	* src/: party.c, tmenu.c:

	酒場でのメンバーとクラスの編集メニューを末尾へも並び換えれる様にした

2006-08-10 05:50  bowkenken

	* src/: amenu-prot.h, amenu.c, imenu-prot.h, imenu.c, msg-eng.h,
	msg-jpn.h, msg.h, party-prot.h, party.c, tmenu-prot.h, tmenu-tab.h,
	tmenu.c:

	作戦メニューとユーザー・メニューの項目を
	先頭だけでなく末尾へも移動出来る様にした

2006-08-10 03:07  bowkenken

	* src/draw.c:

	マップ・ウインドウのカーソルのゴミ描画を少し減らした

2006-08-10 03:05  bowkenken

	* src/: imenu-prot.h, imenu-tab.h, imenu.c, msg-eng.h, msg-jpn.h,
	msg.h:

	GTK+

2006-08-08 04:08  bowkenken

	* src/inc.h:

	ポイント以外のマウス・モーションを実装した

2006-08-07 23:29  bowkenken

	* src/: call.cpp, inc.h:

	マップ・ウィンドウのスクロール位置の初期化が出来ていなかったのを修正

2006-08-07 13:33  bowkenken

	* src/: call-prot.h, call.cpp, gmain-prot.h, gmain.c, inc.h, ver.h,
	xlnl/call-prot.h:

	著作権表示にキャラクター・デザイナーを追加

2006-03-10 12:01  bowkenken

	* src/chr.c:

	キャラクタが死んだ時、マップ・ウィンドウにゴミが残るのを修正

2006-03-10 11:43  bowkenken

	* src/draw.c:

	GUI のみのモードの時にマップの再描画に失敗するのを修正

2006-03-10 11:28  bowkenken

	* src/xlnl/: Pcg.cpp, PcgDun.cpp, PcgDunTab.h:

	GUI のカーソルをキャラクタより上に描画する様にした

2006-03-10 10:04  bowkenken

	* ChangeLog, src/xlnl/PcgDun.cpp, src/xlnl/PcgDun.h:

	マップ・ウィンドウにモンスターとペットを描画できる様にした

2006-03-10 08:31  bowkenken

	* src/: chr-prot.h, chr.c, chr.h, draw.c, mnstr.c, party.c,
	xlnl/PcgDun.cpp, xlnl/PcgDun.h:

	キャラクタをマップ・ウィンドウの奥からソートして描画する様にした

2006-03-10 05:49  bowkenken

	* src/: chr-prot.h, chr.c, chr.h, xlnl/GuiMenu.cpp,
	xlnl/PcgDun.cpp:

	マップ・ウィンドウでキャラクタが 4 方向を向くようにした。
	メニュー・ウィンドウでデフォルトのタイトルを設定した。

2006-03-09 21:31  bowkenken

	* src/xlnl/PcgDun.cpp:

	マップ・ウィンドウ上のキャラクタのクリッピングが間違っていたのを修正

2006-03-09 20:35  bowkenken

	* src/: chr.h, draw.c, mnstr.c, party.c, xlnl/PcgDun.cpp,
	xlnl/PcgDun.h:

	キャラクタの直前の描画位置を消去できていなかったのを修正

2006-03-09 14:01  bowkenken

	* ChangeLog, src/xlnl/Pcg.cpp, src/xlnl/Pcg.h, src/xlnl/PcgDun.cpp,
	src/xlnl/PcgDun.h, src/xlnl/mk.inf:

	GUI マップにメンバーを取りあえず描画できるようにした

2006-02-25 02:19  bowkenken

	* src/: fight.c, tmenu.c:

	低レベルの時の攻撃魔法を少し強くした。
	まとめ売りメニューで項目を選択したら次の項目に移動する様にした。

2006-02-24 23:39  bowkenken

	* src/: inc.h, tmenu-prot.h, tmenu.c, town.c, town.h:

	店でまとめ買いの値段でバラ買い取りしていたのを修正

2006-02-24 03:21  bowkenken

	* src/: mmenu-tab.h, tmenu-prot.h, tmenu.c:

	[街]メニューが選択された場合にデフォルトとして記憶する様にした

2006-02-24 02:58  bowkenken

	* src/: imenu.c, mmenu-tab.h, mmenu.c, mnstr-gen-tab.h, mnstr.h,
	msg-eng.h, msg-jpn.h, msg.h, tmenu-prot.h, tmenu-tab.h, tmenu.c:

	街でアイテムを一括して売れるメニューを実装

2006-02-23 21:42  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, tmenu.c:

	現在のレベルで使えない呪文はギルドで買えない様にした

2006-02-23 21:17  bowkenken

	* src/tmenu.c:

	実装されていない魔法が無料で買える様になっていたのを修正

2006-02-18 11:50  bowkenken

	* src/: request-prot.h, request.c:

	仇討ちの依頼者が死んだ時に依頼が達成になってしまうのを修正

2006-02-18 09:56  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, request.c:

	酒場のマスターの性別を内部的に変えられる様にした

2006-02-18 07:38  bowkenken

	* configure, configure.in, src/chr.c, src/mnstr-act.c,
	src/mnstr-prot.h, src/mnstr.c, src/msg-eng.h, src/msg-jpn.h,
	src/msg.h:

	ボスに見つかった時にメッセージを出す様にした

2006-02-17 16:27  bowkenken

	* man/lnl-faq.jpn, man/lnl.jpn, src/Makefile.am, src/Makefile.in,
	src/inc.h:

	ver.3.0.2 リリース

2006-02-17 15:58  bowkenken

	* ChangeLog:

	ver.3.0.2 リリース

2006-02-17 15:45  bowkenken

	* src/gfile.c:

	セーブ・ファイルにエフェクトのデータが有ると読み込めないのを修正

2006-02-17 14:52  bowkenken

	* src/: draw-tab.h, draw.c, draw.h, msg-eng.h, msg-jpn.h, msg.h:

	貯めている明かりの数を詳細ステータス画面に表示する様にした

2006-02-17 13:45  bowkenken

	* src/: fx-prot.h, fx.c, fx.h, gfile-tab.h, gfile-ver.h, msg-eng.h,
	msg-jpn.h, msg.h, spell-gen-tab.h, spell-kind.h, spell-tab.h,
	spell.c, tmenu-tab.h:

	明かりを自動で点ける「明かりを貯める」の呪文を実装

2006-02-16 12:32  bowkenken

	* src/chr.c:

	「首斬り」で死んだ時に HP の表示が 0 にならなかったのを修正

2006-02-16 12:24  bowkenken

	* man/lnl.jpn, src/mmenu-prot.h, src/mmenu.c:

	アイテム・リストで、死んだメンバーはアイテムを使えない様にした

2006-02-16 11:00  bowkenken

	* man/lnl-faq.jpn:

	FAQ マニュアルに [ナビ] メニューの記述を追加

2006-02-16 10:41  bowkenken

	* man/lnl-faq.jpn, src/mmenu-prot.h, src/mmenu-tab.h, src/mmenu.c,
	src/msg-eng.h, src/msg-jpn.h:

	[自動マーク]メニューの名前を[作戦]に変更

2006-02-16 10:06  bowkenken

	* ChangeLog, src/mmenu-tab.h:

	サブ・メニューの項目の種類を修正

2006-02-16 09:11  bowkenken

	* src/: mmenu-prot.h, mmenu-tab.h, mmenu.c, msg-eng.h, msg-jpn.h,
	msg.h:

	アイテム・リストを使いやすくした

2006-02-15 10:24  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, tmenu-prot.h, tmenu.c,
	town-prot.h, town.c:

	ナビ・メニューに「迷宮への階段」を追加

2006-02-15 09:49  bowkenken

	* src/tmenu.c:

	ナビ・メニューのデフォルト項目を記憶する様にした

2006-02-15 09:33  bowkenken

	* src/: inc.h, mmenu-tab.h, mmenu.c, msg-eng.h, msg-jpn.h, msg.h,
	tmenu-prot.h, tmenu-tab.h, tmenu.c, town-prot.h, town.c,
	xlnl/mk.inf:

	街の各店に直接移動するナビ・メニューを実装した

2006-02-05 01:43  bowkenken

	* ChangeLog, man/lnl-faq.jpn, src/fx.c:

	ソースに「卍」について説明のコメントを入れた。

2006-02-04 17:11  bowkenken

	* src/: dun.c, trap-prot.h, trap.c:

	トラップ部屋の出現チェックを 1 階層につき 1 回だけにした

2006-02-03 23:21  bowkenken

	* src/: imenu.c, mnstr-prot.h, mnstr.c, msg-eng.h, msg-jpn.h,
	msg.h:

	モンスターのデータ表示で、系統名も表示する様にした

2006-02-03 07:32  bowkenken

	* src/trap.c:

	トラップ部屋の最低出現階数のチェックが間違っていたのを修正

2006-02-03 07:26  bowkenken

	* src/: msg-jpn.h, trap.c:

	浅い階層ではトラップ部屋が出現しない様にした。
	ヒントのアイテムの種類名を系統名とわかる様にした。

2006-02-03 04:37  bowkenken

	* src/: menu.c, xlnl/MapFormInit.cpp, xlnl/Pcg.cpp,
	xlnl/PcgDun.cpp, xlnl/mk.inf, xlnl/xlnl.prj:

	'<' キーと '>'
	キーでメニューの先頭と末尾のページに移動出来る様にした

2006-02-02 03:35  bowkenken

	* sh/imenu-prot, src/Makefile.am, src/Makefile.in, src/gmain.c,
	src/imenu-prot.h, src/imenu-tab.h, src/imenu.c, src/inc.h,
	src/mmenu-prot.h, src/mmenu-tab.h, src/mmenu.c:

	メイン・メニューとその他のメニューにファイルを分けた

2006-02-02 00:30  bowkenken

	* ChangeLog, sh/mmenu-prot, src/Makefile.am, src/Makefile.in,
	src/amenu.c, src/gmain.c, src/inc.h, src/menu-prot.h,
	src/menu-tab.h, src/menu.c, src/mmenu-prot.h, src/mmenu-tab.h,
	src/mmenu.c:

	メニュー処理とメイン・メニューを分けた

2006-02-01 20:12  bowkenken

	* src/xlnl/StatWinDAInit.cpp:

	ステータス・ウィンドウの状態ラベルに複数の状態を表示出来る様にした。
	ステータス・ウィンドウのラベルを左寄せにした。

2006-02-01 19:56  bowkenken

	* src/xlnl/: MapWin.cpp, MapWin.win, StatWinDADraw.cpp,
	StatWinDAInit.cpp, StatWinResize.cpp, xlnl.cpp, xlnl.prj:

	ステータス・ウィンドウの部品の配置を変更した

2006-02-01 16:17  bowkenken

	* src/xlnl/PcgDun.cpp:

	GUI の背景の初期化に失敗していたのを修正

2006-01-31 19:52  bowkenken

	* src/: call.cpp, gfile-prot.h, gfile.c, xlnl/FileList.cpp,
	xlnl/MapWin.cpp, xlnl/MapWin.win, xlnl/MapWinInit.cpp,
	xlnl/StatWinDAInit.cpp:

	GUI と CUI でホーム・ディレクトリの取得方法を統一した。 初期化時に
	GUI モードがオフだったら、ウィンドウを表示しない様にした。

2006-01-31 17:04  bowkenken

	* src/: call.cpp, gmain.c, gmain.h, xlnl/MapWin.cpp, xlnl/makefile,
	xlnl/mk.inf, xlnl/mkflags, xlnl/xlnl.prj:

	GUI と CUI
	のスレッドの初期化のタイミングによってフリーズするのを修正

2006-01-31 14:41  bowkenken

	* src/xlnl/StatWinDAInit.cpp:

	ステータス・ウィンドウのキャラクタ名ボタンでメニューが開く様にした

2006-01-30 20:26  bowkenken

	* src/town.c:

	ペットが風呂に入った時、メッセージを表示していなかったのを修正

2006-01-30 20:23  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, tmenu-prot.h, tmenu-tab.h,
	tmenu.c, town-prot.h, town.c:

	宿屋で風呂に入れるようにした。
	時々、痴漢に風呂場をのぞかれるようにした。

2006-01-29 21:18  bowkenken

	* src/: menu-prot.h, menu.c, request.c:

	「その他」のメニューの選択項目を記憶する様にした

2006-01-29 20:34  bowkenken

	* man/lnl.jpn, src/town.c:

	宿屋に泊まっても自動で食事をとらない様にした

2006-01-28 01:25  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	src/chr.c, src/draw-tab.h, src/fight.c, src/fx-prot.h, src/fx.c,
	src/mnstr.c:

	モンスターが 1 度でもメンバーを発見したら透明化が無効になる様にした

2006-01-27 15:43  bowkenken

	* ChangeLog:

	ver.3.0.1 リリース

2006-01-27 14:07  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, rumor-tab.h:

	酒場の噂話を追加

2006-01-27 13:45  bowkenken

	* src/spell.h:

	呪文の消費 MP を調整

2006-01-27 13:35  bowkenken

	* src/item-acce-tab.h:

	HP/MP 回復の指輪の回復が速すぎるのを修正

2006-01-27 12:53  bowkenken

	* src/: chr-prot.h, chr.c, fight.c, fx.c:

	キャラクタが誰かを攻撃したら透明化を解除する様にした

2006-01-27 10:20  bowkenken

	* ChangeLog:

	ver.3.0.1 リリース

2006-01-27 10:11  bowkenken

	* configure, configure.in, lnl.spec, man/lnl-faq.jpn, man/lnl.jpn,
	sh/scp-mac2, src/gfile.c, src/nest-flg.c:

	ゲーム・データをロードするとメンバーが動けなくなるのを修正

2006-01-26 18:20  bowkenken

	* ChangeLog:

	v3.0.0 リリース

2006-01-26 18:06  bowkenken

	* ChangeLog, Makefile.in, configure, man/Makefile.in,
	src/Makefile.am, src/Makefile.in:

	ver.3.0.0 リリース

2006-01-26 12:06  bowkenken

	* src/: menu.c, xlnl/Pcg.cpp:

	画面にカーソルのゴミが残るのを修正

2006-01-21 08:03  bowkenken

	* man/lnl-faq.jpn, src/draw.c, src/gfile.c, src/menu.c,
	src/xlnl/FileList.cpp, src/xlnl/GameThread.cpp, src/xlnl/Pcg.cpp:

	Windows 対応

2006-01-16 21:59  bowkenken

	* src/xlnl/FileList.cpp:

	Windows 対応

2006-01-16 13:11  bowkenken

	* src/xlnl/FileList.cpp:

	Windows 対応

2006-01-16 12:09  bowkenken

	* src/call.cpp:

	関数のコメントの間違いを修正

2006-01-16 08:50  bowkenken

	* src/call.cpp:

	GUI 版の 1 文字入力でロックを解除していなかったのを修正

2006-01-16 01:34  bowkenken

	* src/inc.h:

	Windows 対応

2006-01-16 01:28  bowkenken

	* sh/main-win-prot, src/inc.h, src/xlnl/main-win-prot.h:

	Windows 対応

2006-01-16 00:16  bowkenken

	* src/: inc.h, msg-prot.h, spell.c, tmenu.c, town.c, town.h,
	trap.c, turn.c:

	g++ でコンパイル

2006-01-15 23:32  bowkenken

	* src/spell.c:

	g++ でコンパイル

2006-01-15 23:23  bowkenken

	* src/: curs.c, spell.c:

	g++ でコンパイル

2006-01-15 23:05  bowkenken

	* src/: gfile.c, mnstr.c, msg.c, party.c, pet.c, spell.c:

	g++ でコンパイル出来る様に修正

2006-01-15 22:33  bowkenken

	* src/: gfile-prot.h, gfile.c, item.c, menu.c, mnstr-act.c,
	mnstr.c:

	g++ でコンパイル出来る様にした

2006-01-15 10:11  bowkenken

	* src/: dun.c, dun.h, fight.c, fx.c, gfile.c:

	Windows 対応

2006-01-15 06:10  bowkenken

	* src/: draw.c:

	Windows 対応

2006-01-15 06:01  bowkenken

	* src/inc.h:

	Windows 対応

2006-01-15 05:56  bowkenken

	* src/chr.c:

	Windows 対応

2006-01-15 05:49  bowkenken

	* src/chr.c:

	Windows 対応

2006-01-15 05:33  bowkenken

	* src/chr.c:

	Windows 対応

2006-01-15 02:37  bowkenken

	* src/chr.c:

	キャラクタの種類を比較する所でターゲットの種類と比較していたのを修正

2006-01-15 02:09  bowkenken

	* src/: chr.c, fight-prot.h, fight.c:

	アイテムを投げる関数 throw() の名前がまずかったので fight_throw()
	に変更

2006-01-15 01:32  bowkenken

	* src/: gmain.h, lnl-dos/config-dos.h, xlnl/config-win.h:

	Windows 対応

2006-01-15 00:59  bowkenken

	* src/: amenu.c, gmain.h, xlnl/main-win.c, xlnl/main-x.c:

	Windows 対応

2006-01-12 22:08  bowkenken

	* ChangeLog, sh/mv-man-jpn:

	日本語マニュアルの文字化け対策用のシェル・スクリプトを追加

2006-01-12 20:22  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, request.c:

	依頼リストの更新を有料化した

2006-01-12 18:54  bowkenken

	* src/xlnl/: FileList.cpp, FileList.h:

	グラフィック・データのディレクトリを変更した

2006-01-12 18:21  bowkenken

	* src/xlnl/GuiMenu.cpp:

	メニュー・ウィンドウにタイトルをセットする様にした

2006-01-12 17:51  bowkenken

	* man/lnl-faq.jpn, man/lnl.jpn, src/abl-kind.h, src/amenu-tab.h,
	src/amenu.c, src/amenu.h, src/call.cpp, src/chr.c, src/chr.h,
	src/class-tab.h, src/crsr-ptn.h, src/curs-def.h, src/curs.c,
	src/curs.h, src/draw-tab.h, src/draw.c, src/draw.h, src/dun-tab.h,
	src/dun.c, src/dun.h, src/extern.h, src/fight.c, src/fight.h,
	src/fx.c, src/fx.h, src/gfile-tab.h, src/gfile-ver.h, src/gfile.c,
	src/gfile.h, src/gmain.c, src/gmain.h, src/inc.h, src/item-kind.h,
	src/item-tab.h, src/item.c, src/item.h, src/main-dos.c,
	src/main-unix.c, src/menu-tab.h, src/menu.c, src/menu.h,
	src/misc.c, src/misc.h, src/mnstr-act.c, src/mnstr-kind.h,
	src/mnstr-tab.h, src/mnstr.c, src/mnstr.h, src/msg-eng.h,
	src/msg-jpn.h, src/msg-t.h, src/msg.c, src/nest-flg.c,
	src/nest-flg.h, src/party.c, src/party.h, src/pet.c, src/pet.h,
	src/request-tab.h, src/request.c, src/request.h, src/resi.h,
	src/rumor-tab.h, src/spell-kind.h, src/spell-tab.h, src/spell.c,
	src/spell.h, src/tmenu-tab.h, src/tmenu.c, src/town-tab.h,
	src/town.c, src/town.h, src/trap.c, src/trap.h, src/turn.c,
	src/turn.h, src/ver.h, src/vfx-kind.h, src/lnl-dos/config-dos.h,
	src/lnl-dos/lnl-dos.cpp, src/xlnl/FileList.cpp,
	src/xlnl/FileList.h, src/xlnl/GameThread.cpp,
	src/xlnl/GameThread.h, src/xlnl/GlobalVar.cpp,
	src/xlnl/GlobalVar.h, src/xlnl/GuiMenu.cpp, src/xlnl/GuiMenu.h,
	src/xlnl/Key.cpp, src/xlnl/Key.h, src/xlnl/MapFormDraw.cpp,
	src/xlnl/MapFormInit.cpp, src/xlnl/MapFormMouseMove.cpp,
	src/xlnl/MapFormMousePress.cpp, src/xlnl/MapFormMouseRellease.cpp,
	src/xlnl/MapFormResize.cpp, src/xlnl/MapScrollXDraw.cpp,
	src/xlnl/MapScrollXValCh.cpp, src/xlnl/MapScrollYDraw.cpp,
	src/xlnl/MapScrollYValCh.cpp, src/xlnl/MapWinInit.cpp,
	src/xlnl/MenuWinInit.cpp, src/xlnl/MouseMotion.cpp,
	src/xlnl/MouseMotion.h, src/xlnl/Pcg.cpp, src/xlnl/Pcg.h,
	src/xlnl/PcgDun.cpp, src/xlnl/PcgDun.h, src/xlnl/main-win.c,
	src/xlnl/main-x.c, src/xlnl/main-x.h:

	新年、明けましておめでとうございます。 今年もよろしくお願いします。

2005-09-20 14:03  bowkenken

	* src/xlnl/StatWinDAInit.cpp:

	ステータス・ウィンドウの状態ボタンで詳細ステータス画面が出る様にした

2005-09-20 13:50  bowkenken

	* src/: menu-prot.h, menu.c, xlnl/Key.cpp, xlnl/StatWinDAInit.cpp:

	ステータス・ウィンドウの名前ボタンで
	そのメンバーの位置にカーソルが飛ぶ様にした

2005-09-20 12:32  bowkenken

	* src/xlnl/: GlobalVar.cpp, GlobalVar.h, MapWin.cpp, MapWin.win,
	StatWinDADraw.cpp, StatWinDAInit.cpp, StatWinResize.cpp:

	ステータス・ウィンドウの部品間のマージンを調節出来る様にした

2005-09-20 10:43  bowkenken

	* ChangeLog, src/xlnl/StatWinDADraw.cpp:

	ステータス・ウィンドウの HP と MP を少し暗い色にした

2005-09-08 09:34  bowkenken

	* ChangeLog, src/gfile-prot.h, src/gfile.c, src/xlnl/FileList.cpp,
	src/xlnl/Pcg.cpp:

	ディレクトリ・ツリーを根っこから再帰的に自動で掘る様にした

2005-09-07 08:47  bowkenken

	* src/gfile.c:

	自動マークのマクロをセーブ出来る様にした

2005-09-07 08:29  bowkenken

	* src/: amenu-prot.h, amenu.c, gfile-prot.h, gfile.c, item.h:

	自動マークのアイテムの種類をバージョナップ

2005-09-07 07:29  bowkenken

	* src/: amenu.h, gfile-prot.h, gfile-tab.h, gfile-ver.h, gfile.c:

	自動マークの内部番号をセーブ・ファイルのデータと変換する様にした

2005-09-07 06:41  bowkenken

	* src/: amenu-prot.h, amenu-tab.h, amenu.c, amenu.h, inc.h, menu.c,
	menu.h, msg-eng.h, msg-jpn.h, msg.h:

	自動マーク・メニューにマクロを設定出来る様にした

2005-09-06 06:58  bowkenken

	* src/xlnl/GuiMenu.cpp:

	GUI メニューをキーボードで操作出来る様にした

2005-09-05 08:27  bowkenken

	* src/: gfile.c, xlnl/Key.cpp, xlnl/Key.h:

	GUI ウィンドウ上のキー入力をキー割り当て変更可能にする

2005-09-02 09:47  bowkenken

	* src/: call.cpp, curs-def.h, xlnl/Key.cpp, xlnl/main-win-prot.h,
	xlnl/main-win.c:

	Windows 対応

2005-09-02 05:51  bowkenken

	* man/lnl.jpn, src/gfile-prot.h, src/gfile-ver.h, src/gfile.c:

	セーブ・ファイルから自動マークの設定を分離して、
	別ファイルにプレイン・テキストでセーブする様にした

2005-09-02 00:53  bowkenken

	* src/draw.c:

	モンスターでもステータス・ウィンドウを更新していたのをメンバーだけにした

2005-09-01 23:10  bowkenken

	* src/xlnl/StatWinDADraw.cpp:

	GUI のステータスで、メンバーが空きの項目は空白にした

2005-09-01 10:01  bowkenken

	* src/: fx.c, xlnl/GlobalVar.cpp, xlnl/GlobalVar.h,
	xlnl/MapWin.cpp, xlnl/MapWin.h, xlnl/MapWin.win,
	xlnl/StatWinDADraw.cpp, xlnl/StatWinDAInit.cpp,
	xlnl/StatWinDraw.cpp, xlnl/StatWinInit.cpp, xlnl/StatWinResize.cpp,
	xlnl/mk.inf:

	GUI ステータス・ウィンドウに HP/MP バーを表示する様にした

2005-09-01 06:47  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, draw.h, dun.c, fx.c, inc.h,
	xlnl/GlobalVar.cpp, xlnl/GlobalVar.h, xlnl/MapWin.cpp,
	xlnl/MapWin.h, xlnl/MapWin.win, xlnl/StatWinDraw.cpp,
	xlnl/StatWinIdx.h, xlnl/StatWinInit.cpp, xlnl/StatWinResize.cpp,
	xlnl/call-prot.h, xlnl/mk.inf:

	GUI のステータス・ウィンドウを表示出来る様にした

2005-08-30 15:30  bowkenken

	* src/xlnl/call.cpp:

	ダブっていたファイルを削除した

2005-08-30 15:05  bowkenken

	* src/inc.h:

	ファイルを追加

2005-08-30 15:05  bowkenken

	* src/: amenu.c, call.cpp, chr.c, curs.c, draw.c, dun.c, fight.c,
	fx.c, gfile.c, gmain.c, item.c, main-dos.c, main-unix.c, menu.c,
	misc.c, mnstr-act.c, mnstr.c, msg.c, nest-flg.c, party.c, pet.c,
	request.c, spell.c, tmenu.c, town.c, trap.c, turn.c, xlnl/call.cpp,
	xlnl/main-win.c, xlnl/main-x.c:

	ヘッダ・ファイルのインクルードを 1
	つのファイルで集中管理する様にした

2005-08-29 19:51  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, dun.c, xlnl/call-prot.h,
	xlnl/call.cpp:

	GUI と CUI の画面にカーソルのゴミが残るのを修正

2005-08-29 17:57  bowkenken

	* src/: draw.c, dun.c:

	階段を下った後、GUI マップが再描画されないのを修正

2005-08-29 00:49  bowkenken

	* src/xlnl/: Pcg.cpp, Pcg.h, PcgDun.cpp, PcgDun.h:

	GUI カーソルを表示出来る様にした

2005-08-28 05:38  bowkenken

	* src/: menu.c, xlnl/GuiMenu.cpp, xlnl/GuiMenu.h:

	GUI メニューのデフォルト項目にフォーカスを移動する様にした

2005-08-27 17:40  bowkenken

	* src/: amenu-prot.h, amenu-tab.h, amenu.c:

	自動マーク・メニューでメンバー毎(小分類)のコピー&ペーストを実装

2005-08-27 17:16  bowkenken

	* ChangeLog, src/amenu-prot.h, src/amenu-tab.h, src/amenu.c,
	src/msg-eng.h, src/msg-jpn.h, src/msg.h:

	自動マーク・メニューの種類毎(大分類)にコピー&ペースト出来る様にした

2005-08-27 13:37  bowkenken

	* src/chr.c:

	ビビッドにも暗視能力を与えた

2005-08-26 23:40  bowkenken

	* src/xlnl/: GuiMenu.cpp, MapWin.cpp, MapWin.h, MapWin.win:

	GUI メニューにページ数を表示する様にした

2005-08-26 05:29  bowkenken

	* src/misc.c:

	ソースにコメントを追加

2005-08-25 21:54  bowkenken

	* src/: crsr-ptn.h, draw.c, dun.c:

	カーソル・パターンのオフセットをパターンの中心とする様にした

2005-08-25 19:51  bowkenken

	* src/: draw.c, menu.c, xlnl/GuiMenu.cpp,
	xlnl/MenuBtnCancelActivate.cpp, xlnl/MenuBtnNextPageActivate.cpp,
	xlnl/MenuBtnPrevPageActivate.cpp:

	GUI メニューの最初と最後のページはボタンのラベルを非表示にした

2005-08-24 11:31  bowkenken

	* src/: call-prot.h, call.cpp, menu.c, xlnl/GuiMenu.cpp,
	xlnl/GuiMenu.h, xlnl/MapWin.win, xlnl/call-prot.h, xlnl/call.cpp:

	GUI メニューのデフォルト項目にマウス・カーソルが飛ぶ様にした

2005-08-23 04:36  bowkenken

	* src/xlnl/: GuiMenu.cpp, MapWin.cpp, MapWin.h, mk.inf:

	GUI メニューのページ切り替えとキャンセルのボタンを実装

2005-08-23 03:56  bowkenken

	* src/: call-prot.h, call.cpp, menu.c, xlnl/MapFormInit.cpp,
	xlnl/call-prot.h:

	メニュー用のキー入力処理の頭で GUI メニューを閉じる様にした

2005-08-23 02:53  bowkenken

	* src/: draw.c, msg-eng.h, msg-jpn.h, msg.h, xlnl/GuiMenu.cpp:

	GUI メニューを選択して実行出来る様にした

2005-08-19 15:27  bowkenken

	* src/: call-prot.h, call.cpp, draw.c, xlnl/GlobalVar.cpp,
	xlnl/GlobalVar.h, xlnl/GuiMenu.cpp, xlnl/GuiMenu.h,
	xlnl/MapWin.cpp, xlnl/MapWin.h, xlnl/MapWin.win, xlnl/MenuWin.cpp,
	xlnl/MenuWin.h, xlnl/MenuWin.win, xlnl/MenuWinInit.cpp,
	xlnl/call-prot.h, xlnl/call.cpp, xlnl/mk.inf, xlnl/xlnl.prj:

	GUI 版のメニューを取りあえず表示出来る様にした

2005-08-19 09:49  bowkenken

	* src/: amenu.c, draw.c, fx.c, menu-prot.h, menu-tab.h, menu.c,
	menu.h, msg-eng.h, msg-jpn.h, msg.h, request.c, spell.c, tmenu.c:

	ショートカット・キーとアクセラレータ・キーの用語を統一した

2005-08-10 23:00  bowkenken

	* src/: chr.c, dun.h, fight.c, fx-prot.h, fx.c, gfile-tab.h,
	msg-eng.h, msg-jpn.h, msg.h, spell-gen-tab.h, spell.c, trap-prot.h,
	trap.c, trap.h:

	聖域の呪文を実装した

2005-08-09 05:13  bowkenken

	* src/chr.c:

	マップ画面にキャラクタのゴミが残るのを修正

2005-08-09 04:33  bowkenken

	* src/chr.c:

	キャラクタが死んだ時に、画面から消すのに失敗していたのを修正

2005-08-09 04:21  bowkenken

	* src/draw.c:

	忍者の首斬りのエフェクト後、画面を再描画していなかったのを修正

2005-08-08 04:39  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	Copyright の年を 2004 から 2005 に修正。
	自動マーク・メニューをカスタマイズ出来る事を FAQ に記述した

2005-08-08 01:14  bowkenken

	* src/: menu-prot.h, menu-tab.h, menu.c, msg-eng.h, msg-jpn.h,
	msg.h, tmenu.c:

	メニュー項目の種類の文字列をエラー・チェックする様にした

2005-08-08 00:16  bowkenken

	* src/menu.h:

	メニューのキャンセル時のパスを ".." に変更

2005-08-07 01:20  bowkenken

	* src/draw.c:

	数値入力メニューをコンマ・フォーマットに対応

2005-08-06 03:12  bowkenken

	* src/tmenu-tab.h:

	アクセラレータ・キーが重複していたのを修正

2005-08-06 02:21  bowkenken

	* src/: chr.h, misc-prot.h, misc.c, misc.h, msg-eng.h, msg-jpn.h,
	party.c, request.c, tmenu.c, town.c:

	金額を位取りして表示する

2005-08-05 17:36  bowkenken

	* src/: menu-prot.h, menu.c, msg-eng.h, msg-jpn.h, msg.h,
	tmenu-prot.h, tmenu-tab.h, tmenu.c:

	街の店の中でも、金額を指定して他のメンバーに渡せる様にした

2005-08-05 17:06  bowkenken

	* src/: menu-prot.h, menu-tab.h, menu.c, msg-eng.h, msg-jpn.h,
	msg.h, party-prot.h, party.c:

	所持金を金額を指定して、他のメンバーに渡せる様にした

2005-08-04 01:41  bowkenken

	* src/: request-prot.h, request-tab.h, request.c, request.h,
	turn.c:

	依頼のソースにコメントを入れた

2005-08-03 19:43  bowkenken

	* src/xlnl/: MapFormInit.cpp, MouseMotion.cpp, MouseMotion.h:

	マウス・モーションに左右ボタン同時クリックを追加した

2005-08-03 00:38  bowkenken

	* src/: pet-prot.h, pet.c, pet.h:

	ペットのソースにコメントを入れた

2005-08-02 22:44  bowkenken

	* src/: mnstr-kind.h, mnstr-prot.h, mnstr-tab.h, mnstr.c, mnstr.h:

	モンスターのソースにコメントを入れた

2005-08-02 17:42  bowkenken

	* ChangeLog, src/call.cpp, src/xlnl/call.cpp:

	サブ・スレッドで GUI
	のプロバティをいじるとセグメンテーション・フォルトで 落ちるのを修正

2005-08-01 20:57  bowkenken

	* src/: dun-prot.h, dun.c, msg-t.h, msg.c, nest-flg-prot.h,
	nest-flg.c, xlnl/Pcg.cpp, xlnl/PcgDun.cpp:

	メッセージのソースにコメントを入れた

2005-08-01 03:20  bowkenken

	* src/: call.cpp, xlnl/Key.cpp, xlnl/MapFormInit.cpp,
	xlnl/MapScrollXDraw.cpp, xlnl/MapScrollYDraw.cpp,
	xlnl/MouseMotion.cpp, xlnl/Pcg.cpp, xlnl/PcgDun.cpp, xlnl/PcgDun.h,
	xlnl/call.cpp:

	ヘッダ・ファイルのパスを変更

2005-08-01 02:32  bowkenken

	* src/chr.c:

	ペットの縦横のサイズが 1 以外の時は位置の入れ換えは出来ない様にした

2005-08-01 00:12  bowkenken

	* src/mnstr-gen-tab.h:

	ポルターガイストが呪文を失敗しにくい様に設定

2005-07-31 23:33  bowkenken

	* src/: chr.h, trap-prot.h, trap.c, trap.h:

	罠のソースにコメントを入れた

2005-07-31 18:48  bowkenken

	* src/: draw-prot.h, draw.c, gmain.h, xlnl/Key.cpp,
	xlnl/MapFormInit.cpp, xlnl/Pcg.cpp, xlnl/Pcg.h:

	WideStudio のバージョナップで、
	描画がエラー終了する様になったのを取り敢えず修正

2005-07-31 01:11  bowkenken

	* src/: gfile-tab.h, gfile-ver.h, item-rare-goods-tab.h, item.h,
	msg-eng.h, msg-jpn.h, msg.h:

	レア・アイテム「届かない想い」を追加

2005-07-30 23:42  bowkenken

	* src/: gfile-prot.h, gfile-tab.h, gfile-ver.h, gfile.c, gfile.h:

	ファイル処理のソースにコメントを入れた

2005-07-30 16:24  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, request-prot.h, request.c,
	town.c:

	依頼リストを総入れ換え出来るメニューを用意した

2005-07-26 16:38  bowkenken

	* src/spell-tab.h:

	呪歌のアクセラレータ・キーが間違っていたのを修正

2005-07-26 16:32  bowkenken

	* src/: item-prot.h, item.c, spell-prot.h, spell.c:

	呪歌のレベルによっても、効果範囲を限定出来る様にした

2005-07-26 06:52  bowkenken

	* data/item-armor-tab.csv, src/item-armor-tab.h:

	吟遊詩人が大きな楯を持てる様に調整

2005-06-26 17:41  bowkenken

	* src/mnstr.c:

	モンスターの骨のドロップ率を下げた

2005-06-26 17:21  bowkenken

	* data/spell-gen-tab.csv, src/fx-prot.h, src/fx.c, src/gfile-tab.h,
	src/msg-eng.h, src/msg-jpn.h, src/msg.h, src/party.c,
	src/spell-gen-tab.h, src/spell-kind.h, src/spell-tab.h,
	src/spell.c, src/tmenu-tab.h:

	骨を使ったモンスターの召喚術を実装

2005-06-02 08:23  bowkenken

	* src/town.c:

	割引セールの割引率を１割に下げた

2005-06-01 19:02  bowkenken

	* src/xlnl/: MapWin.cpp, PcgDun.cpp, makefile, mkflags, xlnl.prj:

	マップ生成中はスクロールによる描画をしない様にした

2005-06-01 11:23  bowkenken

	* sh/nest-flg-prot, src/Makefile.am, src/Makefile.in,
	src/dun-prot.h, src/dun.c, src/nest-flg-prot.h, src/nest-flg.c,
	src/nest-flg.h, src/xlnl/PcgDun.cpp, src/xlnl/mk.inf:

	入れ子フラグのモジュールを追加

2005-03-24 16:32  bowkenken

	* .cvsignore, man/.cvsignore, src/.cvsignore:

	xlnl のファイル名とディレクトリ名の衝突の応急処置

2005-03-24 16:17  bowkenken

	* install-xlnl-mac.sh, man/lnl-faq.jpn:

	MacOS X 対応

2005-03-17 03:58  bowkenken

	* src/menu.c:

	FALSE が小文字の false だったのを修正

2005-03-15 21:22  bowkenken

	* src/: call.cpp, xlnl/call.cpp:

	ソースにコメントを入れた

2005-03-15 11:20  bowkenken

	* install-xlnl-mac.sh, src/xlnl/xlnl.sh, src/xlnl/xlnld.sh:

	ファイル追加

2005-03-15 11:18  bowkenken

	* Makefile.am, Makefile.in, man/lnl-faq.jpn, man/lnl.jpn,
	src/Makefile.am, src/Makefile.in, src/xlnl/mk.inf,
	src/xlnl/xlnl.prj:

	MacOS X 対応

2005-03-15 07:11  bowkenken

	* src/xlnl/: make-ln, make-oo, mk.inf, xlnl.prj:

	Windows 対応

2005-03-15 05:49  bowkenken

	* src/Makefile.am:

	パッケージのファイルリストに追加

2005-03-15 03:40  bowkenken

	* src/xlnl/: PcgDun.cpp, PcgDun.h:

	ソースにコメントを入れた

2005-03-14 09:59  bowkenken

	* src/xlnl/: Key.cpp, Pcg.cpp, Pcg.h:

	ウィンドウのキー入力の ^[ を ^H にマッピングした

2005-03-14 07:21  bowkenken

	* src/xlnl/: Pcg.cpp, Pcg.h:

	ソースにコメントを入れた

2005-03-14 06:49  bowkenken

	* src/xlnl/: PcgDun.cpp, PcgDun.h:

	マップのタイル・パターンのバリエーション違いを描画出来る様にした

2005-03-13 23:10  bowkenken

	* src/: fx-prot.h, fx.c, lnl.sh, spell.c:

	HP 回復呪文の効果を掛ける側の PRI レベルからもとめる様に変更

2005-03-13 13:38  bowkenken

	* src/xlnl/: FileList.cpp, FileList.h, GameThread.cpp,
	GameThread.h, GlobalVar.cpp, GlobalVar.h, Key.cpp, Key.h,
	MapFormInit.cpp, MouseMotion.cpp, MouseMotion.h:

	ソースにコメントを入れた

2005-03-13 06:50  bowkenken

	* ChangeLog, src/xlnl/MapWinInit.cpp:

	GUI/CUI
	モードの設定前にウィンドウの操作不可の設定をしていたのを修正

2005-03-13 06:15  bowkenken

	* Makefile.am, install.sh:

	インストール・スクリプトを追加

2005-03-13 05:43  bowkenken

	* src/xlnl/: MapFormDraw.cpp, MapWinInit.cpp, xlnl.prj:

	CUI モードの時にウィンドウを最小にして操作不可にした

2005-03-12 06:59  bowkenken

	* src/xlnl/FileList.cpp:

	グラフィック・ファイルのホーム・ディレクトリを環境変数から得る様にした

2005-03-12 06:49  bowkenken

	* src/xlnl/: FileList.cpp, FileList.h, PcgDun.cpp, PcgDun.h,
	mk.inf:

	グラフィック・データのファイルを自動検索できる様にした

2005-03-11 04:43  bowkenken

	* src/: curs.c, gmain.c, gmain.h, xlnl/Key.cpp, xlnl/Key.h,
	xlnl/main-win.c, xlnl/main-x.c:

	キー・バッファのクリアをある程度、高速化した

2005-03-10 06:02  bowkenken

	* src/: call-prot.h, call.cpp, dun.c, xlnl/MapFormDraw.cpp,
	xlnl/MapFormInit.cpp, xlnl/Pcg.cpp, xlnl/Pcg.h, xlnl/PcgDun.cpp,
	xlnl/PcgDun.h, xlnl/call-prot.h, xlnl/call.cpp:

	マップ描画を高速化した

2005-03-09 03:53  bowkenken

	* src/xlnl/Key.cpp:

	キー・バッファのクリアを本来の関数でやる様にした

2005-03-09 03:31  bowkenken

	* src/xlnl/: Key.cpp, main-x.c:

	バッファ経由のキー入力でバッファに溜らない様にした

2005-03-09 03:01  bowkenken

	* src/: gmain.c, gmain.h, main-unix.c, xlnl/Key.cpp, xlnl/Key.h,
	xlnl/MapFormInit.cpp, xlnl/Pcg.h, xlnl/main-x.c:

	キー入力の経由を割り込みとバッファの２つから選べる様にした。
	シフト等の特殊キーを入力から取り除く様にした。

2005-03-09 01:02  bowkenken

	* src/: curs.c, curs.h, menu.c, xlnl/Key.cpp, xlnl/xlnl.prj:

	ウィンドウからカーソル・キー等の特殊キーを入力出来る様にした

2005-03-08 23:53  bowkenken

	* src/: call-prot.h, call.cpp, curs.c, xlnl/GlobalVar.cpp,
	xlnl/GlobalVar.h, xlnl/MapFormInit.cpp, xlnl/call-prot.h,
	xlnl/call.cpp, xlnl/mk.inf, xlnl/Key.cpp, xlnl/Key.h:

	GUI モードの時はウィンドウからキー入力を読む様にした

2005-03-08 21:22  bowkenken

	* src/: call-prot.h, call.cpp, menu-prot.h, menu.c, xlnl/Pcg.h,
	xlnl/PcgDun.cpp, xlnl/PcgDun.h, xlnl/call-prot.h, xlnl/call.cpp:

	カーソルがジャンプした時にマップ・ウィンドウもスクロールする様にした

2005-03-08 04:55  bowkenken

	* src/: dun-prot.h, dun.c, xlnl/PcgDun.cpp, xlnl/PcgDun.h:

	未探索の背景を黒く塗りつぶす様にした

2005-03-08 01:13  bowkenken

	* src/: dun.c, xlnl/PcgDun.cpp, xlnl/PcgDun.h:

	壁を立体的に描画する様にした

2005-03-07 03:36  bowkenken

	* src/xlnl/: Pcg.cpp, Pcg.h, PcgDun.cpp, PcgDun.h:

	描画可能待ちで時間切れになったら、描画を全てキャンセルする様にした

2005-03-07 01:13  bowkenken

	* src/xlnl/: MapFormInit.cpp, MapFormMouseRellease.cpp,
	MouseMotion.cpp, MouseMotion.h:

	マウス・モーションの左右クリックを実装

2005-03-06 22:21  bowkenken

	* src/xlnl/: Pcg.cpp, Pcg.h:

	ウィンドウの描画可能待ちでフリーズしない様にした

2005-03-06 21:53  bowkenken

	* src/xlnl/Pcg.cpp:

	ウィンドウが描画可能かチェックしてから描画する様に修正

2005-03-06 21:20  bowkenken

	* src/xlnl/MapFormInit.cpp:

	モーションでカーソルを動かす時、なるべくメニューの表示を壊さない様に修正

2005-03-06 21:15  bowkenken

	* src/: draw-prot.h, draw.c, gmain.h, menu.c, xlnl/MouseMotion.cpp:

	マウス・モーションが入った時、キー入力待ちを中断して割り込める様にした

2005-03-06 20:37  bowkenken

	* src/xlnl/MapWinInit.cpp:

	コマンド・ライン引数を処理出来る様にした

2005-03-06 19:46  bowkenken

	* src/xlnl/PcgDun.cpp:

	ドアの描画するパターンを正しく選択する様に修正

2005-03-06 19:35  bowkenken

	* src/: dun.c, xlnl/Pcg.cpp, xlnl/Pcg.h, xlnl/PcgDun.cpp,
	xlnl/PcgDun.h:

	ドアを描画出来る様にした

2005-03-06 12:41  bowkenken

	* src/: dun-prot.h, dun.c, xlnl/MapFormInit.cpp,
	xlnl/MapScrollXDraw.cpp, xlnl/MapScrollYDraw.cpp, xlnl/MapWin.win,
	xlnl/Pcg.cpp, xlnl/PcgDun.cpp, xlnl/PcgDun.h:

	壁を立体的に描画する様にした

2005-03-06 07:11  bowkenken

	* src/: call.cpp, xlnl/GameThread.cpp, xlnl/GameThread.h,
	xlnl/GlobalVar.cpp, xlnl/GlobalVar.h, xlnl/MapFormDraw.cpp,
	xlnl/MapFormInit.cpp, xlnl/MapFormMouseMove.cpp,
	xlnl/MapFormMousePress.cpp, xlnl/MapFormMouseRellease.cpp,
	xlnl/MapFormResize.cpp, xlnl/MapScrollXDraw.cpp,
	xlnl/MapScrollXValCh.cpp, xlnl/MapScrollYDraw.cpp,
	xlnl/MapScrollYValCh.cpp, xlnl/MapWinInit.cpp,
	xlnl/MouseMotion.cpp, xlnl/MouseMotion.h, xlnl/Pcg.cpp, xlnl/Pcg.h,
	xlnl/PcgDun.cpp, xlnl/PcgDun.h, xlnl/call.cpp:

	ソースに著作権の表示を入れた

2005-03-06 07:05  bowkenken

	* src/xlnl/: MapWin.cpp, MapWin.win, PcgDun.cpp:

	スクロールの単位を１タイルにした

2005-03-06 06:33  bowkenken

	* src/xlnl/: MapWin.cpp, mk.inf, MapFormResize.cpp,
	MapScrollXValCh.cpp, MapScrollYValCh.cpp:

	スクロール・バーの操作中にもマップを描画する様にした

2005-03-06 06:20  bowkenken

	* src/xlnl/: MapFormInit.cpp, MapWin.cpp, mk.inf:

	マップ・ウィンドウのリサイズ時にスクロール・バーを初期化する様にした

2005-03-06 05:47  bowkenken

	* src/xlnl/: MapFormInit.cpp, MouseMotion.cpp, MouseMotion.h:

	右ドラックのマウス・モーション機能を実装

2005-03-06 04:19  bowkenken

	* src/: draw-prot.h, draw.c, menu-prot.h, menu.c, menu.h,
	xlnl/MapFormInit.cpp, xlnl/PcgDun.cpp:

	左ドラッグでマップをスクロール出来る様にした。 マウスと CUI
	のカーソルを連動させた。

2005-03-06 02:17  bowkenken

	* .cvsignore, Makefile.in, configure, configure.in, man/.cvsignore,
	man/Makefile.in, sh/.cvsignore, sh/call-prot, sh/main-x-prot,
	src/.cvsignore, src/Makefile.am, src/Makefile.in, src/call-prot.h,
	src/call.cpp, src/draw.c, src/dun.c, src/extern.h, src/gmain.c,
	src/gmain.h, src/main-prot.h, src/main-unix.c, src/msg-def-sub,
	src/msg.h, src/xlnl/.cvsignore, src/xlnl/GameThread.cpp,
	src/xlnl/GameThread.h, src/xlnl/GlobalVar.cpp,
	src/xlnl/GlobalVar.h, src/xlnl/MapFormDraw.cpp,
	src/xlnl/MapFormInit.cpp, src/xlnl/MapFormMouseMove.cpp,
	src/xlnl/MapFormMousePress.cpp, src/xlnl/MapFormMouseRellease.cpp,
	src/xlnl/MapScrollXDraw.cpp, src/xlnl/MapScrollYDraw.cpp,
	src/xlnl/MapWin.cpp, src/xlnl/MapWin.h, src/xlnl/MapWin.win,
	src/xlnl/MapWinInit.cpp, src/xlnl/MouseMotion.cpp,
	src/xlnl/MouseMotion.h, src/xlnl/Pcg.cpp, src/xlnl/Pcg.h,
	src/xlnl/PcgDun.cpp, src/xlnl/PcgDun.h, src/xlnl/call-prot.h,
	src/xlnl/call.cpp, src/xlnl/main-win-prot.h, src/xlnl/main-win.c,
	src/xlnl/main-ws-prot.h, src/xlnl/main-x-prot.h, src/xlnl/main-x.c,
	src/xlnl/main-x.h, src/xlnl/make-oo, src/xlnl/mk.inf,
	src/xlnl/xlnl.cpp, src/xlnl/xlnl.prj, src/xlnl/xlnl.wns:

	GUI 版の開発開始

2005-02-26 15:19  bowkenken

	* .cvsignore, lnl.spec, man/.cvsignore, src/.cvsignore,
	src/xlnl/.cvsignore:

	ver-3.0.0

2005-02-26 14:04  bowkenken

	* .cvsignore, configure, configure.in, man/.cvsignore,
	src/.cvsignore, src/xlnl/MapWin.win, src/xlnl/makefile,
	src/xlnl/makefile.env, src/xlnl/mk.inf, src/xlnl/mkflags,
	src/xlnl/xlnl.col, src/xlnl/xlnl.cpp, src/xlnl/xlnl.prj,
	src/xlnl/xlnl.wns, src/xlnl/.cvsignore:

	ver-3.0.0

2005-02-19 12:07  bowkenken

	* src/: chr.c, mnstr-prot.h, mnstr.c:

	モンスターが死んだ時、処理中ではなくターンの終りにまとめて解放する様にした

2005-02-17 23:13  bowkenken

	* src/: fight.c, item-prot.h, item-wpn-tab.h, item.c, item.h:

	両手持ち武器にダメージの修整が入る様にした

2005-02-17 22:20  bowkenken

	* src/: draw.c, item-wpn-tab.h, msg-eng.h, msg-jpn.h:

	レベルの修整値の表示を、合計と括弧して修整値に変更。
	ランスのPRI技能の制限を無くした。

2005-02-16 01:39  bowkenken

	* src/item-wpn-tab.h:

	モンクもブーメランを使える様にした

2005-01-18 14:26  bowkenken

	* src/mnstr-act.c:

	ソースにコメントを入れた

2005-01-18 10:37  bowkenken

	* src/: chr.c, misc-prot.h, misc.c, misc.h:

	ソースにコメントを入れた

2005-01-18 08:45  bowkenken

	* src/: gmain.c, gmain.h, main-dos.c, main-unix.c, turn.c, turn.h:

	ソースにコメントを入れた

2005-01-18 07:29  bowkenken

	* src/: amenu.c, amenu.h, chr.c, chr.h, curs.c, curs.h, draw.c,
	draw.h, dun.c, dun.h, fight.c, main-dos.c, main-unix.c:

	ソースにコメントを入れた

2005-01-16 07:56  bowkenken

	* src/fx.c:

	１日に吸いたくなる煙草の本数を調整

2005-01-16 07:41  bowkenken

	* src/fight.c:

	クリティカル時にダメージを表示しなくなったのを修整

2005-01-16 07:31  bowkenken

	* src/mnstr-gen-tab.h:

	モンスターのレベルを微調整

2005-01-16 07:12  bowkenken

	* src/mnstr-gen-tab.h:

	ドラゴンのブレスが当たりにくかったのを修整

2005-01-16 06:51  bowkenken

	* src/: chr.c, chr.h, mnstr-gen-tab.h:

	敵のレベルとメンバーの HP と MP のバランス調整

2005-01-16 04:20  bowkenken

	* src/: chr.c, chr.h, draw-tab.h, menu.c, mnstr.c, msg-eng.h,
	msg-jpn.h:

	経験値に上限を設定した

2005-01-16 02:11  bowkenken

	* src/: fight.c, fx-prot.h, fx.c, fx.h, item-prot.h, item.c,
	mnstr-act.c, spell-gen-tab.h, spell.c, tmenu.c:

	ソースにコメントを入れた

2005-01-15 13:08  bowkenken

	* src/: chr.h, gfile-prot.h, gfile-tab.h, gfile.c:

	キャラクタの内部番号をセーブ・ファイルに依存しない様にした

2005-01-15 08:55  bowkenken

	* src/: draw.c, gfile.c:

	文字列入力のキャンセルが出来なくなったのを修正。
	マップのファイル出力に相対パスを指定出来る様にした。

2005-01-15 08:13  bowkenken

	* src/: spell-gen-tab.h, spell.c, spell.h:

	呪文の抵抗判定の真偽が逆だったのを修正

2005-01-15 07:46  bowkenken

	* src/: draw.c, draw.h, dun.c, dun.h, fx.c, fx.h, gfile.c:

	忍者の首切りの視覚効果を実装

2005-01-15 07:08  bowkenken

	* src/: draw.c, draw.h, fx.c, fx.h, spell.c:

	爆風のパターンを１オブジェクト単位から１文字単位に細かく設定出来る様に変更

2005-01-15 05:50  bowkenken

	* src/: draw.h, fx-prot.h, fx.c, fx.h, item.c, spell.c:

	爆風の描画にウェイトを入れた

2005-01-14 05:58  bowkenken

	* src/: draw.h, fight-prot.h, fight.c, fight.h:

	ソースにコメントを入れた

2005-01-14 03:41  bowkenken

	* src/: item-acce-tab.h, item.h, town-tab.h:

	「不可視感知の薬」と「不可視感知抵抗の魔除け」を実装

2005-01-14 03:18  bowkenken

	* src/: chr.c, chr.h, draw-tab.h, draw.c, draw.h, dun.c, fx.c,
	fx.h, msg-eng.h, msg-jpn.h, msg.h, spell.c:

	「不可視感知」の呪文を実装

2005-01-13 08:51  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, party.c:

	デフォルト・キャラクタの種族名に「ネコミミ」を追加

2005-01-13 07:11  bowkenken

	* src/mnstr-gen-tab.h:

	スライムの弱点に冷気を加えた

2005-01-13 06:50  bowkenken

	* src/: chr.c, msg-eng.h, msg-jpn.h:

	マップの外枠からキャラクタが出れない様にした

2005-01-13 05:46  bowkenken

	* src/: gfile-tab.h, gfile-ver.h, item-wpn-tab.h, item.h,
	msg-eng.h, msg-jpn.h, msg.h:

	武器「ヌンチャク」を追加

2005-01-13 04:32  bowkenken

	* src/spell.c:

	未実装の呪文のソースに目印をつけた

2005-01-13 03:16  bowkenken

	* src/item.h:

	魔法のアイテムの値段を微調整

2005-01-13 02:04  bowkenken

	* src/: item-prot.h, item.c, item.h, msg-eng.h, msg-jpn.h, msg.h,
	town.c:

	アイテムの使用可／不可の表示を廃止した

2005-01-13 01:47  bowkenken

	* src/: draw.c, draw.h:

	通常ヒットと弓矢の視覚効果の表示時間を短くした

2005-01-13 01:32  bowkenken

	* src/: draw-prot.h, draw.c, draw.h, fight.c:

	攻撃の通常ヒット時に視覚効果を描画する様にした

2005-01-12 05:19  bowkenken

	* src/: fight.c, gfile-ver.h:

	マジック・ナンバーにマクロ名をつけた

2005-01-12 04:06  bowkenken

	* src/menu.c:

	メニューのパス名に大文字が含まれていたのを修正

2005-01-12 04:00  bowkenken

	* src/: fx-prot.h, fx.c, gfile-tab.h, gfile.c, item-scroll-tab.h,
	item.h, msg-eng.h, msg-jpn.h, msg.h, tmenu-tab.h, town-tab.h:

	「全アイテム識別の巻物」を実装

2005-01-12 03:17  bowkenken

	* src/spell.c:

	抵抗不可な呪文に抵抗してしまうのを修正

2005-01-12 03:09  bowkenken

	* src/: fx-prot.h, fx.c, msg-eng.h, msg-jpn.h, msg.h,
	spell-gen-tab.h, spell-kind.h, spell-tab.h, spell.c:

	メンバーの「全アイテム識別」の呪文を実装

2005-01-12 02:04  bowkenken

	* src/ver.h:

	E-mail の先頭文字のスペルを大文字にした

2005-01-12 00:24  bowkenken

	* src/spell.c:

	呪文の成功確率のもとめ方を微調整

2005-01-11 23:56  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, spell-prot.h, spell.c:

	魔法の成功確率をレベルと難易度からもとめる様にした

2005-01-11 06:58  bowkenken

	* data/item-armor-tab.csv, src/item-armor-tab.h:

	3種類の物理耐性に特徴をつけた

2005-01-11 03:36  bowkenken

	* src/: dun-tab.h, dun.c, dun.h, gmain.h:

	ソースにコメントを入れた

2005-01-10 23:08  bowkenken

	* src/trap.h:

	NDEBUG が定義されている時は DEBUG
	が定義されていても無視する様にした

2005-01-09 22:37  bowkenken

	* src/: dun.c, fx.c, menu-prot.h, menu-tab.h, menu.c, msg-eng.h,
	msg-jpn.h, msg.h, party-prot.h, party.c, town.c:

	パーティの出現時に画面をセンタリングする様にした

2005-01-08 19:45  bowkenken

	* src/: gfile.c, gmain.c, menu-prot.h, menu.c, msg-prot.h, msg.c:

	メニューで表示言語を設定するのが実装失敗していたのを
	次回起動時に設定を変更する様にして、実装した

2005-01-04 03:29  bowkenken

	* src/: gfile-prot.h, gfile-ver.h, gfile.c, menu-prot.h,
	menu-tab.h, menu.c, mnstr.c, msg-eng.h, msg-jpn.h, msg-prot.h,
	msg.c, msg.h:

	表示言語をメニューから設定出来る様にした。
	表示言語の設定をセーブ出来る様にした。

2005-01-03 00:20  bowkenken

	* src/gfile-ver.h:

	セーブ・ファイルのバージョンを上げた

2005-01-02 20:48  bowkenken

	* src/: chr.c, chr.h, mnstr-gen-tab.h, mnstr-prot.h, mnstr.c:

	モンスターを倒すと骨を残す様にした。
	モンスターがアイテムを落さなかったのを修正。

2005-01-02 19:48  bowkenken

	* ChangeLog, src/gfile-prot.h, src/gfile-tab.h, src/gfile.c,
	src/item-kind.h, src/item-prot.h, src/item-range-tab.h,
	src/item-tab.h, src/item.c, src/item.h, src/menu.c, src/msg-eng.h,
	src/msg-jpn.h, src/msg.h, src/party.c, src/town.c:

	モンスターの骨のアイテムを創った

2005-01-01 13:13  bowkenken

	* src/: menu-prot.h, menu-tab.h, menu.c, msg-eng.h, msg-jpn.h,
	msg.h:

	メニューからフレーム・レートを計測出来る様にした

2005-01-01 11:42  bowkenken

	* man/lnl-faq.jpn, man/lnl.jpn, src/abl-kind.h, src/amenu-tab.h,
	src/amenu.c, src/amenu.h, src/chr.c, src/chr.h, src/class-tab.h,
	src/crsr-ptn.h, src/curs-def.h, src/curs.c, src/curs.h,
	src/draw-tab.h, src/draw.c, src/draw.h, src/dun-tab.h, src/dun.c,
	src/dun.h, src/fight.c, src/fight.h, src/fx.c, src/fx.h,
	src/gfile-tab.h, src/gfile-ver.h, src/gfile.c, src/gfile.h,
	src/gmain.c, src/gmain.h, src/item-kind.h, src/item-tab.h,
	src/item.c, src/item.h, src/main-dos.c, src/main-unix.c,
	src/menu-tab.h, src/menu.c, src/menu.h, src/misc.c, src/misc.h,
	src/mnstr-act.c, src/mnstr-kind.h, src/mnstr-tab.h, src/mnstr.c,
	src/mnstr.h, src/msg-eng.h, src/msg-jpn.h, src/msg-t.h, src/msg.c,
	src/party.c, src/party.h, src/pet.c, src/pet.h, src/request-tab.h,
	src/request.c, src/request.h, src/resi.h, src/rumor-tab.h,
	src/spell-kind.h, src/spell-tab.h, src/spell.c, src/spell.h,
	src/tmenu-tab.h, src/tmenu.c, src/town-tab.h, src/town.c,
	src/town.h, src/trap.c, src/trap.h, src/turn.c, src/turn.h,
	src/ver.h, src/vfx-kind.h:

	新年明けましておめでとうございます

2004-12-31 16:12  bowkenken

	* src/: curs.h, menu-prot.h, menu-tab.h, menu.c, msg-eng.h,
	msg-jpn.h, msg.h:

	キー入力のエコー・モードをメニューからも設定出来る様にした

2004-12-30 14:02  bowkenken

	* src/: gfile-prot.h, gfile-ver.h, gfile.c:

	キー・バッファのクリアの設定を保存出来る様にした

2004-12-30 13:33  bowkenken

	* src/: draw.c, gmain.c, gmain.h, main-dos.c, main-unix.c,
	menu-prot.h, menu-tab.h, menu.c, msg-eng.h, msg-jpn.h, msg.h,
	party.c, tmenu.c:

	キー・バッファのクリアの設定をメニューと通常に細分化した

2004-12-30 09:27  bowkenken

	* src/tmenu-tab.h:

	マジック・ギルドのメニューで検索エラーが出ていたのを修正

2004-12-29 20:32  bowkenken

	* src/: draw-prot.h, draw.c, menu.c:

	ターン毎の再描画で、ちらつきを無くそうとしたが、出来なかった

2004-12-29 14:30  bowkenken

	* src/: amenu-tab.h, amenu.c, menu-tab.h, menu.c, spell-tab.h,
	spell.c, tmenu-tab.h, tmenu.c:

	メニューのパス名を小文字に統一

2004-12-28 07:39  bowkenken

	* configure, src/draw-prot.h, src/draw.c, src/menu.c:

	キー入力毎に強制再描画する設定で、画面にゴミが残らない様にした

2004-12-28 06:16  bowkenken

	* configure.in, lnl.spec:

	バージョン変更

2004-12-27 12:39  bowkenken

	* src/: chr.c, mnstr-gen-tab.h, mnstr-prot.h, mnstr.c:

	モンスターのレベルと倒した時の経験値を群の数で修正する様にした

2004-12-26 11:42  bowkenken

	* src/: menu-prot.h, menu-tab.h, menu.c:

	ウィザード・メニューの有効化を #if
	でなく、デバッグ・フラグで決める様にした

2004-12-26 10:40  bowkenken

	* src/menu.c:

	VC++ のウォーニングを修正

2004-12-26 10:34  bowkenken

	* ChangeLog:

	ver.2.1.33 リリース

2004-12-26 10:22  bowkenken

	* src/curs.c:

	#if のネストの字下げをした

2004-12-26 10:17  bowkenken

	* src/curs.c:

	初期化していない変数を修正

2004-12-26 09:02  bowkenken

	* src/dun.c:

	通路が壁でふさがれる事があるのを修正

2004-12-26 08:35  bowkenken

	* src/: mnstr-gen-tab.h, mnstr.c:

	群の数によってモンスターの強さを自動的に調整する様にした

2004-12-25 16:58  bowkenken

	* src/lnl.sh:

	実行用スクリプトに、ヘルプ表示のコマンドをコメントにして入れた

2004-12-25 16:18  bowkenken

	* src/draw.c:

	１行モードの時のバック・ログで、
	反転属性の行がメッセージの長さまでで切れていたのを修正

2004-12-25 16:08  bowkenken

	* src/draw.c:

	複数行モードでない時、バック・ログの１番古い行が表示されないのを修正

2004-12-25 15:33  bowkenken

	* ChangeLog, src/chr.c, src/curs.c, src/draw.c, src/draw.h,
	src/menu.c, src/msg-eng.h, src/msg-jpn.h, src/tmenu.c:

	キー・エコー・モードで複数行モードでない時、
	キーが一瞬しか表示されないのを修正

2004-12-25 12:34  bowkenken

	* src/draw.c:

	more
	で一時停止する時、直前のアトリビュートに戻していなかったのを修正

2004-12-25 12:21  bowkenken

	* src/draw.c:

	メッセージ表示処理で、エラー・フラグが指定された時に、
	表示後アトリビュートを元にもどしていなかったのを修正

2004-12-25 12:14  bowkenken

	* src/: draw-prot.h, draw.c, fx.c, gfile.c, menu.c, party.c,
	tmenu.c:

	複数行モードでない時に、メッセージを消去する処理を整えてまとめた

2004-12-25 10:43  bowkenken

	* ChangeLog, src/fight.c, src/mnstr-gen-tab.h:

	魔法の掛かっていない武器に対する耐性の設定の仕方を間違っていたのを修正

2004-12-25 07:18  bowkenken

	* src/fight.c:

	鋼鉄化で攻撃を弾いた時のメッセージに色をつけた

2004-12-25 06:52  bowkenken

	* src/: chr.c, fx.h, mnstr.c, party.c:

	キャラクターが動いても鋼鉄化が解けない様にした

2004-12-24 06:11  bowkenken

	* src/: msg-eng.h, msg-jpn.h:

	ゲスト・メンバーのヒントで、ペット扱いのメッセージが出るのを修正

2004-12-24 05:54  bowkenken

	* README, README-DOS, README-MAC, src/chr-prot.h, src/chr.c,
	src/fight.c, src/fx-prot.h, src/fx.c, src/menu.c, src/mnstr.c,
	src/party-prot.h, src/party.c, src/request.c, src/spell.c:

	依頼に失敗してレベルが下がっても薬で元に戻せられるのを修正

2004-12-23 16:24  bowkenken

	* src/mnstr-act.c:

	街の住民が店から出る確率を減らした

2004-12-23 15:14  bowkenken

	* sh/scp-web-dvd:

	ファイルを追加

2004-12-23 15:12  bowkenken

	* sh/rcv-armor, src/draw-prot.h, src/draw.c, src/gfile-prot.h,
	src/gfile-ver.h, src/gfile.c, src/menu-prot.h, src/menu-tab.h,
	src/menu.c, src/msg-eng.h, src/msg-jpn.h, src/msg.h:

	毎ターン画面を再描画する設定を出来る様にした

2004-12-22 06:57  bowkenken

	* data/item-armor-tab.csv:

	アイテム・データの CSV 形式への変換のコメントを修正

2004-12-21 07:40  bowkenken

	* src/amenu.c:

	自動マーク・メニューの「弓矢使うな」で後衛は敵に接近しない様にした

2004-12-21 07:24  bowkenken

	* src/: amenu-prot.h, amenu.c, gfile-prot.h, gfile-ver.h, gfile.c,
	msg-eng.h, msg-jpn.h, msg.h:

	自動マーク・メニューに殲滅戦（相手は雑魚だ）を追加

2004-12-21 06:17  bowkenken

	* src/: dun-prot.h, dun.c, dun.h:

	十字路で明かりをつけた時、隠しドアの向うまで明かりがつくのを修正

2004-12-19 03:04  bowkenken

	* src/: draw.c, draw.h:

	レベラップのアニメーション時間を長くした

2004-12-19 02:38  bowkenken

	* data/spell-gen-tab.csv, src/fx.c, src/spell-gen-tab.h,
	src/spell.h:

	MP の消費と自然回復の関係を FFXI風からウィザードリー風に変更した

2004-12-14 17:52  bowkenken

	* src/: gfile.c, misc.c:

	乱数生成時に 0 で割る可能性があったのを修正

2004-12-13 23:14  bowkenken

	* src/: abl-kind.h, chr.h, gfile-prot.h, gfile-tab.h, gfile-ver.h,
	gfile.c, item.h, request.h, resi.h:

	アイテム、モンスター、罠、エフェクト、依頼の種類の内部番号を
	変更してもセーブ・データに影響が出ない様にした。

2004-12-12 18:56  bowkenken

	* src/: Makefile.am, Makefile.in, gfile-prot.h, gfile-tab.h,
	gfile.c, spell-prot.h, spell-tab.h, spell.c:

	呪文の種類番号の変換をファイル処理モジュールに移動

2004-12-12 17:13  bowkenken

	* src/spell-tab.h:

	セーブ・データの変換テーブルの順番を変更しない様にコメントを入れた

2004-12-12 17:04  bowkenken

	* src/: gfile-ver.h, gfile.c, misc-prot.h, misc.c, spell-kind.h,
	spell-prot.h, spell-tab.h, spell.c:

	呪文の内部番号を修整しても、セーブ・データに影響が出ない様にした

2004-12-12 03:42  bowkenken

	* src/: chr.c, fight.c, item-armor-tab.h, item-wpn-tab.h, item.c,
	item.h, msg-eng.h, msg-jpn.h, msg.h, spell.c:

	魔法の失敗チェックを全ての魔法でもする様にした

2004-12-12 00:26  bowkenken

	* src/mnstr-gen-tab.h:

	モンスターの物理攻撃の耐性にめりはりをつけた

2004-12-10 20:18  bowkenken

	* man/lnl.jpn, src/main-unix.c:

	デバッグ・オプションを非公開にした

2004-12-10 17:35  bowkenken

	* src/: fx-prot.h, fx.c, gmain.c, item-scroll-tab.h, item.c,
	item.h, msg-eng.h, msg-jpn.h, msg.h, party.c, spell-prot.h,
	spell.c:

	忍術の巻物をくわえて呪文リストを開くと忍術をおぼえられる様にした

2004-12-10 13:39  bowkenken

	* src/msg-eng.h:

	日英翻訳を少し進めた

2004-12-10 13:06  bowkenken

	* src/: dun-prot.h, dun.c, dun.h:

	ダンジョンの十字路に隠しドアを創って一本道に見せかける様にした

2004-12-09 18:34  bowkenken

	* src/: fx.c, spell-gen-tab.h, spell.h:

	HP回復の呪文の微調整

2004-12-09 17:01  bowkenken

	* README-DOS, configure, configure.in, lnl.spec, man/lnl-faq.jpn,
	man/lnl.jpn, src/gfile.c, src/mnstr-gen-tab.h, src/resi.h:

	モンスターの耐性と弱点にメリハリをつけた

2004-12-08 15:57  bowkenken

	* ChangeLog:

	lnl-2.1.32 リリース

2004-12-08 13:56  bowkenken

	* src/: party-prot.h, party.c, pet-prot.h, pet.c, pet.h, tmenu.c,
	town.c:

	耐性値の初期値が調整されたら、セーブ・データよりも優先する様にした

2004-12-08 12:19  bowkenken

	* src/party.c:

	種族毎の基本の耐性値を調整

2004-12-08 11:33  bowkenken

	* src/party.c:

	新しくキャラを創って金を集めるインチキが、
	パーティに死人がいる時だけ出来てしまうのを修正

2004-12-08 10:50  bowkenken

	* src/: chr.c, misc.h, party.c:

	ゴールドのカンストをチェックする様にした

2004-12-08 10:14  bowkenken

	* src/: msg-eng.h, msg-jpn.h:

	金のフォーマット文字列を統一した

2004-12-07 21:44  bowkenken

	* src/tmenu-tab.h:

	マジック・ギルドのメニューでも、金の分配が出来る様にした

2004-12-07 17:40  bowkenken

	* man/lnl-faq.jpn:

	FAQ マニュアルに項目を追加

2004-12-07 15:41  bowkenken

	* src/ver.h:

	バージョン表示を微調整

2004-12-07 15:30  bowkenken

	* man/lnl-faq.jpn:

	FAQ マニュアルに項目追加

2004-12-06 22:34  bowkenken

	* src/msg-eng.h:

	ライセンスの表示の英語版を用意

2004-12-06 16:00  bowkenken

	* src/: draw.c, menu.c, menu.h, msg-eng.h, msg-jpn.h, msg.h:

	メニューの枠にページ数を表示する様にした

2004-12-06 15:18  bowkenken

	* src/: abl-kind.h, amenu-tab.h, amenu.c, amenu.h, chr.c, chr.h,
	class-tab.h, crsr-ptn.h, curs-def.h, curs.c, curs.h, draw-tab.h,
	draw.c, draw.h, dun-tab.h, dun.c, dun.h, fight.c, fight.h, fx.c,
	fx.h, gfile-ver.h, gfile.c, gfile.h, gmain.c, gmain.h, item-kind.h,
	item-tab.h, item.c, item.h, main-dos.c, main-unix.c, menu-tab.h,
	menu.c, menu.h, misc.c, misc.h, mnstr-act.c, mnstr-kind.h,
	mnstr-tab.h, mnstr.c, mnstr.h, msg-eng.h, msg-jpn.h, msg-t.h,
	msg.c, party.c, party.h, pet.c, pet.h, request-tab.h, request.c,
	request.h, resi.h, rumor-tab.h, spell-kind.h, spell-tab.h, spell.c,
	spell.h, tmenu-tab.h, tmenu.c, town-tab.h, town.c, town.h, trap.c,
	trap.h, turn.c, turn.h, ver.h, vfx-kind.h:

	コメントの * の数を調整

2004-12-06 01:23  bowkenken

	* src/: curs.c, draw-prot.h, draw.c, draw.h, menu.c:

	ソースにコメントを追加

2004-12-05 18:00  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, tmenu-prot.h, tmenu-tab.h,
	tmenu.c, town-prot.h, town.c:

	宿屋で12時間だけ休む事も出来る様にした

2004-12-05 16:25  bowkenken

	* src/menu.c:

	隊列を変えた直後にキャラの位置も入れ替わる様になったのを修正

2004-12-05 16:21  bowkenken

	* src/: gfile.c, menu.c, msg-eng.h, town.c:

	メッセージの英語訳を進めた。
	隊列を変えるとキャラが消えてしまうのを修正。

2004-12-05 09:35  bowkenken

	* man/lnl-faq.jpn:

	FAQマニュアルを微調整

2004-12-04 07:32  bowkenken

	* src/: Makefile.am, Makefile.in, lnl.sh:

	ダブル・クリックでオプション等を設定してゲームを実行出来る様に
	シェル・スクリプトを用意した

2004-12-04 07:20  bowkenken

	* man/lnl-faq.jpn:

	マニュアルのレイアウトを微修整

2004-12-03 19:40  bowkenken

	* README:

	マニュアルの体裁を微修整

2004-12-03 18:43  bowkenken

	* src/mnstr-act.c:

	夜中に、街の住民がドアから出る確率をさらに減らした

2004-12-03 18:32  bowkenken

	* src/tmenu.c:

	寺院での蘇生の確認とチェックの順番を解呪と同じにした。
	ペットの削除の確認メッセージに色をつけた。

2004-12-03 14:02  bowkenken

	* src/: msg-eng.h, msg-jpn.h, msg.h, party-prot.h, party.c,
	request.c, town.c:

	依頼をキャンセルする時に金を支払う様にした（失敗時は経験値を減らす）

2004-12-03 11:37  bowkenken

	* ChangeLog, man/lnl.jpn, src/trap.h:

	マニュアルの段落を微調整

2004-12-03 09:11  bowkenken

	* configure, configure.in, lnl.spec, src/fight.c, src/trap.h:

	見えていないモンスターへの魔法や罠のダメージは表示しない様にした

2004-12-02 11:19  bowkenken

	* src/mnstr-act.c:

	街の住民が酒場で酔った時、メッセージが出る様になったのをとりあえず修正

2004-12-02 10:55  bowkenken

	* src/: chr-prot.h, chr.c, dun.c, fx.c, gfile.c, mnstr-act.c,
	mnstr.c, party-prot.h, party.c, pet-prot.h, pet.c, request.c,
	town-prot.h, town.c:

	マップに明かりのゴミが出ない様なコードにした

2004-12-01 11:56  bowkenken

	* README-MAC:

	MacOS X 版の README-MAC にターミナルの設定方法を記述

2004-11-30 14:36  bowkenken

	* man/lnl-faq.jpn, src/chr.c, src/curs.c, src/draw.c, src/draw.h:

	キャラクタの状況により描画モードを設定する関数を curs.c から chr.c
	に移動。
	フレーム・レートのマクロが違う名前でダブっていたのを１つにした。

2004-11-29 08:38  bowkenken

	* man/lnl-faq.jpn:

	マニュアルのロケール設定のコマンドを複数行に分けた

2004-11-29 08:32  bowkenken

	* README, src/draw.h, src/ver.h, README-MAC:

	Mac 対応

2004-11-19 19:23  bowkenken

	* ChangeLog, sh/scp-mac2:

	MacOS-X に対応

2004-11-19 18:58  bowkenken

	* sh/scp-mac1:

	MacOS-X

2004-11-19 18:21  bowkenken

	* sh/: scp-mac1, scp-mac2:

	MacOS-X 対応

2004-11-19 16:24  bowkenken

	* configure, src/config.h.in:

	MacOS-X に対応

2004-11-19 16:19  bowkenken

	* configure.in, src/curs.c:

	MacOS-X のカラー未対応に対応

2004-08-09 01:16  bowkenken

	* src/: chr.c, dun-prot.h, dun.c, fx.c, mnstr-prot.h, mnstr.c,
	pet.c, request.c, town.c:

	壁の中にモンスターや住民が生成されていたのを修正

2004-08-08 18:50  bowkenken

	* src/: item.c, tmenu.c:

	店に売られたアイテムを展示する時、識別する様にした

2004-08-08 06:07  bowkenken

	* src/tmenu.c:

	呪われたアイテムを売っても、店に列べない様にした

2004-08-07 23:00  bowkenken

	* src/draw-tab.h:

	キャラクター・データの表示位置を調整

2004-08-07 22:45  bowkenken

	* src/draw-tab.h:

	キャラクター・データの 2
	ページ目にもキャラクター名を表示する様にした

2004-08-07 22:01  bowkenken

	* src/turn.c:

	ゲーム・スタートのターン数を AM10:00 時に戻した

2004-08-07 21:46  bowkenken

	* src/: town-prot.h, town.c, turn.c:

	夕暮れ時に宿屋に泊まると、夕暮れがリセットされないのを修正

2004-08-07 07:04  bowkenken

	* src/: amenu-prot.h, amenu.c, gfile-prot.h, gfile-ver.h, gfile.c:

	自動マークのアイテムをセーブ・ロード出来る様にした

2004-08-07 04:18  bowkenken

	* src/town.c:

	アイテムを識別していなくても、店で売値が変わらない様にした

2004-08-07 04:03  bowkenken

	* src/mnstr-gen-tab.h:

	戦利品の武器が落ちる確率を下げた

2004-08-07 01:48  bowkenken

	* src/: draw-tab.h, draw.c:

	HP や MP が少なくなったら赤色で表示する様にした

2004-08-06 20:00  bowkenken

	* data/spell-gen-tab.csv, src/spell-gen-tab.h:

	基本魔法のレベルを調整

2004-08-06 06:28  bowkenken

	* src/: gfile-prot.h, gfile-ver.h, gfile.c, menu-prot.h, menu.c:

	サーチ・モードの設定をセーブ・ロード出来る様にした

2004-08-06 04:06  bowkenken

	* src/menu.c:

	サーチ・モードの設定をパーティの隊列順でなく
	メンバー毎に設定出来る様にした

2004-08-06 00:11  bowkenken

	* data/item-armor-tab.csv, src/item-armor-tab.h:

	アーティファクトの防具を出にくい様に調整

2004-08-05 23:51  bowkenken

	* src/town-tab.h:

	街の店の矢と識別の巻物の在庫を増やした

2004-08-05 22:43  bowkenken

	* src/town.c:

	アイテムの値段を、未鑑定の時は1/2、呪われている時は0にした

2004-08-05 21:26  bowkenken

	* src/tmenu.c:

	街での買い物で、代金を2重に支払っていたのを修正

2004-08-05 21:02  bowkenken

	* src/gfile.c:

	セーブ・ファイルのセーブ回数をロードしていなかったのを修正

2004-08-05 20:18  bowkenken

	* src/: amenu.c, menu.c:

	メンバー選択メニューでカーソル位置を記憶する様にした

2004-08-05 19:37  bowkenken

	* data/spell-gen-tab.csv, src/spell-gen-tab.h:

	呪文の消費MPを調整

2004-08-05 19:06  bowkenken

	* src/: fx.c, spell-gen-tab.h:

	回復の呪文の効果を上げた

2004-08-05 18:48  bowkenken

	* src/town-tab.h:

	帰還の巻物を店に用意した

2004-08-04 04:52  bowkenken

	* src/: draw-prot.h, draw.c, gmain.c, menu-prot.h, menu.c, party.c,
	tmenu.c:

	メニュー選択時にキー・バッファをクリアしない様にした

2004-08-03 20:54  bowkenken

	* src/: draw.c, menu.c, menu.h, msg-eng.h, msg-jpn.h, msg.h:

	数値入力メニューに0クリア・ボタンをつけた

2004-08-03 01:47  bowkenken

	* src/msg-cv-utf8:

	ファイルを追加

2004-08-03 01:46  bowkenken

	* src/: Makefile.am, Makefile.in, msg-def, msg-eng.h, msg-jpn.h:

	Makefile.am の依存関係を調整

2004-08-02 22:04  bowkenken

	* sh/scp-wiki-bak:

	pukiwiki のウェブ・サイトのバッカップをとれる様にした

2004-08-02 19:36  bowkenken

	* src/request.c:

	探索アイテムを少し落し安くした

2004-08-02 19:26  bowkenken

	* src/: item.c, request.c:

	アイテム探索の依頼の達成チェックをアイテムを拾った時にもする様にした

2004-08-02 19:05  bowkenken

	* src/: item.c, request.c:

	依頼アイテムがダブっていた場合、依頼主に全て手渡す様にした

2004-08-02 17:55  bowkenken

	* data/item-armor-tab.csv, src/item-armor-tab.h:

	ゴミ・ファイルが作られないか、チェック

2004-08-02 17:51  bowkenken

	* src/: chr.c, chr.h, dun-prot.h, dun.c, mnstr-gen-tab.h,
	mnstr-prot.h, mnstr.c:

	中ボスを倒さないと下り階段が出ない様にした

2004-08-02 03:52  bowkenken

	* src/: Makefile.am, Makefile.in:

	依存関係を修整

2004-08-02 03:49  bowkenken

	* src/Makefile.am:

	依存関係を修整

2004-08-02 03:46  bowkenken

	* src/: Makefile.am, Makefile.in, gfile.c:

	Makefile.am の依存関係を修整

2004-08-01 01:52  bowkenken

	* data/item-armor-tab.csv, sh/cv-armor, sh/rcv-armor,
	src/item-armor-tab.h, src/item.c, src/item.h, src/party.c:

	防具のテーブルに保護のフラグを設定出来る様にした

2004-08-01 01:25  bowkenken

	* ChangeLog, configure, configure.in, lnl.spec, man/lnl-faq.jpn,
	man/lnl.jpn, src/chr.c, src/item.c, src/party.c:

	モンスターからアイテムを盗める確率を、倒した時に落すのと同じ確率にした

2004-07-31 18:20  bowkenken

	* ChangeLog, src/Makefile.am, src/Makefile.in:

	ver. 2.1.30 ベータ版リリース

2004-07-31 18:01  bowkenken

	* ChangeLog, src/chr.c:

	死んでいるメンバーはマーク出来ない様にした

2004-07-31 16:27  bowkenken

	* src/: party.c, spell-prot.h, spell.c:

	デフォルトのメンバーに最低限の呪文を使える様にした

2004-07-31 15:27  bowkenken

	* src/: Makefile.am, Makefile.in, dun-tab.h:

	迷宮のマップ・テーブルで出現階を調整

2004-07-31 01:02  bowkenken

	* src/: mnstr.c, trap.h:

	モンスターの一覧で、降りたばかりの階は表示しない様にした

2004-07-31 00:15  bowkenken

	* src/: trap.c, trap.h:

	シュートの罠に掛かったのがモンスターでもパーティが落ちてしまうのを修正

2004-07-30 23:55  bowkenken

	* src/mnstr-gen-tab.h:

	中ボスは徘徊しない様にした

2004-07-30 23:29  bowkenken

	* src/: gmain.c, msg-eng.h, msg-jpn.h, msg.h:

	ゲーム・スタート時にメニュー・キャンセルのキー操作のヒントを出す様にした

2004-07-30 20:19  bowkenken

	* man/lnl.jpn, src/abl-kind.h, src/msg-eng.h, src/msg-jpn.h,
	src/spell-tab.h, src/tmenu-tab.h:

	共通魔法を基本魔法に名前変更

2004-07-30 18:24  bowkenken

	* src/: gfile-prot.h, gfile.c:

	未鑑定の巻物のタイトルをロード出来る様にした

2004-07-30 17:57  bowkenken

	* src/: gfile-prot.h, gfile.c, item-prot.h, item.c:

	未識別の巻物のタイトルをセーブ出来る様にした

2004-07-30 00:10  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	マニュアルの修正日付を修正

2004-07-30 00:08  bowkenken

	* man/lnl.jpn:

	設定ファイル名の変更で、マニュアルを修正

2004-07-29 22:40  bowkenken

	* sh/rcv-scroll, src/item-prot.h, src/item-scroll-tab.h,
	src/item-tab.h, src/item.c, src/item.h, src/msg-eng.h,
	src/msg-jpn.h, src/msg.h, src/party.c:

	未鑑定の巻物のタイトルを文字列の定義の順番に依存しない様にした

2004-07-29 20:44  bowkenken

	* src/: gfile-prot.h, gfile.c, item-prot.h, item.c, party.c:

	未鑑定アクセサリの材質テーブルをセーブ・ロード出来る様にした

2004-07-29 20:13  bowkenken

	* src/: item-prot.h, item-tab.h, item.c, msg-eng.h, msg-jpn.h,
	msg.h:

	未鑑定のアクセサリの材質テーブルをメッセージの順番に依存しない様にした

2004-07-29 17:25  bowkenken

	* src/gfile.c:

	Windows 対応

2004-07-29 17:18  bowkenken

	* src/msg-jpn-utf8.h:

	Windows 対応

2004-07-29 17:13  bowkenken

	* .cvsignore, man/.cvsignore, sh/.cvsignore, src/.cvsignore,
	src/lnl-dos/.cvsignore:

	文字コードが UTF-8 のファイルをリポジトリから外した

2004-07-29 16:54  bowkenken

	* sh/: all-prot~, amenu-prot~, chr-prot~, curs-prot~, draw-prot~,
	dun-prot~, fight-prot~, fx-prot~, gfile-prot~, gmain-prot~,
	item-prot~, main-unix-prot~, make-rpm~, menu-prot~, misc-prot~,
	mnstr-act-prot~, mnstr-prot~, msg-prot~, party-prot~, pet-prot~,
	request-prot~, spell-prot~, tmenu-prot~, town-prot~, trap-prot~,
	turn-prot~:

	ゴミ・ファイルを削除

2004-07-29 16:52  bowkenken

	* man/lnl-faq.jpn, man/lnl.jpn, src/gmain.c, src/ver.h:

	バージョン情報にメール・アドレスを入れ直した

2004-07-29 16:05  bowkenken

	* src/: gmain.h, misc-prot.h, misc.c, msg-prot.h, msg-t.h, msg.c:

	文字列の表示幅を計算する関数を UTF-8 に対応させた

2004-07-29 14:53  bowkenken

	* Makefile.am, Makefile.in, sh/all-prot, sh/all-prot~,
	sh/amenu-prot~, src/gfile.c, src/gmain.h, src/item-prot.h,
	src/item-tab.h, src/item.c, src/item.h, src/request.h:

	未鑑定アイテムの材質の型を定義した

2004-07-29 13:29  bowkenken

	* src/: gfile-prot.h, gfile.c, item-prot.h, item-tab.h, item.c:

	杖の材質テーブルをセーブ・ロード出来る様にした

2004-07-28 23:47  bowkenken

	* src/: gfile.c, item-prot.h, item-tab.h, item.c, item.h,
	msg-jpn-utf8.h, party.c:

	杖の材質名をメッセージの並び順に依存しない様にした

2004-07-28 21:24  bowkenken

	* src/: fx.c, msg-eng.h, msg-jpn-utf8.h, msg-jpn.h, msg.h:

	ランタンに給油した時にメッセージを出す様にした

2004-07-28 21:06  bowkenken

	* src/: gfile-prot.h, gfile.c, item-prot.h, item-tab.h, item.c,
	item.h, misc-prot.h, misc.c, party.c:

	薬の色テーブルをセーブ・ロード出来る様にした

2004-07-28 16:05  bowkenken

	* src/: pet.c, spell.c:

	デバッグ・フラグが立っていない時は、デバッグ用の初期化を呼ばない様にした

2004-07-28 15:55  bowkenken

	* src/menu.c:

	数値入力メニューで最大値と最小値が 0
	の時、桁が選択出来なかったのを修正

2004-07-28 08:45  bowkenken

	* src/: main-unix.o, mnstr-act.o:

	リポジトリに混じったオブジェクト・ファイルを削除

2004-07-28 08:40  bowkenken

	* src/: fight.c, gfile.c, item.c, item.h, main-unix.o, misc.c,
	mnstr-act.o:

	防具の性能をテーブルからコピーしない様にした

2004-07-28 07:17  bowkenken

	* src/gfile-ver.h:

	設定ファイルの名前を変更

2004-07-28 06:57  bowkenken

	* src/: gfile-prot.h, gfile.c, item-prot.h, item.c, msg-jpn-utf8.h,
	trap-prot.h, trap.c, turn-prot.h, turn.c:

	ターン数とアイテムのセーブ・ロードを実装。

2004-07-27 20:03  bowkenken

	* src/: gfile-prot.h, gfile.c, msg-eng.h, msg-jpn-utf8.h,
	msg-jpn.h:

	宝箱以外のアイテムをセーブ・ロード出来る様にした

2004-07-26 23:12  bowkenken

	* src/gfile.c:

	宝箱の罠をセーブ出来る様にした

2004-07-26 20:09  bowkenken

	* README-DOS, README_DOS:

	ファイル名を変更

2004-07-26 19:49  bowkenken

	* .cvsignore, man/.cvsignore, sh/.cvsignore, src/.cvsignore,
	src/lnl-dos/.cvsignore:

	Windows の無視するファイルを追加

2004-07-26 19:44  bowkenken

	* src/: curs.h, gfile.c, gmain.h, lnl-dos/lnl-dos.cpp:

	Windows 対応

2004-07-26 19:29  bowkenken

	* src/: dun.c, item-prot.h, item.c, mnstr.c, party.c, town.c:

	宝箱の生成時に罠を仕掛けるか選択出来る様にした

2004-07-26 19:10  bowkenken

	* src/: gfile.c, msg-jpn-utf8.h:

	データ・ファイルのヘッダを間違って変更してしまったのを修正

2004-07-26 19:02  bowkenken

	* Makefile.am, Makefile.in, data/class-dflt-tab.csv,
	data/class_dflt_tab.csv, data/item-acce-tab.csv,
	data/item-anthology-tab.csv, data/item-armor-tab.csv,
	data/item-coin-tab.csv, data/item-food-tab.csv,
	data/item-inst-tab.csv, data/item-light-tab.csv,
	data/item-pipe-tab.csv, data/item-potion-tab.csv,
	data/item-range-tab.csv, data/item-rare-goods-tab.csv,
	data/item-scroll-tab.csv, data/item-stick-tab.csv,
	data/item-tobacco-tab.csv, data/item-wpn-tab.csv,
	data/item_acce_tab.csv, data/item_anthology_tab.csv,
	data/item_armor_tab.csv, data/item_coin_tab.csv,
	data/item_food_tab.csv, data/item_inst_tab.csv,
	data/item_light_tab.csv, data/item_pipe_tab.csv,
	data/item_potion_tab.csv, data/item_range_tab.csv,
	data/item_rare_goods_tab.csv, data/item_scroll_tab.csv,
	data/item_stick_tab.csv, data/item_tobacco_tab.csv,
	data/item_wpn_tab.csv, data/mnstr-gen-tab.csv,
	data/mnstr_gen_tab.csv, data/spell-gen-tab.csv,
	data/spell_gen_tab.csv, sh/all-prot, sh/all-prot~, sh/all_prot,
	sh/amenu-prot, sh/amenu-prot~, sh/amenu_prot, sh/chr-prot,
	sh/chr-prot~, sh/chr_prot, sh/curs-prot, sh/curs-prot~,
	sh/curs_prot, sh/cv-acce, sh/cv-anthology, sh/cv-class-dflt,
	sh/cv-coin, sh/cv-food, sh/cv-inst, sh/cv-light, sh/cv-pipe,
	sh/cv-potion, sh/cv-range, sh/cv-rare-goods, sh/cv-scroll,
	sh/cv-spell, sh/cv-stick, sh/cv-tab.awk, sh/cv-tobacco, sh/cv-wpn,
	sh/draw-prot, sh/draw-prot~, sh/draw_prot, sh/dun-prot,
	sh/dun-prot~, sh/dun_prot, sh/fight-prot, sh/fight-prot~,
	sh/fight_prot, sh/fx-prot, sh/fx-prot~, sh/fx_prot, sh/gfile-prot,
	sh/gfile-prot~, sh/gfile_prot, sh/gmain-prot, sh/gmain-prot~,
	sh/gmain_prot, sh/item-prot, sh/item-prot~, sh/item_prot,
	sh/main-unix-prot, sh/main-unix-prot~, sh/main_unix_prot,
	sh/make-rpm~, sh/menu-prot, sh/menu-prot~, sh/menu_prot,
	sh/misc-prot, sh/misc-prot~, sh/misc_prot, sh/mnstr-act-prot,
	sh/mnstr-act-prot~, sh/mnstr-prot, sh/mnstr-prot~,
	sh/mnstr_act_prot, sh/mnstr_prot, sh/msg-prot, sh/msg-prot~,
	sh/msg_prot, sh/party-prot, sh/party-prot~, sh/party_prot,
	sh/pet-prot, sh/pet-prot~, sh/pet_prot, sh/rcv-acce,
	sh/rcv-anthology, sh/rcv-armor, sh/rcv-class-dflt, sh/rcv-coin,
	sh/rcv-food, sh/rcv-gen-spell, sh/rcv-inst, sh/rcv-light,
	sh/rcv-mnstr, sh/rcv-pipe, sh/rcv-potion, sh/rcv-range,
	sh/rcv-rare-goods, sh/rcv-scroll, sh/rcv-spell, sh/rcv-stick,
	sh/rcv-tab.awk, sh/rcv-tobacco, sh/rcv-wpn, sh/request-prot,
	sh/request-prot~, sh/request_prot, sh/spell-prot, sh/spell-prot~,
	sh/spell_prot, sh/tmenu-prot, sh/tmenu-prot~, sh/tmenu_prot,
	sh/town-prot, sh/town-prot~, sh/town_prot, sh/trap-prot,
	sh/trap-prot~, sh/trap_prot, sh/turn-prot, sh/turn-prot~,
	sh/turn_prot, src/Makefile.am, src/Makefile.in, src/abl-kind.h,
	src/abl_kind.h, src/amenu-prot.h, src/amenu-tab.h, src/amenu.c,
	src/amenu_prot.h, src/amenu_tab.h, src/chr-prot.h, src/chr.c,
	src/chr.h, src/chr_prot.h, src/class-dflt-tab.h, src/class-tab.h,
	src/class_dflt_tab.h, src/class_tab.h, src/crsr-ptn.h,
	src/crsr_ptn.h, src/curs-def.h, src/curs-prot.h, src/curs.c,
	src/curs_def.h, src/curs_prot.h, src/draw-prot.h, src/draw-tab.h,
	src/draw.c, src/draw_prot.h, src/draw_tab.h, src/dun-prot.h,
	src/dun-tab.h, src/dun.c, src/dun_prot.h, src/dun_tab.h,
	src/fight-prot.h, src/fight.c, src/fight.h, src/fight_prot.h,
	src/fx-prot.h, src/fx.c, src/fx.h, src/fx_prot.h, src/gfile-prot.h,
	src/gfile-ver.h, src/gfile.c, src/gfile_prot.h, src/gfile_ver.h,
	src/gmain-prot.h, src/gmain.c, src/gmain_prot.h,
	src/item-acce-tab.h, src/item-anthology-tab.h,
	src/item-armor-tab.h, src/item-coin-tab.h, src/item-food-tab.h,
	src/item-inst-tab.h, src/item-kind.h, src/item-light-tab.h,
	src/item-pipe-tab.h, src/item-potion-tab.h, src/item-prot.h,
	src/item-range-tab.h, src/item-rare-goods-tab.h,
	src/item-scroll-tab.h, src/item-stick-tab.h, src/item-tab.h,
	src/item-tobacco-tab.h, src/item-wpn-tab.h, src/item.c, src/item.h,
	src/item_acce_tab.h, src/item_anthology_tab.h,
	src/item_armor_tab.h, src/item_coin_tab.h, src/item_food_tab.h,
	src/item_inst_tab.h, src/item_kind.h, src/item_light_tab.h,
	src/item_pipe_tab.h, src/item_potion_tab.h, src/item_prot.h,
	src/item_range_tab.h, src/item_rare_goods_tab.h,
	src/item_scroll_tab.h, src/item_stick_tab.h, src/item_tab.h,
	src/item_tobacco_tab.h, src/item_wpn_tab.h, src/main-dos-prot.h,
	src/main-dos.c, src/main-unix-prot.h, src/main-unix.c,
	src/main-unix.o, src/main_dos.c, src/main_dos_prot.h,
	src/main_unix.c, src/main_unix_prot.h, src/menu-prot.h,
	src/menu-tab.h, src/menu.c, src/menu_prot.h, src/menu_tab.h,
	src/misc-prot.h, src/misc.c, src/misc_prot.h, src/mnstr-act-prot.h,
	src/mnstr-act.c, src/mnstr-act.o, src/mnstr-gen-tab.h,
	src/mnstr-kind.h, src/mnstr-prot.h, src/mnstr-tab.h, src/mnstr.c,
	src/mnstr.h, src/mnstr_act.c, src/mnstr_act_prot.h,
	src/mnstr_gen_tab.h, src/mnstr_kind.h, src/mnstr_prot.h,
	src/mnstr_tab.h, src/msg-def, src/msg-def-sub, src/msg-eng.h,
	src/msg-jpn-utf8.h, src/msg-jpn.h, src/msg-prot.h, src/msg.c,
	src/msg.h, src/msg_def, src/msg_def_sub, src/msg_eng.h,
	src/msg_jpn.h, src/msg_jpn_utf8.h, src/msg_prot.h,
	src/party-prot.h, src/party.c, src/party_prot.h, src/pet-prot.h,
	src/pet.c, src/pet_prot.h, src/request-prot.h, src/request-tab.h,
	src/request.c, src/request_prot.h, src/request_tab.h,
	src/rumor-tab.h, src/rumor_tab.h, src/spell-gen-tab.h,
	src/spell-kind.h, src/spell-prot.h, src/spell-tab.h, src/spell.c,
	src/spell.h, src/spell_gen_tab.h, src/spell_kind.h,
	src/spell_prot.h, src/spell_tab.h, src/tmenu-prot.h,
	src/tmenu-tab.h, src/tmenu.c, src/tmenu_prot.h, src/tmenu_tab.h,
	src/town-prot.h, src/town-ptn.xpm, src/town-tab.h, src/town.c,
	src/town_prot.h, src/town_ptn.xpm, src/town_tab.h, src/trap-prot.h,
	src/trap.c, src/trap_prot.h, src/turn-prot.h, src/turn.c,
	src/turn_prot.h, src/vfx-kind.h, src/vfx_kind.h,
	src/lnl-dos/config-dos.h, src/lnl-dos/config_dos.h:

	ファイル名の '_' を '-' に変更

2004-07-24 18:36  bowkenken

	* man/lnl-faq.jpn:

	Fedora Core 2 の日本語設定についてのコメントを追加

2004-07-24 18:24  bowkenken

	* src/party.c:

	デフォルトの PC
	のデータを、デバッグ用とリリース用で変えられる様にした

2004-07-24 18:17  bowkenken

	* src/: request.h, spell_kind.h:

	変更すると、ロード処理の修正が必要になる部分にコメントを入れた

2004-07-24 18:07  bowkenken

	* src/item.c:

	デバッグ・メッセージを削除

2004-07-24 18:02  bowkenken

	* src/: gfile.c, item.c:

	ロード時の初期化で PC
	のアイテムを正しく削除出来ていなかったのを修正

2004-07-24 16:32  bowkenken

	* src/: dun.h, msg_jpn_utf8.h, town_ptn.xpm:

	店の顔文字を小文字にした

2004-07-24 09:27  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	マニュアルからメール・アドレスを削除

2004-07-23 21:19  bowkenken

	* src/: gfile.c, msg.h, msg_eng.h, msg_jpn.h, msg_jpn_utf8.h:

	データ・ファイルのバージョンのチェックを厳しくした

2004-07-23 19:12  bowkenken

	* src/gfile.c:

	データ・ファイルの名前を変更

2004-07-23 17:47  bowkenken

	* src/main_unix.c:

	オプションのエラー・チェックを追加

2004-07-23 17:37  bowkenken

	* src/: gfile.c, msg_jpn_utf8.h:

	設定ファイルの名前を変更

2004-07-23 17:08  bowkenken

	* man/: lnl-faq.jpn, lnl.jpn:

	マニュアルの古い記述を修正した

2004-07-23 15:55  bowkenken

	* src/: curs.c, draw.c, gmain.c, gmain.h, main_unix.c, msg_eng.h,
	msg_jpn.h, msg_jpn_utf8.h, request.c:

	curses ライブラリの使用を設定するオプションを実装

2004-07-23 00:34  bowkenken

	* src/: draw.c, gfile.c, menu_tab.h, msg.h, msg_eng.h, msg_jpn.h,
	msg_jpn_utf8.h, party.c, request.c, request.h, request_prot.h:

	メッセージを追加、削除しても依頼のセーブ・データに影響が出ない様にした

2004-07-22 18:50  bowkenken

	* src/: curs.c, draw.c, gfile.c, menu.c, msg.c:

	Windows 対応

2004-07-22 17:40  bowkenken

	* src/draw.c:

	矢のエフェクトでフリーズするエンバグを修正

2004-07-22 17:03  bowkenken

	* man/lnl.jpn:

	スタート時に PC の現れる場所を、街の階段の上から酒場に変更した事で
	マニュアルを修正

2004-07-22 16:57  bowkenken

	* src/chr.c:

	マジックナンバーにラベルをつけた

2004-07-22 16:45  bowkenken

	* src/party.c:

	デフォルトの PC のアイテムで識別していなかった物を識別した

2004-07-22 16:28  bowkenken

	* src/: gfile.c, gfile.h, gfile_prot.h, request.c, request.h,
